<?php
header('Content-type: text/css');

require('../../../../wp-load.php');
$od_user_settings = array();
$partner_settings = OpenDrive::i()->partnerSettings();
if (!$partner_settings) {
	header('Not found', true, 404);
	exit;
}
if(isset($partner_settings['Colors'])) $od_user_settings = array_merge($partner_settings['Colors']);

// apply user branding colors
$menuColor = OpenDrive::getValue('menu_color');
$fontColor = OpenDrive::getValue('font_color');

if(OpenDrive::checkColor($menuColor)) $od_user_settings['od_scheme_background'] = '#' . $menuColor;
if(OpenDrive::checkColor($fontColor)) $od_user_settings['od_font_color'] = '#' . $fontColor;

?>
html, body {background: <?php echo $od_user_settings['od_scheme_container']; ?>}

header {background: <?php echo $od_user_settings['od_scheme_background']; ?>;}

.page-file_preview .file-footer {background: <?php echo $od_user_settings['od_scheme_background']; ?>;}

.dirs {background: <?php echo $od_user_settings['od_scheme_slider']; ?>; }
.sidebar .pages-buttons a:hover, .sidebar .pages-buttons a.active {background: #333333;}
.paused .progress-container .progress-bar{background: <?php echo $od_user_settings['od_scheme_background']; ?>;}
.lightbox .lightbox-header {background: <?php echo $od_user_settings['od_scheme_background']; ?>;}

header .bar-wrapper { color: <?php echo $od_user_settings['od_progress_font']; ?>}
header .user-controls { color: <?php echo $od_user_settings['od_font_color']; ?>}
header .user-controls a.dropdown-toggle { color: <?php echo $od_user_settings['od_progress_font']; ?>}
.root-menu .item>a {color: <?php echo $od_user_settings['od_font_color']; ?>}
.dirs .bottom-aligned {background: <?php echo $od_user_settings['od_scheme_slider']; ?>;}
.dirs .bottom-aligned a.trash-btn, .dirs .bottom-aligned a.archive-btn {color: #777;}
.dirs .bottom-aligned a.trash-btn:hover, .dirs .bottom-aligned a.archive-btn:hover {color: #444;}
.breadcrumb-and-buttons h2 {color: <?php echo $od_user_settings['od_font_color']; ?>}
.breadcrumb-and-buttons h2 span a {color: <?php echo $od_user_settings['od_font_color']; ?>}
.breadcrumb-and-buttons i {color: #777777;}
.root-menu .item>a .fa.fa-folder{color: #bbb;}
.dirs .root-menu .folders-in-root .child-dir > .folder-item > a > .fa-folder{color: #bbb;}
.root-menu .item>a:hover .fa.fa-folder{color: #777;}
.dirs .root-menu .folders-in-root .child-dir > li.folder-item:hover > a > .fa-folder{color: #777;}


.root-menu .root>a {color: <?php echo $od_user_settings['od_font_hover']; ?>;}

.root-menu .item>a:hover,
.root-menu .item.active>a,
.root-menu .folder-item.active > a,
.root-menu .drop-active > .fa-folder-open,
.root-menu .drop-active > .fa-folder
{color: <?php echo $od_user_settings['od_font_hover']; ?>!important; font-weight: 500;}

header .bar-wrapper .bar .bar-inner {background: <?php echo $od_user_settings['od_progress_loading']; ?>;}

.root-menu {background: <?php echo $od_user_settings['od_scheme_slider']; ?>;}
header .bar-wrapper .bar {background: <?php echo $od_user_settings['od_progress_available']; ?>;}
.sidebar .pages-buttons {background: <?php echo $od_user_settings['od_scheme_menu']?>;}
header .sidebar-menu-hide {background: <?php echo $od_user_settings['od_scheme_menu']?>;}
.dirs .bottom-aligned {border-top: 1px solid #DDD; }
.dirs .bottom-aligned .trash-items{color: <?php echo $od_user_settings['od_scheme_menu']?>; font-size: 12px;}

#menu-trash-btn{color:<?php echo $od_user_settings['od_font_trash']; ?> ; font-size: 14px;}
.orange-text {color: <?php echo $od_user_settings['od_font_trash']; ?> !important;} 

.progress-container {background: <?php echo $od_user_settings['od_progress_available']; ?>}
.files_progress_bar div div{background: linear-gradient(to right, #fff, <?php echo $od_user_settings['od_progress_loading']; ?>);}
.progress-container .progress-bar{background: <?php echo $od_user_settings['od_progress_loading']; ?>;}


.dropdown-menu .save-btn,
.lightbox .save-btn,
.blue-button
{background: <?php echo $od_user_settings['od_button_color']; ?>; color: <?php echo $od_user_settings['od_button_font']; ?>; border: 2px solid <?php echo $od_user_settings['od_button_color']; ?>;}

.dropdown-menu .save-btn:hover,
.lightbox .save-btn:hover,
.blue-button:hover,
.blue-button:focus {
	background: <?php echo $od_user_settings['od_button_hover']; ?>;
	border: 2px solid <?php echo $od_user_settings['od_button_hover']; ?>;
	color: <?php echo $od_user_settings['od_button_font']; ?>;
}

.dropdown-menu .save-btn:disabled,
.lightbox .save-btn:disabled,
.blue-button:disabled {background: #ddd; border: 2px solid #ddd;}

.user-row .bar {background: <?php echo $od_user_settings['od_progress_available']; ?>;opacity: 0.1;}
.user-row .bar-inner {background: <?php echo $od_user_settings['od_progress_loading']; ?>;}

.ui-slider-horizontal {background: <?php echo $od_user_settings['od_progress_available']; ?>;}
.ui-slider .ui-slider-range {background: <?php echo $od_user_settings['od_progress_loading']; ?>;}

.od-profile-bar-container {background-color: <?php echo $od_user_settings['od_progress_available']; ?>;}
.od-profile-bar-fill {background-color: <?php echo $od_user_settings['od_progress_loading']; ?>;}

.breadcrumb-and-buttons {background: #F7F7F7; box-shadow: 0 1px 5px rgba(0,0,0,0.15);}

#file-versions .lightbox-body table th {background: #F7F7F7}

.lightbox .lightbox-container {background: #fff;}
.lightbox .lightbox-header {color: #000;}

.lightbox .tip .text h3 {color: #fff;}


.page-login, .page-forgot, .page-password_reset {background: <?php echo $od_user_settings['od_scheme_background']; ?>;}

.od-font-color-hover:hover {
	color: <?php echo $od_user_settings['od_font_hover']; ?>;
	font-weight: 500;
}

.od-font-color-active {
	color: <?php echo $od_user_settings['od_font_hover']; ?>;
	font-weight: 500;
}

.od-font-color {
	color: <?php echo $od_user_settings['od_font_color']; ?>;
}

.od-button-color{
	background: <?php echo $od_user_settings['od_button_color']; ?>;
	color: <?php echo $od_user_settings['od_button_font']; ?>;
	border: 2px solid <?php echo $od_user_settings['od_button_color']; ?>;
}

.od-button-hover:hover{
	color: #fff;
	background: <?php echo $od_user_settings['od_button_hover']; ?>;
	border: 2px solid <?php echo $od_user_settings['od_button_hover']; ?>;
}

.od-scheme-bg-color {
	color: <?php echo $od_user_settings['od_scheme_background']; ?>;
}

.od-font-trash-color {
	color: <?php echo $od_user_settings['od_font_trash']; ?>;
}