<?php
header('Content-type: text/css');
require('../../../../wp-load.php');
$od_user_settings = array();
$partner_settings = OpenDrive::i()->partnerSettings();
if (!$partner_settings) {
    header('Not found', true, 404);
    exit;
}
if(isset($partner_settings['Colors'])) $od_user_settings = array_merge($partner_settings['Colors']);

// apply user branding colors
$menuColor = OpenDrive::getValue('menu_color');
$fontColor = OpenDrive::getValue('font_color');
if(OpenDrive::checkColor($menuColor)) $od_user_settings['od_scheme_background'] = '#' . $menuColor;
if(OpenDrive::checkColor($fontColor)) $od_user_settings['od_font_color'] = '#' . $fontColor;
?>
html, body {background: <?php echo $od_user_settings['od_scheme_container']; ?>}
.page-login, .page-settings, .page-forgot, .page-password_reset {
    background-image: -webkit-radial-gradient(circle,<?php echo $od_user_settings['od_scheme_background']; ?>,#1f3048);
    background-image: radial-gradient(circle,<?php echo $od_user_settings['od_scheme_background']; ?>,#1f3048);
}
#login-form {border: 2px solid <?php echo $od_user_settings['od_scheme_background']; ?>; color: <?php echo $od_user_settings['od_font_color']; ?>;}
#login-form a { color: <?php echo $od_user_settings['od_font_color']; ?>;}
#login-form .btn {color: <?php echo $od_user_settings['od_button_font']; ?>; background: <?php echo $od_user_settings['od_button_color']; ?>; border: 2px solid <?php echo $od_user_settings['od_button_color']; ?>}
#login-form .btn:hover {background: <?php echo $od_user_settings['od_button_hover']; ?>; border: 2px solid <?php echo $od_user_settings['od_button_hover']; ?>;}
#login-form .btn-secondary {border: 2px solid <?php echo $od_user_settings['od_font_color']; ?>; color: <?php echo $od_user_settings['od_font_color']; ?>;}
#login-content .error-form input[type="text"], .error-form input[type="password"] {  border: 1px solid <?php echo $od_user_settings['od_font_trash']; ?>;}

.od-scheme-bg-color {
    color: <?php echo $od_user_settings['od_scheme_background']; ?>;
}

.od-font-trash-color {
    color: <?php echo $od_user_settings['od_font_trash']; ?>;
}
