(function ($) {
	function align_image_preview()
	{
		var file_content =  $('.file-content');
		var image = $(".image-preview", file_content);

		var rotation = parseInt(image.attr('rotation'));


		var cont_height = file_content.outerHeight();
		var cont_width = file_content.outerWidth();
		var cont_ratio = cont_width / cont_height;

		var image_height = image.outerHeight();
		var image_width = image.outerWidth();

		var image_ratio = image_width / image_height;

		if ( image_height < cont_height && image_width < cont_width )
		{
			// small image smaller then container
			image.css({'position': 'absolute', 'left': '50%', 'top': '50%', 'margin-left': (Math.ceil(image_width/2)*-1)+'px', 'margin-top': (Math.ceil(image_height/2)*-1)+'px'});
		}
		else
		{
			if ( cont_ratio > image_ratio)
			{
				// fit by height;
				image.removeAttr('style').css({'position': 'relative', 'height': '100%', 'margin': '0 auto'});
			}
			else
			{
				// fit by width
				image.removeAttr('style').css({'position': 'relative', 'width': '100%', 'top' : '50%', 'margin-top': (Math.ceil(cont_height/3)*-1)+'px'});
			}
		}

		image.rotate(rotation);

		$(".image-preloading", file_content).hide();
		image.css( {display: 'block', visibility : 'visible'});
	}

	function resize_preview_area()
	{
		var file_preview_height =  $(window).height() - $('#file-preview').offset().top - $(".file-footer").height();

		$('#file-preview').css({'height': file_preview_height+'px'});
	}

	$(function() {
		var image = $('.file-content .image-preview');
		if(image.length) {
			if (image[0].complete && image[0].naturalWidth && image[0].naturalHeight) align_image_preview();
			else image.one('load', function () {
				align_image_preview();
			});
		}

		var file_type = $("#preview-file-type").val();

		var cont_height = $(".preview-inner").outerHeight() - $(".preview-inner .top-white-bar").outerHeight() - $(".preview-inner .bottom-white-bar").outerHeight();
		var cont_width = $(".preview-inner").outerWidth();

		$(".preview-inner .file-content").css({'width': cont_width+'px', 'height': cont_height+'px'  });



		$( window ).resize(function() {
			resize_preview_area();

			if ( file_type == 'image' )
			{
				align_image_preview();
			}
		});

		function showInfo() {
			$(".file-share").hide();
			$(".file-info").toggle();
		}

		function showShareInfo() {
			$(".file-info").hide();
			$(".file-share").toggle();
		}

		$(".info-btn").click(function(){
			showInfo();
			return false;
		});

		$(".share-btn").click(function(){
			showShareInfo();
			return false;
		});

		$('.copy-clipboard-btn').click(function () {
			var textArea = document.createElement('textarea');
			textArea.style.cssText = 'position: fixed; border: 0; padding: 0; margin: 0; top: -9999px';
			var isRTL = document.documentElement.getAttribute('dir') == 'rtl';
			textArea.style[isRTL ? 'right' : 'left'] = '-9999px';
			textArea.value = $('#file_link').val();
			document.body.appendChild(textArea);
			textArea.select();
			try {
				document.execCommand('copy');
			} catch (err) {
			}
			document.body.removeChild(textArea);
			return false;
		});

		function setRotation(degree) {
			var image = $(".image-preview");
			var rotation = parseInt(image.attr('rotation'));
			rotation += degree;
			if ( rotation <= -360 || rotation >= 360) rotation = 0;
			image.attr('rotation', rotation);
			align_image_preview();
		}

		$(".rotate-btn").click(function(){
			if ( $(this).hasClass('rotate-left-btn') )
			{
				setRotation(-90);
			}
			else if ( $(this).hasClass('rotate-right-btn') )
			{
				setRotation(90);
			}

			return false;
		});

		resize_preview_area();

		window.addEventListener('message', function (event) {
			if (event.data && event.data.file_action) {
				switch (event.data.file_action) {
					case 'info':
						showInfo();
						break;

					case 'rotate-right':
						setRotation(90);
						break;

					case 'rotate-left':
						setRotation(-90);
						break;

					case 'share':
						showShareInfo();
						break;
				}
			}
		}, false);

		window.parent.postMessage({iframe_dom_ready: true, item_type: 'file', item_id: $('#file_id').val()}, '*');
	});
})(jQuery);
