(function( $, undefined ) {

	$.widget("ui.customSlider", $.ui.slider, {

		// default options
		options: {
			min: 1,
			max: 100,
			intervals: 0, // default
			value: 0
		},
		_create: function() {
			$.ui.slider.prototype._create.apply(this);
			//			this.obj.add("div");
			this._showScale();
			this._fillSlider();
		},
		_change: function() {
			$.ui.slider.prototype._change.apply(this);
			this._fillSlider();
		},
		_fillSlider: function() {
			var width = ((this.options.value - this.options.min) * 100 / (this.options.max - this.options.min) );
			if ( $('.ui-slider-range', this.element).length > 0 )
			{
				$('.ui-slider-range', this.element).css('width', width+'%');
			}
			else
			{
				this.element.append('<div class="ui-slider-range ui-widget-header" style="left: 0; width: '+width+'%;"></div>');
			}
		},
		_showScale: function() {
			this.options.intervals = 5;
			this.element.append('<div class="jslider-scale"></div>');
			var i_max = Math.ceil(this.options.intervals);
			var intervalWidth = (100 / this.options.intervals);

			for (var i = 0; i <= i_max; i ++)
			{
				var left = 0;
				var value = 0;
				var spanclass = '';
				if (i == 0 ) {value = 'Min'; left = 0; spanclass = 'class="no-border"';}
				else if (i == i_max) {value = 'Max'; left = 100; spanclass = 'class="no-border"'}
				else {
					value =  Math.ceil((this.options.max - this.options.min) / this.options.intervals * i + this.options.min);
					left = intervalWidth * i;
				};
				
				var value_txt = value;
				if ( i != 0 && i != i_max )
				{
					value_txt = readableFileSize(value*1024*1024);
				}

				// show mane scale mark
				$('.jslider-scale', this.element).append('<span '+spanclass+' style="left: '+left+'%;"><ins style="margin-left: -10px;">'+value_txt+'</ins></span>');
				// show additional scale mark
				if ( i < i_max )
				{
					var add_left = left + intervalWidth / 2;
					$('.jslider-scale', this.element).append('<span style="left: '+add_left+'%;"></span>');
				}

			}
		},
		destroy: function() {
			$.Widget.prototype.destroy.apply(this, arguments); // default destroy
			// now do other stuff particular to this widget
		}
	});



	$.extend( $.ui.customSlider, {
		version: "1.11.2"
	});

}(jQuery));