(function ( $ ) {
	$.fn.monthselector = function(options) {
		
		var settings = $.extend({
			date: new Date(),
			submit_delay: 500,
			callback: function() {},
		}, options );
		
		return this.filter( "input[type=text]" ).each(function() {
			// apply initial settings
			var submit_timeout = false;
			var month_field = $(this);
			var wrapper = month_field.wrap('<div class="monthselector-wrap"></div>').parent('.monthselector-wrap');
			var form = month_field.wrap('<form method="POST"></form>').parent('form');
			month_field.attr('readonly', 'readonly').attr('size', 7).attr('name', 'monthselector-date').addClass('monthselector-input');
			var next_button = month_field.after('<a role="button" aria-label="Next month" class="fa fa-angle-right monthselector-next-btn"></a>').next(".monthselector-next-btn");
			var prev_button = month_field.before('<a role="button" aria-label="Previous month" class="fa fa-angle-left monthselector-prev-btn"></a>').prev(".monthselector-prev-btn");
			
			
			next_button.click(function(){
				clearTimeout(submit_timeout);
				
				var cur_date_arr = month_field.val().split('/');
				var cur_month = cur_date_arr[0];
				var cur_year = cur_date_arr[1];
				
				if ( cur_month < 12 )
				{
					cur_month++;
				}
				else
				{
					cur_month = 1;
					cur_year ++;
				}
				month_field.val(cur_month+'/'+cur_year);
				var data = {stat_date: cur_month+'/'+cur_year, wrapper: wrapper }
				submit_timeout = setTimeout(settings.callback, settings.submit_delay, data);
				return false;
			});
			
			prev_button.click(function(){
				clearTimeout(submit_timeout);
				
				var cur_date_arr = month_field.val().split('/');
				var cur_month = cur_date_arr[0];
				var cur_year = cur_date_arr[1];
				
				if ( cur_month > 1 )
				{
					cur_month--;
				}
				else
				{
					cur_month = 12;
					cur_year --;
				}
				month_field.val(cur_month+'/'+cur_year);
				var data = {stat_date: cur_month+'/'+cur_year, wrapper: wrapper }
				submit_timeout = setTimeout(settings.callback, settings.submit_delay, data);
				return false;
			});
		});
	};
}( jQuery ));