(function ($) {
    $(function () {
        var breadcrumbs = $('.js-breadcrumbs-container');
        var $tab = $('.js-tab-content ');

        var initData = $.parseJSON($('#js-init-data').html());

        var params = {
            start_date: initData.start_date,
            stat_type: ''
        };



        function updateBreadcrumbs() {
            $('.js-datepicker', breadcrumbs).datepicker({
                inline: true,
                dateFormat: 'M d, yy',
                minDate: '-5y',
                maxDate: '+7d',
                onSelect: function (date) {
                    $('.js-date').text(date);
                    params.start_date = date;
                    loadStats();
                }
            });
        }
        updateBreadcrumbs();

        breadcrumbs.on('click', '[data-type]', function () {
            params.stat_type =  $(this).data('type');
            $('.js-current-stat-name').text(this.innerHTML);
            loadStats();
            return false;
        });


        var xhr;
        function loadStats() {
            $('.js-loading').show();
            if(xhr) xhr.abort();
            xhr = OpenDrive.ajax.do('admin.load-users-stat', params, function (data) {
                xhr = null;
                $('.js-loading').hide();
                var units = '';
                switch (params.stat_type) {

                    case 'top_daily_dl_bw':
                    case 'top_daily_up_bw':
                    case 'top_monthly_dl_bw':
                    case 'top_monthly_up_bw':
                        units = 'BW';
                        break;

                    case 'top_monthly_file_uploads':
                    case 'top_monthly_file_downloads':
                    case 'top_daily_file_uploads':
                    case 'top_daily_file_downloads':
                        units = 'FilesCount';

                }
                data.units = units;
                OpenDrive.helpers.applyTemplate(data, 'StatUsersList', $tab);
            }, function () {
                $('.js-loading').hide();
                xhr = null;
            })
        }

    });
})(jQuery);