(function ($) {
    $(function () {
            var SearchBox = new function () {
                var searchContainer = $('<div class="js-search-results search-results" style="display:none"></div>');
                var input = $('.js-item-search-field');
                input.parent().append(searchContainer);
                input.on('change keyup keydown paste input cut', function (e) {
                    if (input.data('prevValue') !== this.value) {
                        input.data('prevValue', this.value);
                        searchItems(this.value);
                    }
                    e.stopPropagation();
                });
                var searchTerm, searchDate, request;

                function searchItems(query) {
                    var date = (new Date()).getTime();
                    if (query) {
                        searchTerm = query;
                        searchDate = date + 350;
                    }

                    if (searchTerm && date > searchDate) {
                        query = searchTerm.trim();
                        if (request) {
                            request.abort();
                            request = null;
                        }
                        searchTerm = null;
                        search(query);
                    }
                    if (searchTerm) setTimeout(searchItems, 0)
                }

                function search(query) {
                    request = $.ajax({
                        url: '/ajax',
                        method: 'POST',
                        data: {
                            action: 'tasks.search-items',
                            query: query
                        },
                        success: function (response) {
                            if (response && response.Tasks) {
                                response.NoResults = !(response.Tasks.length || response.Comments.length || response.Projects.length || response.ProjectLists.length);
                                OpenDrive.helpers.applyTemplate(
                                    response,
                                    'SearchResults',
                                    searchContainer
                                );
                                searchContainer.show();
                            }
                            request = null;
                        },
                        error: function () {
                            request = null;
                        }
                    });
                }

                $(document).on('click', function () {
                    searchContainer.hide();
                });

                $('.js-item-search-icon').on('click', function () {
                    input.trigger('change');
                    return false;
                });

                searchContainer.on('click', 'a', function () {
                    var regexp = new RegExp('^' + location.protocol + '//' + location.hostname + '/tasks/(\\w+)');
                    var taskId = regexp.exec(this.href);
                    if (taskId && taskId.length == 2) {
                        new OpenDrive.widgets.TaskWidgets.TaskTab(taskId[1]);
                        return false;
                    }
                });
            };
        }
    );

})(jQuery);