(function($){
    $(document).ready(function () {
        if ($("#od-settings").length) {
            var r = new Resumable({
                target: $('#od-settings').prop('action'),
                chunkSize: 1 * 1024 * 1024,
                query: {
                    ajax: true,
                    action: 'od_settings_handler',
                    option_name: $(".file_picker.od_favicon_path .file_location").prop('name')
                },
                simultaneousUploads: 1,
                maxFiles: 1,
                testChunks: false
            });
            r.assignBrowse($('#od_favicon_path').attr('multiple', false));
            r.on('fileAdded', function (file, event) {
                r.upload();
            });
            r.on('complete', function () {
                window.location.reload();
            });
    
            var r2 = new Resumable({
                target: $('#od-settings').prop('action'),
                chunkSize: 1 * 1024 * 1024,
                query: {
                    ajax: true,
                    action: 'od_settings_handler',
                    option_name: $(".file_picker.od_logo_path .file_location").prop('name')
                },
                simultaneousUploads: 1,
                maxFiles: 1,
                permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
                maxChunkRetries: 10,
                testChunks: false
            });
            r2.assignBrowse($('#od_logo_path').attr('multiple', false));
            r2.on('fileAdded', function (file, event) {
                r2.upload();
            });
            r2.on('complete', function (sss) {
                window.location.reload();
            });
    
            $('.colorpicker_field').wpColorPicker();
    
            $('#save_settings').click(function (e) {
                var od_action_url = $('#od-settings').prop('action');
                var data = {};
    

                var updated_settings = od_user_settings;
                $.each(od_user_settings, function (k, v) {
    
                    var $input = $('#' + k);
                    var type = $input.attr('type');
                    if (type == 'checkbox') {
                        updated_settings[k] = $input.prop('checked') ? 1 : 0;
                    }
                    if (type == 'text') {
                        updated_settings[k] = $input.val();
                    }
    
                });
    
    
                data['action'] = 'od_settings_handler';
                data['ajax'] = true;
                data['update_settings'] = true;
                data['settings'] = updated_settings;
    
                $.post(od_action_url, data, function (data) {
                    if (data.result == true) {
                        od_user_settings = updated_settings;
                        var str = '<div class="updated od_notice"><p>Settings saved</p></div>';
                        $('.od_notification_area').prepend(str);
                        $("html, body").animate({scrollTop: 0}, "slow");
                        setTimeout(function () {
                            $('.od_notice').fadeOut('slow');
                            $('.od_notification_area').empty();
                        }, 3000); // <-- time in milliseconds
                    }else if(data && data.error && data.error.message){
                        var str = '<div class="updated error"><p>'+data.error.message+'</p></div>';
                        $('.od_notification_area').prepend(str);
                        $("html, body").animate({scrollTop: 0}, "slow");
                        setTimeout(function () {
                            $('.error').fadeOut('slow');
                            $('.od_notification_area').empty();
                        }, 3000); // <-- time in milliseconds
                    }
                }, "json");
    
                e.preventDefault();
                return false;
            });
    
            $('#reset_settings').click(function (e) {
                if(confirm('Do you really want to reset settings?')){
                    var od_action_url = $('#od-settings').prop('action');
                    var data = {};
                    data['action'] = 'od_settings_handler';
                    data['ajax'] = true;
                    data['reset_settings'] = true;
    
                    $.post(od_action_url, data, function (data) {
                        if (data.result == true) {
                            window.location.reload();
                        }
                    }, "json");
                }
    
                e.preventDefault();
                return false;
            });
    
            if ($('.img_wrap img').length) {
                $('#bg_img').css('background-image', 'none');
            }
    
            $('#od_favicon_path_remove').click(function () {
    
                var od_action_url = $('#od-settings').prop('action');
                var data = {};
                data['action'] = 'od_settings_handler';
                data['ajax'] = true;
                data['update_settings'] = true;
                od_user_settings.od_favicon_path = '';
                data['settings'] = od_user_settings;
    
                $.post(od_action_url, data, function (data) {
                    if (data.result == true) {
                        window.location.reload();
                    }
                }, "json");
    
            });
    
            $('#od_logo_path_remove').click(function () {
    
                var od_action_url = $('#od-settings').prop('action');
                var data = {};
                data['action'] = 'od_settings_handler';
                data['ajax'] = true;
                data['update_settings'] = true;
                od_user_settings.od_logo_path = '';
                data['settings'] = od_user_settings;
    
                $.post(od_action_url, data, function (data) {
                    if (data.result == true) {
                        window.location.reload();
                    }
                }, "json");
    
            });
        }
    });

})(jQuery);