var $ = jQuery.noConflict();

function rgb2hex(rgb) {
	if (/^#[0-9A-F]{6}$/i.test(rgb)) return rgb;

	rgb = rgb.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
	function hex(x) {
		return ("0" + parseInt(x).toString(16)).slice(-2);
	}
	return "#" + hex(rgb[1]) + hex(rgb[2]) + hex(rgb[3]);
}

function update_notelists_orders()
{
	var orders = [];
	var order_index = 0;
	$( ".notelist" ).not( "#standard-notelist" ).each(function( index )
	{
		var this_notelist = $(this);

		if ( typeof this_notelist.attr('data-notelistid') !== "undefined" )
		{
			var notelist_id = this_notelist.data('notelistid');
			var order = order_index;

			if ( notelist_id !== 0 && notelist_id != '' ) {
				this_notelist.attr('data-notelistorder', order);
				orders[order] = notelist_id;
			}

			order_index++;
		}
	});

	OpenDrive.ajax.do('notelist-update-orders', {orders: orders});

	return orders;
}

function replaceStyleAttr (str) {
	return str.replace(/(<[\w\W]*?)(style)([\w\W]*?>)/g, function (a, b, c, d) {
		return b + 'style_replace' + d;
	});
}

function removeTagsExcludeA (str) {
	return str.replace(/<\/?((?!a)(\w+))\s*[\w\W]*?>/g, '');
}

function removeAllTags (str) {
	return str.replace(/<\/?(\w+)\s*[\w\W]*?>/g, '');
}


$(document).ready(function($) {

	$('.one-note').linkify({
		target: "_blank"
	});

	var RootMenu = new OpenDrive.widgets.RootMenu($('.js-root-menu-items > .active.item'));
	var _rootMenu = $('.js-root-menu');
	var _rootMenuItems = $('.js-root-menu-items', _rootMenu);

	_rootMenu.on('shown.bs.dropdown', function (e) {
		var target = $(e.target);
		var menu = target.find('> .dropdown-menu');

		menu.removeClass('bottom-aligned-menu');
		if (_rootMenuItems.offset().top + _rootMenuItems.height() <= menu.offset().top + menu.outerHeight()) menu.addClass('bottom-aligned-menu');
		else menu.removeClass('bottom-aligned-menu');
		return false;
	});

	function resize_notes_area()
	{
		RootMenu.scrollToElement($('.js-root-menu-items > .active.item.notepad-item'));
	}

	function makeSortable() {
		$(".notes-page .notegroups-container>.scrollable").sortable({
			handle: ".notelist-head",
			containment: 'parent',
			items: '.notelist-container',
			forcePlaceholderSize: true,
			helper: 'clone',
			cursor: "move",
			stop: function (event, ui) {
				update_notelists_orders();
			}
		});
	}
	makeSortable();

	$( window ).resize(function() {
		resize_notes_area();
	});
	resize_notes_area();

	// upload files by drang n drop

	var upload_url = $("#upload_url").val();
	var session_id = $('#api_session_id').val();
	var progress_bar = $('<div class="progress-container"><div class="progress-bar"></div></div>');

	// var r_drop = new Resumable({
	// 	target: upload_url,
	// 	chunkSize: 1*1024*1024,
	// 	simultaneousUploads: 1,
	// 	query: function () {
	// 		return resumableQueryCallback.apply(this, arguments);
	// 	},
	// 	permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
	// 	maxChunkRetries: 10,
	// 	testChunks: false
	// });
    //
	// if( r_drop.support )
	// {
	// 	r_drop.assignDrop($(".drop-file"));
	// 	r_drop.on('fileAdded', function(file){
	// 		var id = file.uniqueIdentifier;
	// 		var name = file.fileName;
	// 		var extenstion =  file.fileName.split('.').pop();
	// 		var size = file.size;
    //
	// 		console.log(file);
	// 		// $(".progress-bar", progress_bar).css("width", '0%');
	// 		// progress_bar.show();
     //        //
	// 		// notelist.append(progress_bar);
     //        //
	// 		r_drop.upload();
	// 	});
	// }
    //
	// function resumableQueryCallback(file, chunk){
	// 	console.log(file);
	// 	console.log(chunk);
	// 	// var params = $.extend({}, apiUploadArgs);
	// 	// if (fileQueue[file.uniqueIdentifier]) $.extend(params, fileQueue[file.uniqueIdentifier].opts);
	// 	// return params;
	// }


	$(".notegroups-container").on('paste', ".new-single-note-text", function (e) {
		var text_input = $(this);
		window.setTimeout(function () {
			text_input.html(removeAllTags(replaceStyleAttr(text_input.html())));
		}, 0);
	});


	// upload image into note
	$(".notegroups-container").on('click', '.notelist-upload-btn', function() {
		var notelist = $(this).closest('.notelist');
		var latest_note = $(".one-note", notelist).first();
		var note_id = latest_note.data('noteid');
		var notelist_id = notelist.data('notelistid');


		//if (latest_note.length == 0)
		//{
			if ( typeof notelist_id !== 'undefined' ) {
				var apiUploadArgs = {
					session_id: session_id,
					notelist_id: notelist_id,
					note_id: ''
				};
			}
			else
			{
				OpenDrive.popups.showError('Notelist not created. Wait few seconds and try again.');
				return false;
			}
		//}
		//else
		//{
		//	var apiUploadArgs = {
		//		session_id: session_id,
		//		note_id: note_id
		//	};
		//}

		if ( session_id != '' && note_id != '' )
		{
			var input_file_upload = $("<input type='file'>");

			var r = new Resumable({
				target: upload_url,
				chunkSize: 1*1024*1024,
				query: apiUploadArgs,
				simultaneousUploads: 1,
				permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
				maxChunkRetries: 10,
				testChunks: false
			});

			if( r.support )
			{
				r.assignBrowse(input_file_upload);

				r.on('fileAdded', function(file) {
					var id = file.uniqueIdentifier;
					var name = file.fileName;
					var extenstion = file.fileName.split('.').pop().toLowerCase();
					var size = file.size;

					//if ( extenstion != 'jpg' && extenstion != 'png' )
					//{
					//	alert('Only *.jpg and *.png files allowed');
					//	return false;
					//}


					$(".progress-bar", progress_bar).css("width", '0%');
					progress_bar.show();

					notelist.append(progress_bar);

					r.upload();
				});

				r.on('fileSuccess', function(file, response){
					var id = file.uniqueIdentifier;
					var name = file.fileName;
					var size = file.size;
					response = JSON.parse(response);

					var thumb_link = response['ThumbLink'];
					var file_link = response['FileLink'];

					var thumb_img = $("<img/>").attr('src', thumb_link).addClass('note-thumb');
					var thumb_a = $("<a/>").attr('target', '_blank').attr('href', file_link);
					thumb_a.append(thumb_img);


					if ( typeof response['NoteId'] !== 'undefined' )
					{
						// craete first note in list
						var note_id = response['NoteId'];

						var one_note_el = $(OpenDrive.helpers.applyTemplate(null, 'NewNote'));

						one_note_el.attr('data-noteid', note_id);
						$(".one-note-text", one_note_el).prepend(thumb_a);
						one_note_el.insertAfter($(".new-single-note", notelist));

						notelist.removeClass('empty-list');
						$(".one-note-text-editable", one_note_el).focus();
					}
					else
					{
						// add thumb to first note
						$(".one-note-text", latest_note).prepend(thumb_a);
					}
				});
				r.on('pause', function(file){
				});
				r.on('complete', function(){
					progress_bar.delay(1000).remove();
				});
				r.on('fileRetry', function(file){
				});
				r.on('fileProgress', function(file){
					var size = file.size;
					var progress = file.progress();

					$(".progress-bar", progress_bar).css("width", (progress*100) + '%');
				});
				r.on('fileError', function(file, message){
					var errorMessage = '';
					try {
						message = $.parseJSON(message);
						if(message && message.error && message.error.message){
							errorMessage = message.error.message.toString();
						}
					}catch (e){
					}
					if (!errorMessage) errorMessage = OpenDrive._('Unable_to_upload_the_file');
					OpenDrive.popups.showError(errorMessage);
				});

				input_file_upload.click();
			}
			else
			{
				console.log('Upload not supported.');
			}

		}

		return false;

	});

	// click on links in editable text
	$(".notegroups-container").on('click', '.one-note-text-editable a', function(evt){
		var link = $(this);
		if ( link.attr('href') )
		{
			if (evt.ctrlKey)
			{
				window.open(link.attr('href'),'_blank').focus();
				return false;
			}
		}
	});

	// change note block color
	$(".notegroups-container").on('click', '.notelist-color-btn', function(){
		var notelist = $(this).closest('.notelist');
		var notelist_id = notelist.data('notelistid');
		//		var colors = ['color-default', 'color-yellow', 'color-red', 'color-green', 'color-blue'];
		var colors_values = ['f2f2f2', 'faf293', 'fa8d83', 'cafd8f', '89cfed'];

		//		var theClass = notelist.attr("class").match(/color-[\w-]*\b/);
		//		var new_color_class = '';
		var old_color = rgb2hex(notelist.css('background-color')).replace('#', '');
		var new_color_index;
		var new_color;

		if ( old_color === null )
		{
			notelist.css('background-color', '#'+colors_values[1]);
		}
		else
		{
			var this_color_number = colors_values.indexOf(old_color);
			var next_color_number = this_color_number + 1;

			if ( (next_color_number+1) <= colors_values.length )
			{
				notelist.css('background-color', '#'+colors_values[next_color_number]);
				new_color = colors_values[next_color_number];
			}
			else
			{
				new_color = colors_values[0];
				notelist.css('background-color', '#'+colors_values[0]);
			}
		}


		OpenDrive.ajax.do('notelist-update', {notelist_id: notelist_id, color: new_color});

		return false;
	});

	//	$(".notelist-buttons").blur(function(){
	//		$(this).closest(".notelist").removeClass('menu-active');
	//	});

	$(".root-menu .folders-in-root li").bind('contextmenu', function(e){
		if ( $(this).hasClass('notepad-item') )
		{
			$(".js-item-menu-btn", $(this)).click();

			return false;
		}
	});

	// sidebar root menu item contex menu
	$(".root-menu li.root").bind('contextmenu', function(e){
		e.preventDefault();
		$(".js-item-menu-btn", $(this)).click();

		return false;
	});

	// item context menu
	$(".item").bind('contextmenu', function(e){
		e.preventDefault();
		$(".menu-btn", $(this)).click();
		return false;
	});

	// show hide notelist menu btn
	$(".notegroups-container").on('click', '.notelist-menu-btn', function(){
		var notelist = $(this).closest(".notelist");

		notelist.toggleClass('menu-active');
		if ( notelist.hasClass('menu-active') )
		{
			$(".notelist-buttons a:first-child", notelist).focus();
		}
		return false;
	});

	// toggle create note mode ON
	$(".notegroups-container").on('click', '.notelist-new-note-btn', function(){
		var notelist = $(this).closest(".notelist");
		var new_note = $(".new-note", notelist);

		if ( !notelist.hasClass('edit-mode') )
		{
			notelist.addClass('edit-mode');
		}

		$("textarea", new_note).focus().select();
		return false;
	});

	// toggle create note mode OFF
	$(".notegroups-container").on('click', '.notelist-hide-new-note-btn', function(){
		var notelist = $(this).closest(".notelist");
		var new_note = $(".new-note", notelist);

		if ( notelist.hasClass('edit-mode') )
		{
			notelist.removeClass('edit-mode');
			$(".new-note-text", notelist).val('');
		}

		return false;
	});


	// same as blur below and creates new note
	$(".notegroups-container").on('keypress', '.new-note textarea', function(e){
		if(e.which == 13) {
			$(this).blur();
			return false;
		}
	});

	$(".notegroups-container").on('mouseleave', '.notelist', function(){
		var notelist = $(this);
		if ( notelist.hasClass('menu-active') )
		{
			notelist.removeClass('menu-active');
		}

		//if ( notelist.hasClass('edit-mode') )
		//{
		//	notelist.removeClass('menu-active');
		//}
	});

	// creates new note
	$(".notegroups-container").on('blur', '.new-note textarea, .new-single-note .new-single-note-text', function(){
		var note_input = $(this);
		var notelist = note_input.closest('.notelist');
		var notelist_id = notelist.data('notelistid');


		if ( note_input.hasClass('new-single-note-text') )
		{
			var new_single_note = note_input.closest('.new-single-note');
			var regex = /<br\s*[\/]?>/gi;
			var note_text = $(".new-single-note-text", new_single_note).html().replace(regex, "\n");

			$(".new-single-note-text", new_single_note).val('');
		}
		else
		{
			var new_note = note_input.closest('.new-note');
			var note_text = $(".new-note-text", new_note).val().trim();

			$(".new-note-text", new_note).val('');
			notelist.removeClass('edit-mode');
		}

		if ( note_text != '' )
		{
			// first note in not created notelist
			if (typeof notelist_id == 'undefined') {
				// create notelist first
				var notepad_id = $("#notepad_id").val();
				var notelist_name = $("span.notelist-title", notelist).text();

				OpenDrive.ajax.do('notelist-create', {notepad_id: notepad_id, name: notelist_name}, function (response) {
						notelist.attr('data-notelistid', response.ListId);
						notelist_id = response.ListId;
						notepad_id = response.NotepadId;

						if ($("#notepad-" + notepad_id).length == 0 && notepad_id != '')
						{

							var new_notepad_item = $(OpenDrive.helpers.applyTemplate({NotepadId: notepad_id}, 'NewNotepadItem'));

							$(".notepad-name", new_notepad_item).text('Notepad');
							new_notepad_item.attr('id', 'notepad-'+notepad_id).attr('data-notepadid', notepad_id);
							$(".folders-in-root .jspPane").append(new_notepad_item);

							$("#notepad_id").val(notepad_id);
						}

						update_notelists_orders();


							var new_note_el = $(".one-note:first-child", notelist).clone();

							if (new_note_el.length == 0) {
								new_note_el = $(OpenDrive.helpers.applyTemplate(null, 'NoteFileItem'));
							}

							$(".note-time-ago", new_note_el).text(OpenDrive._('just_now'));
							$(".one-note-text .one-note-text-editable", new_note_el).text(note_text);

							new_note_el.insertAfter($(".new-single-note", notelist));

							if ($(".one-note", notelist).length > 1) {
								notelist.removeClass('single-note');
							}
							else {
								notelist.addClass('single-note');
							}

							if ($(".one-note", notelist).length > 0) {
								notelist.removeClass('empty-list');
							}
							else {
								notelist.addClass('empty-list');
							}


							new_note_el.linkify({
								target: "_blank"
							});


					OpenDrive.ajax.do('note-create', {notelist_id: notelist_id, text: note_text}, function (response) {
						if (response.NoteId != null) {
							new_note_el.attr('data-noteid', response.NoteId);
						}
					});
				});
			}
			else {

					var new_note_el = $(".one-note:first-child", notelist).clone();

					if (new_note_el.length == 0) {
						new_note_el = $(OpenDrive.helpers.applyTemplate(null, 'NoteFileItem'));
					}

					$(".note-time-ago", new_note_el).html(OpenDrive._('just_now'));
					$(".one-note-text .one-note-text-editable", new_note_el).text(note_text);

					$(".new-single-note", notelist).parent().append(new_note_el);

					if ($(".one-note", notelist).length > 1) {
						notelist.removeClass('single-note');
					}
					else {
						notelist.addClass('single-note');
					}

					if ($(".one-note", notelist).length > 0) {
						notelist.removeClass('empty-list');
					}
					else {
						notelist.addClass('empty-list');
					}


					new_note_el.linkify({
						target: "_blank"
					});


					OpenDrive.ajax.do('note-create', {notelist_id: notelist_id, text: note_text}, function (response) {
						if (response.NoteId != null) {
							new_note_el.attr('data-noteid', response.NoteId);
						}
					});
			}

			$(".notes-scrollable", notelist).perfectScrollbar({theme: 'od'})

		}
		return false;
	});

	// update note text
	$(".notegroups-container").on('blur', '.one-note-text .one-note-text-editable', function() {
		var note = $(this).closest('.one-note');
		var note_id = note.data('noteid');
		var regex = /<br\s*[\/]?>/gi;
		var new_note_text = $(this).html().replace(regex, "\n");

		if (new_note_text != '')
		{
			note.linkify({
				target: "_blank"
			});

			OpenDrive.ajax.do('note-update', {note_id: note_id, text: new_note_text});
		}
	});

	// delete one note
	$(".notegroups-container").on('click', '.one-note-delete', function(){
		if (confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')))
		{
			var notelist = $(this).closest('.notelist');
			var one_note = $(this).closest('.one-note');
			var note_id = one_note.data('noteid');

			if ( note_id != '' && typeof note_id !== 'undefined' )
			{
				one_note.remove();

				if ( $(".one-note", notelist).length > 1 )
				{
					notelist.removeClass('single-note');
				}
				else
				{
					notelist.addClass('single-note');
				}

				if ( $(".one-note", notelist).length > 0 )
				{
					notelist.removeClass('empty-list');
				}
				else
				{
					notelist.addClass('empty-list');
				}

				OpenDrive.ajax.do('note-delete', {note_id: note_id});
			}
		}

		return false;
	});

	// change note status
	$(".notegroups-container").on('click', '.checkmark', function(){
		var one_note = $(this).closest(".one-note");
		var note_id = one_note.data('noteid');
		var new_status = '';
		if ( one_note.hasClass('checked') )
		{
			one_note.removeClass('checked');
			new_status = 'default'
		}
		else
		{
			one_note.addClass('checked');
			new_status = 'done';
		}
		
		//if ( one_note.hasClass('important') )
		//{
		//	one_note.removeClass('important');
		//	one_note.addClass('done');
		//	new_status = 'done';
		//}
		//else if ( one_note.hasClass('done') )
		//{
		//	one_note.removeClass('done');
		//	one_note.removeClass('important');
		//	new_status = ''
		//}
		//else
		//{
		//	one_note.addClass('important');
		//	one_note.removeClass('done');
		//	new_status = 'important';
		//}

		if ( note_id != '' && typeof note_id !== 'undefined' )
		{
			OpenDrive.ajax.do('note-update', {note_id: note_id, text: '', status: new_status});
		}
		return false;
	});

	// resize notelist
	$(".notegroups-container").on('click', '.notelist-resize-btn', function(){
		var container = $(this).closest('.notelist-container');
		var notelist = $(this).closest('.notelist');
		var notelist_id = notelist.data('notelistid');
		var new_size;

		if ( container.hasClass('col-md-3') && container.hasClass('col-sm-6') )
		{
			// 1x1 starndard size become 2x1
			container.removeClass('col-md-3 col-sm-6').addClass('col-md-6 col-sm-12');
			$(".notelist-square", container).removeClass('notelist-square').addClass('notelist-rect-h');

			new_size = 2;

		}
		else if ( container.hasClass('col-md-6') && container.hasClass('col-sm-12') && $(".notelist-rect-h", container).length > 0 )
		{
			// 2x1 horizontal rect size become 2x2
			$(".notelist-rect-h", container).removeClass('notelist-rect-h').addClass('notelist-square');

			new_size = 4;
		}
		else if ( container.hasClass('col-md-6') && container.hasClass('col-sm-12') && $(".notelist-square", container).length > 0 )
		{
			// 2x2 big square become 1x1
			container.removeClass('col-md-6 col-sm-12').addClass('col-md-3 col-sm-6');
			$(".notelist-rect-h", container).removeClass('notelist-rect-h').addClass('notelist-square');

			new_size = 1;
		}

		OpenDrive.ajax.do('notelist-update', {notelist_id: notelist_id, size: new_size});

		return false;
	});

	// create new note from etalon
	$("#new-notelist-btn").click(function(){
		var notepad_id = $("#notepad_id").val();
		var standard_notelist = $("#standard-notelist").clone();
		standard_notelist.attr('id', '');

		var notelist_name = OpenDrive._('First_Note');
		var i = 1;

		while( $("span.notelist-title:contains("+notelist_name+")").length > 0 )
		{
			notelist_name = OpenDrive._('New_Note') + ' ' + i;
			i++;
		}

		$("span.notelist-title", standard_notelist).text(notelist_name);


		OpenDrive.ajax.do('notelist-create', {notepad_id: notepad_id, name: notelist_name},
			function (response) {
				$(".notelist", standard_notelist).attr('data-notelistid', response.ListId);
				update_notelists_orders();
			},
			function () {
				standard_notelist.remove();
			});

		$(".notelist-container:first-child").before(standard_notelist);

		$(".notes-scrollable", standard_notelist).perfectScrollbar({theme: 'od'});
		makeSortable();

		return false;
	});

	// rename notelist title
	var notelistXhr;
	$(".notegroups-container").on('click', '.notelist-title', function(){
		var title = $(this);
		var notelist = title.closest('.notelist');
		var notelist_id = notelist.data('notelistid');


			var old_title_val = title.html();
			var title_input = $('<input maxlength="255"/>').addClass("title-input").attr('placeholder', OpenDrive._('Note_name')).attr('value', old_title_val);
			title_input.keydown(function (e) {
				var _this = $(this);
				var value = this.value,
					oldValue = _this.data('oldValue');
					if (e.which == 13) {
						title.text(value).show();
						title_input.remove();

						if ( notelist_id != '' && typeof notelist_id !== 'undefined' ) {
							OpenDrive.ajax.do('notelist-update', {notelist_id: notelist_id, name: value});
						}
						return false;
					} else if(oldValue !== value){
						if (notelist_id != '' && typeof notelist_id !== 'undefined') {
							if (notelistXhr) notelistXhr.abort();
							notelistXhr = OpenDrive.ajax.do('notelist-update', {
								notelist_id: notelist_id,
								name: value
							}, function () {
								notelistXhr = null;
								_this.data('oldValue', value)
							});
						}
					}
				})
				.blur(function () {
					title.text(title_input.val()).show();
					title_input.remove();

					if ( notelist_id != '' && typeof notelist_id !== 'undefined' ) {
						OpenDrive.ajax.do('notelist-update', {notelist_id: notelist_id, name: title_input.val()});
					} else {
						var notepad_id = $("#notepad_id").val();
						OpenDrive.ajax.do('notelist-create', {notepad_id: notepad_id, name: title_input.val()},
							function (response) {
								notelist.attr('data-notelistid', response.ListId);
								if(notepad_id == '0') {
									$("#notepad_id").val(response.NotepadId);
									$('.js-root-menu-items').append(OpenDrive.helpers.applyTemplate(response, 'NotepadMenuItem'));
								}
								update_notelists_orders();
							});
					}
				});

			title_input.insertAfter(title);
			title.hide();
			title_input.focus();

		return false;
	});

	// archive notelist
	$(".notegroups-container").on('click', '.notelist-archive-btn', function(){
		if (confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')))
		{
			var notelist_container = $(this).closest('.notelist-container');
			var notelist = $('.notelist', notelist_container);
			var notelist_id = notelist.data('notelistid');

			OpenDrive.ajax.do('notelist-archive', {notelist_id: notelist_id}, function () {
				notelist_container.fadeOutRemove();
			});
		}

		return false;
	});

	// trash notelist
	$(".notegroups-container").on('click', '.notelist-trash-btn', function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var notelist_container = $(this).closest('.notelist-container');
			var notelist = $('.notelist', notelist_container);
			var notelist_id = notelist.data('notelistid');

			var trash_counter = $(".trash-items .js-trash-items-counter");

			if (notelist_id) {
				notelist_container.fadeOutRemove();

				OpenDrive.ajax.do('notelist-trash', {notelist_id: notelist_id}, function () {
					trash_counter.html(parseInt(trash_counter.html()) + 1);
				});
			}
		}

		return false;
	});

	// delete notelist
	$(".notegroups-container").on('click', '.notelist-remove-btn', function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var notelist_container = $(this).closest('.notelist-container');
			var notelist = $('.notelist', notelist_container);
			var notelist_id = notelist.data('notelistid');

			notelist_container.fadeOutRemove();

			OpenDrive.ajax.do('notelist-delete', {notelist_id: notelist_id});
		}

		return false;
	});

	// restore trashed notelist
	$(".notegroups-container").on('click', '.notelist-restore-btn', function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var notelist_container = $(this).closest('.notelist-container');
			var notelist = $('.notelist', notelist_container);
			var notelist_id = notelist.data('notelistid');

			notelist_container.fadeOutRemove();
			OpenDrive.ajax.do('notelist-restore-trashed', {notelist_id: notelist_id});
		}

		return false;
	});



	// create new notepad
	$("#new-notpad-btn").click(function(){

		var root_menu = $(".root-menu");
		var notepad_name = 'New Notepad';

		var new_notepad_item = $(OpenDrive.helpers.applyTemplate(null, 'NewEmptyNotepad'));

		new_notepad_item.addClass('loading');

		$(".notepad-name", new_notepad_item).text(notepad_name);
		_rootMenuItems.append(new_notepad_item);
		OpenDrive.ajax.do('notepad-create', {name: notepad_name}, function (response) {
			var notepad_id = response.notepad_id;
			if ( notepad_id != '' )
			{
				if(!_rootMenuItems.find('> .notepad-item:not(.loading)').length) $("#notepad_id").val(notepad_id);
				new_notepad_item.attr('id', 'notepad-'+notepad_id).data('notepadid', notepad_id);
				$(".od_root_notepads", new_notepad_item).attr('href', '/notes/'+notepad_id).attr('title', notepad_name);
				new_notepad_item.removeClass('loading');

				RootMenu.scrollToElement(new_notepad_item);

				$(".contex-notepad-rename", new_notepad_item).click();

			}
		});

		return false;
	});

	// archive notepad
	$(".contex-notepad-achive").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var this_menu_item = $(this).closest('li.item');
			var notepad_id = this_menu_item.data('notepadid');

			this_menu_item.fadeOutRemove();

			OpenDrive.ajax.do('notepad-archive', {notepad_id: notepad_id}, function () {
				if ($(".folders-in-root .notepad-item").length == 0) {
					window.location.href = '/notes';
				}
			});
		}
		return false;
	});

	// trash notepad
	$(".context-notepad-trash").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var this_menu_item = $(this).closest('li.item');
			var notepad_id = this_menu_item.data('notepadid');

			var trash_counter = $(".trash-items .js-trash-items-counter");
			this_menu_item.fadeOutRemove();

			OpenDrive.ajax.do('notepad-trash', {notepad_id: notepad_id}, function () {
				trash_counter.html(parseInt(trash_counter.html()) + 1);
				if ($(".folders-in-root .notepad-item").length == 0) {
					window.location.href = '/notes';
				}
			});
		}
		return false;
	});

	// delete trashed notepad
	$(".context-notepad-remove").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var this_menu_item = $(this).closest('li.item');
			var notepad_id = this_menu_item.data('notepadid');
			this_menu_item.fadeOutRemove();

			OpenDrive.ajax.do('notepad-delete-trashed', {notepad_id: notepad_id}, function () {
				if ($(".folders-in-root .notepad-item").length == 0) {
					window.location.href = '/notes';
				}
			});
		}
		return false;
	});

	// restore trashed notepad
	$(".contex-notepad-restore-trashed").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var this_menu_item = $(this).closest('li.item');
			var notepad_id = this_menu_item.data('notepadid');
			this_menu_item.fadeOutRemove();

			OpenDrive.ajax.do('notepad-restore-trashed', {notepad_id: notepad_id}, function () {
				if ($(".folders-in-root .notepad-item").length == 0) {
					window.location.href = '/notes';
				}
			});
		}
		return false;
	});

	// restore archived notepad
	$(".contex-notepad-restore-archived").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			var this_menu_item = $(this).closest('li.item');
			var notepad_id = this_menu_item.data('notepadid');

			this_menu_item.fadeOutRemove();

			OpenDrive.ajax.do('notepad-restore-archived', {notepad_id: notepad_id}, function () {
				if ($(".folders-in-root .notepad-item").length == 0) {
					window.location.href = '/notes';
				}
			});
		}
		return false;
	});

	// empty notes trash
	$("#trash-clear-btn").click(function(){
		if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
		{
			OpenDrive.ajax.do('empty-notes-trash', function () {
				$(".trash .trash-items").html('0 items');
				if ($(".trash-container").length > 0) {
					$(".trash-container .notelist-container").remove();
					$(".folders-in-root .notepad-item").remove();
				}
			});
		}
		return false;
	});

	// rename notepad
	$(".folders-in-root").on('click', '.contex-notepad-rename', function(){
		var this_menu_item = $(this).closest('li.item');
		var notepad_name_el = $("span.notepad-name", this_menu_item);
		var old_notepad_name = notepad_name_el.html();
		var notepad_rename_el = $("<input>").attr({maxlength: 255, 'type': 'text', 'value': old_notepad_name, 'placeholder': OpenDrive._('Notepad_Name')}).addClass('notepad-rename');

		notepad_rename_el.on('keypress blur', function(e){
			if ( (e.type == 'keypress' && e.which == 13) || e.type == 'blur' )
			{
				this_menu_item.addClass('loading');
				var this_input = $(this);
				var new_notepad_name = this_input.val();

				if ( new_notepad_name != '' && old_notepad_name != new_notepad_name )
				{
					this_input.remove();
					notepad_name_el.text(new_notepad_name);

					var notepad_id = this_menu_item.data('notepadid');

					OpenDrive.ajax.do('notepad-update', {
						notepad_id: notepad_id,
						notepad_name: new_notepad_name
					}, function () {
						this_menu_item.removeClass('loading');
					});

				}
				else
				{
					this_input.remove();
					notepad_name_el.text(old_notepad_name);
					this_menu_item.removeClass('loading');
				}

				return false;
			}
		});

		this_menu_item.removeClass('open');
		notepad_name_el.html('');
		this_menu_item.append(notepad_rename_el);
		notepad_rename_el.focus().select();

		return false;
	});


	// turn ON scroll in notelists
	$(".notelist .notes-container .notes-scrollable").css('overflow-y', 'auto');
	$(".notes-page .notelist-container:not(#standard-notelist) .notelist:not(.empty-list) .notes-container  .notes-scrollable").perfectScrollbar({theme: 'od'});

	var SearchBox = new function () {
		var searchContainer = $('<div class="js-search-results search-results" style="display:none"></div>');
		var _this = this;
		this.input = $('.js-item-search-field');
		this.input.parent().append( searchContainer);

		this.input.on('change keyup keydown paste input cut', function (e) {

			if (_this.input.data('prevValue') !== this.value) {
				_this.input.data('prevValue', this.value);
				searchItems(this.value);
			}
			e.stopPropagation();
		});
		var searchTerm, searchDate, request;

		function searchItems(query) {
			var date = (new Date()).getTime();
			if (query) {
				searchTerm = query;
				searchDate = date + 350;
			}

			if (searchTerm && date > searchDate) {
				query = searchTerm.trim();
				if (request) {
					request.abort();
					request = null;
				}
				searchTerm = null;
				search(query);
			}
			if (searchTerm) setTimeout(searchItems, 0)
		}

		function search(query) {
			request = $.ajax({
				url: '/ajax',
				method: 'POST',
				data: {
					action: 'notes.search-items',
					query: query
				},
				success: function (response) {
					if (response && response.Notes && response.Notepads) {
						response.NoResults = !(response.Notes.length || response.Notepads.length);
						OpenDrive.helpers.applyTemplate(
							response,
							'SearchResults',
							searchContainer
						);
						searchContainer.show();
					}
					request = null;
				},
				error: function () {
					request = null;
				}
			});
		}

		$(document).on('click', function () {
			searchContainer.hide();
		});

		$('.js-header-search-icon').on('click', function () {
			SearchBox.input.trigger('change');
			return false;
		})
	};
});
