(function ($) {
	var container, media, videoControls;

	function init_audio_player() {
		var cont_height = 40;
		var cont_width = container.outerWidth();
		
		var options = {};
		options[media.data('file-ext')] = media.data('stream-link');

		$('#audio-player').jPlayer({
			ready: function () {
				$(this).jPlayer('setMedia', options);
			},
			resize: function (event) {
			},
			play: function (event) {
				//
				$('.player-controls').addClass('playback');
			},
			pause: function (event) {
				$('.player-controls').removeClass('playback');
			},
			swfPath: media.data('plugins-url'),
			solution: 'html, flash',
			supplied: 'mp3, m4a, oga, wav',
			volume: 0.8,
			cssSelectorAncestor: '#container',
			cssSelector: {
				videoPlay: '.jp-video-play',
				play: '.jp-play',
				pause: '.jp-pause',
				currentTime: '.jp-current-time',
				duration: '.jp-duration',
				seekBar: '.jp-seek-bar',
				playBar: '.jp-play-bar',
				fullScreen: '.jp-full-screen',
				restoreScreen: '.jp-restore-screen'
			},
			size: {
				'width': cont_width + 'px',
				'height': cont_height + 'px'
			}
		});
	}
	var videoPlayer;

	function init_video_player2() {
		if (!videoPlayer) videoPlayer = $('#video-player').mediaelementplayer({
				pluginPath: media.data('meplugins-url'),
				audioVolume: 'horizontal',
				videoVolume: 'horizontal',
				success: function (mediaElement, domObject) {
					if (media.data('autoplay') == '1') mediaElement.play();
				},
				enableAutosize: false
			}
		);
	}

	$(document).ready(function ($) {
		container = $('#container');
		media = $('#media-data');
		videoControls = $('.jp-controls-bar.jp-gui');
		var file_type = media.data('file-type');

		$(window).bind('resize load', function () {
			if (file_type == 'audio') {
				init_audio_player();
			}
			else if (file_type == 'video') {
				init_video_player2();
			}

			if (container.outerWidth() > 400) {
				$('.player-controls').addClass('big-controls');
			}
			else {
				$('.player-controls').removeClass('big-controls');
			}
		});
	});
})(jQuery);