var $ = jQuery.noConflict();

function show_lightbox(wrapper)
{
	$('.lightbox').hide();
	wrapper.show();
	var container = $('.lightbox-container', wrapper),
		header = $('.lightbox-header', container),
		buttons = $('.lightbox-buttons', container),
		scrollBody = $('.lightbox-scrollable-content', container);

	function recalcHeight(){
		if ( scrollBody.length  ) {
			var bodyHeight = container.height() - buttons.outerHeight(true) - header.outerHeight(true) - (scrollBody.outerHeight(true) - scrollBody.outerHeight());
			if(bodyHeight < scrollBody.innerHeight()) {
				scrollBody.css('height', bodyHeight + 'px');
				var api = scrollBody.data('jsp');
				if(api) api.reinitialise();
				else scrollBody.jScrollPane();
			}
		}
	}
	if(!wrapper.data('on_resize')){
		wrapper.data('on_resize', true);
		$(window).on('resize', recalcHeight)
	}

	container.css({'top': '50%', 'margin-top' : -1 * Math.ceil(container.outerHeight() / 2) +'px'});
	recalcHeight();
}

$(document).ready(function($) {

	$("#download-logs-btn").click(function () {
		var params = $("#activity-logs-form").serialize();
		$('#export-logs-form').attr('action', $(this).data('href') + '?' + params).submit();
		return false;
	});


	// delete user avatar
	$(".my-profile #trash-avatar-btn").click(function(){

		if($(this).data('image_type') == 'account_user'){
			var data = {
				image_type: 'account_user'
			};
		}
		else{
			var data = {};
		}

		OpenDrive.ajax.do('delete-avatar', data, function () {
			location.reload();
		});

		return false;
	});

	// delete branding logo
	$(".branding #trash-logo-btn").click(function () {
		OpenDrive.ajax.do('delete-avatar', {
			image_type: 'logo'
		}, function () {
			location.reload();
		});

		return false;
	});


	// delete branding favicon
	$(".branding #trash-favicon-btn").click(function () {
		OpenDrive.ajax.do('delete-avatar', {
			image_type: 'favicon'
		}, function () {
			location.reload();
		});
		return false;
	});


	// resize and scrollpanes
	function resize_settings_area()
	{
		var folder_list_height = $(window).height() - $(".root-menu").offset().top;
		$(".folders-in-root").height(folder_list_height+'px');

		var folders_scroll = $(".folders-in-root").jScrollPane({autoReinitialise: true});
	}

	$(window).resize(function(){
		resize_settings_area();
		$(document).trigger('ODResizeFinished');
	});

	resize_settings_area();

	$(".lightbox-header .lightbox-close-btn").click(function(){
		$(this).closest(".lightbox").hide();
		return false;
	});

	$(".lightbox").escape(function(){
		$(".lightbox").hide();
	});

	$(".lightbox .js-cancel-btn").click(function(){
		$(".lightbox").hide();
		return false;
	});


	$('#affiliate_url').click(function() {
		this.select();
		document.execCommand('copy');
		OpenDrive.popups.showNotification("Link has been copied to your clipboard.");
	});


	if ( $("#upload_avatar_url").length > 0 )
	{
		var r = new Resumable({
			target:	$("#upload_avatar_url").val(),
			chunkSize: 1*1024*1024,
			permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
			maxChunkRetries: 10,
			testChunks: false
		});

		// Resumable.js isn't supported, fall back on a different method
		if(!r.support)
		{
			OpenDrive.popups.showError(OpenDrive._('Resumable_upload_not_supported'))
		}
		else
		{
			r.assignBrowse($('#btn-browse-file').attr('multiple', false));

			r.on('fileAdded', function(file){
				var params = {session_id:$('#upload_avatar_session_id').val(), type: $('#upload_avatar_user_type').val(), group_id: 0};
				r.opts.query = params
				r.upload();
				return false;
			});
			r.on('fileSuccess', function(file,message){
				location.reload();
			});
			r.on('fileError', function(file, message){
				var errorMessage = '';
				try {
					message = $.parseJSON(message);
					if(message && message.error && message.error.message){
						errorMessage = message.error.message.toString();
					}
				}catch (e){
				}
				if (!errorMessage) errorMessage = OpenDrive._('Unable_to_upload_the_file');

				r.removeFile(file);

				OpenDrive.popups.showError(errorMessage);
			});
			r.on('progress', function(file){
			});

			$("#upload-avatar-btn").click(function(){
				$("#btn-browse-file").click();
				return false;
			});
		}
	}



	if ( $("#upload_logo_url").length > 0 )
	{
		var r = new Resumable({
			target:	$("#upload_logo_url").val(),
			chunkSize: 1*1024*1024,
			permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
			maxChunkRetries: 10,
			testChunks: false
		});

		// Resumable.js isn't supported, fall back on a different method
		if(!r.support)
		{
			OpenDrive.popups.showError (OpenDrive._('Resumable_upload_not_supported'));
		}
		else
		{
			r.assignBrowse($('#btn-browse-logo-file').attr('multiple', false));

			r.on('fileAdded', function(file){
				var params = {session_id:$('#upload_logo_session_id').val(), type: $('#upload_logo_user_type').val(), group_id: 0};
				r.opts.query = params;
				r.upload();
				return false;
			});
			r.on('fileSuccess', function(file,message){
				location.reload();
			});
			r.on('fileError', function(file, message){
				var errorMessage = '';
				try {
					message = $.parseJSON(message);
					if(message && message.error && message.error.message){
						errorMessage = message.error.message.toString();
					}
				}catch (e){
				}
				if (!errorMessage) errorMessage = OpenDrive._('Unable_to_upload_the_file');
				r.removeFile(file);


				OpenDrive.popups.showError(errorMessage);
			});
			r.on('progress', function(file){
			});

			$("#upload-logo-btn").click(function(){
				$("#btn-browse-logo-file").click();
				return false;
			});
		}
	}


	if ( $("#upload_favicon_url").length > 0 )
	{
		var rf = new Resumable({
			target:	$("#upload_favicon_url").val(),
			chunkSize: 1*1024*1024,
			permanentErrors: [400, 401, 402, 403, 404, 409, 413, 415, 500, 503, 507],
			maxChunkRetries: 10,
			testChunks: false
		});

		// Resumable.js isn't supported, fall back on a different method
		if(!rf.support)
		{
			OpenDrive.popups.showError (OpenDrive._('Resumable_upload_not_supported'));
		}
		else
		{
			rf.assignBrowse($('#btn-browse-favicon-file').attr('multiple', false));

			rf.on('fileAdded', function(file){
				var params = {session_id:$('#upload_favicon_session_id').val(), type: $('#upload_favicon_user_type').val(), group_id: 0};
				rf.opts.query = params;
				rf.upload();
				return false;
			});
			rf.on('fileSuccess', function(file,message){
				location.reload();
			});
			rf.on('fileError', function(file, message){
				var errorMessage = '';
				try {
					message = $.parseJSON(message);
					if(message && message.error && message.error.message){
						errorMessage = message.error.message.toString();
					}
				}catch (e){
				}

				if (!errorMessage) errorMessage = OpenDrive._('Unable_to_upload_the_file');

				r.removeFile(file);

				OpenDrive.popups.showError(errorMessage);
			});
			rf.on('progress', function(file){
			});

			$("#upload-favicon-btn").click(function(){
				$("#btn-browse-favicon-file").click();
				return false;
			});
		}
	}


	//Menu Font color
	if ( $('#colorSelector2').length > 0 )
	{
		$('#colorSelector2').ColorPicker({
			color: '#f7f7f7',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#colorSelector2 div').css('backgroundColor', '#' + hex);
				$('#font_color').val(hex);
				$('ul.dropdown li a').css('color', '#' + hex);
			},
			onSubmit: function(hsb, hex, rgb, el) {
			}
		});
	}

	if ( $('#colorSelector1').length > 0 )
	{
		//Background color
		$('#colorSelector1').ColorPicker({
			color: '#f7f7f7',
			onShow: function (colpkr) {
				$(colpkr).fadeIn(500);
				return false;
			},
			onHide: function (colpkr) {
				$(colpkr).fadeOut(500);
				return false;
			},
			onChange: function (hsb, hex, rgb) {
				$('#colorSelector1 div').css('backgroundColor', '#' + hex);
				$('#bg_color').val(hex);
				$('.menu-box').css('backgroundColor', '#' + hex);
				$('ul.dropdown>li>div').css('backgroundColor', '#' + hex);
			},
			onSubmit: function(hsb, hex, rgb, el) {

			}
		});
	}

	$('#reset_bg_color').click(function(){
		$("#bg_color").val('365277');

		return false;
	});

	$('#reset_font_color').click(function(){
		$("#font_color").val('777777');
		
		return false;
	});
	
	
	// activity logs page
	var logsPage = $('.js-userlogs'), xhrLogs, currentPage = 0, totalPages;
	if ( $("#activity-logs-form").length > 0 )
	{
		$(".withdatepicker").datepicker({inline: true,
			dateFormat: "M d, yy",
			minDate: "-2y",
			maxDate: "+3m"});


		$('.js-tab-content').on('scroll', function(e){
			var isAtBottom = this.scrollHeight - this.scrollTop === this.clientHeight;
			if(!isAtBottom || xhrLogs) return;
			if( !isNaN(currentPage) && totalPages && currentPage < totalPages){
				loadUserLogs(currentPage + 1, true);
			}
		});

		loadUserLogs(0);
		$('.js-load-logs').click(function () {
			loadUserLogs(0);
			return false;
		})
	}

	function loadUserLogs(page, append) {
		var post_data = {
			page: page,
			activity_user_id: $('#activity_user').val(),
			activity_start_date: $('#activity_start_date').val(),
			activity_end_date: $('#activity_end_date').val(),
			activity_log_type: $('#activity_log_type').val()
		};
		$('.js-loading').show();
		xhrLogs = OpenDrive.ajax.do('load-logs', post_data, function (response) {
			$('.js-loading').hide();
			currentPage = response.CurrentPage;
			var html = OpenDrive.helpers.applyTemplate(response, 'UserLogs');
			if (append) logsPage.append(html);
			else logsPage.html(html);
			$('.js-items_count').html(logsPage[0].rows.length + ' rows');
			xhrLogs = null;
			totalPages = response.TotalPages;
		}, function () {
			$('.js-loading').hide();
			xhrLogs = null;
		})
	}

	(function () {
		var inpDomain = $('.js-user-subdomain'),
			usedDomainMsg = $('.js-used-domain'),
			subdomain;
		if (!inpDomain.length || !$.fn.inputmask) return;
		var request = null,
			searchTerm,
			searchDate = 0;

		function checkSubdomain(subdomain) {
			var date = (new Date()).getTime();
			if (subdomain) {
				searchTerm = subdomain;
				searchDate = date + 350;
			} else usedDomainMsg.addClass('invisible');

			if (searchTerm && date > searchDate) {
				subdomain = searchTerm;
				if (request) {
					request.abort();
					request = null;
				}
				searchTerm = null;
				search(subdomain);
			}
			if (searchTerm) setTimeout(checkSubdomain, 0)
		}

		function search() {
			request = $.ajax({
				url: '/ajax',
				method: 'POST',
				data: {
					action: 'check-user-subdomain-exists',
					subdomain: inpDomain.val()
				},
				success: function (response) {
					if (response) {
						if (response.exists) usedDomainMsg.removeClass('invisible');
						else usedDomainMsg.addClass('invisible');
					}
					request = null;
				},
				error: function () {
					request = null;
				}
			});
		}

		inpDomain.inputmask('Regex', {regex: '^[a-z0-9-]+$'})
			.on('change keyup keydown paste input cut change', function () {
				checkSubdomain(this.value);
			});
	})();

	OpenDrive.forms.initAjaxSubmit($('#user-profile-form'), {
		onAfterSubmit: function (result) {
			if(result) OpenDrive.popups.showNotification(result.message);
		}
	});

	OpenDrive.forms.initAjaxSubmit($('#user-password-form'), {
		onAfterSubmit: function (result) {
			if(result) {
				OpenDrive.popups.showNotification(result.message);
				this[0].reset();
			}
		}
	});
	OpenDrive.forms.initAjaxSubmit($('#2FA-form'), {

		onAfterSubmit: function (result) {
			if(result) {
				OpenDrive.popups.showNotification(result.message);
				this[0].reset();
				$('#2FA-form').hide();
				$('#2FA-form-disable').show();
			}
		}
	});
	OpenDrive.forms.initAjaxSubmit($('#2FA-form-disable'), {

		onAfterSubmit: function (result) {
			if(result) {
				OpenDrive.popups.showNotification(result.message);
				this[0].reset();
				$('#2FA-form').show();
				$('#2FA-form-disable').hide();
			}
		}
	});

	OpenDrive.forms.initAjaxSubmit($('#user-affiliate-form'), {
		onAfterSubmit: function (result) {
			if(result) {
				OpenDrive.popups.showNotification(result.message);
				$('#affiliate_state').val(result.newState);
				$('#affiliate_enable').toggleClass('hidden');
				$('#affiliate_disable').toggleClass('hidden');
				$('#affiliate_url').toggleClass('hidden');
				if(result.affiliateUrl) {
					var url = window.location;
					var baseUrl = url .protocol + "//" + url.host + "/";
					$('#affiliate_url').val(baseUrl + "?od=" + result.affiliateUrl);
				}
				else
					$('#affiliate_url').val("");
			}
		}
	});

	$('[data-toggle="tooltip"]').tooltip({html: true, placement: 'top', delay: {show: 300, hide: 300}});
});