(function ($) {
    var filesChart = false;
    var bwChart = false;
    var filesData = false;
    var bwData = false;

    /*var lineOptions = {
        ///Boolean - Whether grid lines are shown across the chart
        scaleShowGridLines: true,
        //String - Colour of the grid lines
        scaleGridLineColor: "rgba(0,0,0,.05)",
        //Number - Width of the grid lines
        scaleGridLineWidth: 1,
        //Boolean - Whether the line is curved between points
        bezierCurve: true,
        //Number - Tension of the bezier curve between points
        bezierCurveTension: 0.4,
        //Boolean - Whether to show a dot for each point
        pointDot: true,
        //Number - Radius of each point dot in pixels
        pointDotRadius: 4,
        //Number - Pixel width of point dot stroke
        pointDotStrokeWidth: 1,
        scaleShowVerticalLines: false,
        //Number - amount extra to add to the radius to cater for hit detection outside the drawn point
        pointHitDetectionRadius: 20,
        //Boolean - Whether to show a stroke for datasets
        datasetStroke: true,
        //Number - Pixel width of dataset stroke
        datasetStrokeWidth: 2,
        //Boolean - Whether to fill the dataset with a colour
        datasetFill: true,
        //Boolean - Re-draw chart on page resize
        responsive: true,
        maintainAspectRatio: false
    };*/

    $(function () {
        if ($('.monthselector').length > 0) {
            $('.monthselector').monthselector({
                callback: function (cdata) {
                    load_chart_data(cdata.stat_date, cdata.wrapper);
                }
            });

            var cur_date = new Date();
            var stat_date = (cur_date.getMonth() + 1) + '/' + cur_date.getFullYear();

            // render chart
            function draw(wrapper) {

                var load_bw_data = true;
                var load_files_data = true;

                if (wrapper) {
                    if (wrapper.closest('.chart-head').hasClass('files-chart-head')) {
                        load_bw_data = false;
                    }

                    if (wrapper.closest('.chart-head').hasClass('bw-chart-head')) {
                        load_files_data = false;
                    }
                }

                if (filesData && bwData && $('#filesChart').length > 0 && $('#bwChart').length > 0) {
                    var selector = '#filesChart, #bwChart';

                    jQuery(selector).attr('width', jQuery(selector).closest('.chart').width());
                    jQuery(selector).attr('height', jQuery(selector).closest('.chart').height());

                    var lineOptions = {
                        scaleShowVerticalLines: false,
                        customTooltips: function (tooltip) {
                            var tooltipEl = jQuery('#files-chartjs-tooltip');
                            if (!tooltip) {
                                tooltipEl.css({
                                    opacity: 0
                                });
                                return;
                            }
                            tooltipEl.removeClass('above below');
                            tooltipEl.addClass(tooltip.yAlign);
                            var innerHtml = '';
                            for (var i = 0; i < tooltip.labels.length; i++) {
                                var added_text = ' - ';
                                added_text = (i == 0) ? OpenDrive._('Uploaded_Files') : OpenDrive._('Downloaded_Files');

                                innerHtml += [
                                    '<div class="chartjs-tooltip-section">',
                                    '	<span class="chartjs-tooltip-key" style="background-color:' + tooltip.legendColors[i].fill + '"></span>',
                                    '	<span class="chartjs-tooltip-value">' + tooltip.labels[i] + ' ' + added_text + '</span>',
                                    '</div>'
                                ].join('');
                            }
                            tooltipEl.html(innerHtml);

                            tooltipEl.css({
                                opacity: 1,
                                right: '0px',
                                top: '0px',
                                fontFamily: tooltip.fontFamily,
                                fontSize: tooltip.fontSize,
                                fontStyle: tooltip.fontStyle
                            });
                        }
                    };

                    if (load_files_data) lineOptions.animation = true;
                    else lineOptions.animation = false;
                    if(filesChart) filesChart.destroy();
                    filesChart = new Chart(document.getElementById('filesChart').getContext('2d')).Line(filesData, lineOptions);

                    lineOptions = {
                        scaleShowVerticalLines: false,
                        customTooltips: function (tooltip) {
                            var tooltipEl = jQuery('#bw-chartjs-tooltip');
                            if (!tooltip) {
                                tooltipEl.css({
                                    opacity: 0
                                });
                                return;
                            }
                            tooltipEl.removeClass('above below');
                            tooltipEl.addClass(tooltip.yAlign);
                            var innerHtml = '';
                            for (var i = 0; i < tooltip.labels.length; i++) {
                                var added_text = ' - ';
                                added_text = (i == 0) ? OpenDrive._('Uploads_in_GB') : OpenDrive._('Downloads_in_GB');

                                innerHtml += [
                                    '<div class="chartjs-tooltip-section">',
                                    '	<span class="chartjs-tooltip-key" style="background-color:' + tooltip.legendColors[i].fill + '"></span>',
                                    '	<span class="chartjs-tooltip-value">' + tooltip.labels[i] + ' ' + added_text + '</span>',
                                    '</div>'
                                ].join('');
                            }
                            tooltipEl.html(innerHtml);

                            tooltipEl.css({
                                opacity: 1,
                                right: '0px',
                                top: '0px',
                                fontFamily: tooltip.fontFamily,
                                fontSize: tooltip.fontSize,
                                fontStyle: tooltip.fontStyle
                            });
                        }
                    };
                    
                    if (load_bw_data) lineOptions.animation = true;
                    else lineOptions.animation = false;
                    if(bwChart) bwChart.destroy();
                    bwChart = new Chart(document.getElementById('bwChart').getContext('2d')).Line(bwData, lineOptions);
                }

            }

            function load_chart_data(stat_date, wrapper) {
                var load_bw_data = true;
                var load_files_data = true;

                if (wrapper) {
                    if (wrapper.closest('.chart-head').hasClass('files-chart-head')) {
                        load_bw_data = false;
                    }

                    if (wrapper.closest('.chart-head').hasClass('bw-chart-head')) {
                        load_files_data = false;
                    }
                }
                OpenDrive.ajax.do('load-stat', {'monthselector-date': stat_date}, function (data) {
                    if (load_files_data) {
                        filesData = {
                            labels: data.dataset_keys,
                            datasets: [
                                {
                                    label: OpenDrive._('Uploaded_Files'),
                                    fillColor: 'rgba(221,221,221,0.5)',
                                    strokeColor: '#aaaaaa',
                                    pointColor: '#aaaaaa',
                                    pointStrokeColor: '#aaaaaa',
                                    pointHighlightFill: '#333',
                                    pointHighlightStroke: '#ccc',
                                    data: data.up_num_dataset
                                },
                                {
                                    label: OpenDrive._('Downloaded_Files'),
                                    fillColor: 'rgba(110,161,231,0.3)',
                                    strokeColor: '#6ea1e7',
                                    pointColor: '#6ea1e7',
                                    pointStrokeColor: '#6ea1e7',
                                    pointHighlightFill: '#6ea1e7',
                                    pointHighlightStroke: '#ccc',
                                    data: data.dl_num_dataset
                                }
                            ]
                        };
                    }

                    if (load_bw_data) {
                        //if ( data.montly_uploaded )
                        {
                            $('.bw-chart-head #monthly-uploaded').html(OpenDrive.helpers.humanFileSize(data.montly_uploaded));
                        }

                        //if ( data.montly_downloaded )
                        {
                            $('.bw-chart-head #monthly-downloaded').html(OpenDrive.helpers.humanFileSize(data.montly_downloaded));
                        }

                        bwData = {
                            labels: data.dataset_keys,
                            datasets: [
                                {
                                    label: OpenDrive._('Upload_Bandwidth'),
                                    fillColor: 'rgba(221,221,221,0.5)',
                                    strokeColor: '#aaaaaa',
                                    pointColor: '#aaaaaa',
                                    pointStrokeColor: '#aaaaaa',
                                    pointHighlightFill: '#333',
                                    pointHighlightStroke: '#ccc',
                                    data: data.upload_bw_dataset
                                },
                                {
                                    label: OpenDrive._('Download_Bandwidth'),
                                    fillColor: 'rgba(110,161,231,0.3)',
                                    strokeColor: '#6ea1e7',
                                    pointColor: '#6ea1e7',
                                    pointStrokeColor: '#6ea1e7',
                                    pointHighlightFill: '#6ea1e7',
                                    pointHighlightStroke: '#ccc',
                                    data: data.download_bw_dataset
                                }
                            ]
                        };
                    }
                    if (filesChart && bwChart) {
                        filesChart.destroy();
                        bwChart.destroy();
                    }
                    draw(wrapper);

                });
            }

            load_chart_data(stat_date);
            $(document).on('ODResizeFinished', function () {
                if (filesChart) {
                    filesChart.clear().resize().draw();
                }
                if (bwChart) {
                    bwChart.clear().resize().draw();
                }
            });
        }
    })
})(jQuery);
