var $ = jQuery.noConflict();

function isElementOutViewport (el, viewport) {

    //special bonus for those using jQuery
    if (typeof jQuery === "function" && el instanceof jQuery) {
        el = el[0];
    }

    if ( typeof viewport == 'undefined' )
    {
        viewport = window;
    }

    var rect = el.getBoundingClientRect();

    if ( rect.top >= 0 && rect.left >= 0  )
    {

        if ( rect.bottom > (viewport.innerHeight() + viewport.offset().top) && rect.right > (viewport.innerWidth() + viewport.offset().left) )
        {
            return 'wh';
        }
        if ( rect.bottom > (viewport.innerHeight() + viewport.offset().top) )
        {
            return 'h';
        }
        else if ( rect.right > (viewport.innerWidth() + viewport.offset().left) )
        {
            return 'w';
        }
    }

    return false;

}

var save_timeout = false;

$(document).ready(function($) {
	var _rootMenu = $('.js-root-menu');
	var _rootMenuItems = $('.js-root-menu-items', _rootMenu);
	var RootMenu = new OpenDrive.widgets.RootMenu($('>.active.item', _rootMenuItems));

    //	 sidebar context menu
    $(".root-menu .folders-in-root li").bind('contextmenu', function(e){
        if ( $(this).hasClass('group-item') )
        {
            $(".js-item-menu-btn", $(this)).click();

            return false;
        }
    });

    function search(search_term){
        window.location.replace("/users/search/"+ encodeURIComponent(search_term)+"/");
    }

    $('.js-item-search-field').keypress(function (e) {
        if (e.which == 13) {
            search(this.value);
            return false;
        }
    });

    $('.js-item-search-icon').on('click', function () {
        search($('.js-item-search-field').val());
        return false;
    });

    // checkboxes on/off
    $(".users-container").on('click', '.user-row .checkbox', function() {
        var user_row = $(this).closest('.user-row');
        if ( user_row.hasClass('heading-row') )
        {
            // check all | uncheck all
            user_row.toggleClass('checked');

            if ( user_row.hasClass('checked') )
            {
                $('.user-row').addClass('checked');
            }
            else
            {
                $('.user-row').removeClass('checked');
            }
        }
        else
        {
            $(this).closest('.user-row').toggleClass('checked');
        }

        if ( $(".user-row.checked").length > 0 )
        {
            //			$("#users-edit-btn").removeClass('disabled');
            $("#users-block-btn").removeClass('disabled');
            $("#users-unblock-btn").removeClass('disabled');
            $("#users-delete-btn").removeClass('disabled');
            $(".heading-row .user-row-avatar").addClass('highlight-checkbox');
        }
        else
        {
            //			$("#users-edit-btn").addClass('disabled');
            $("#users-block-btn").addClass('disabled');
            $("#users-unblock-btn").addClass('disabled');
            $("#users-delete-btn").addClass('disabled');
            $(".heading-row .user-row-avatar").removeClass('highlight-checkbox');
        }

        return false;
    });

    // close dropdown menu
    $(".dropdown-menu .close-btn").click(function(){
        $(this).closest('.dropdown-menu').trigger('close-dropdown').hide();
        return false;
    });

    $(".dropdown-menu .cancel-btn").click(function(){
        $(this).closest('.dropdown-menu').trigger('close-dropdown').hide();
        return false;
    });

    $('.users-content').click(function() {
        $(".users-dropdown").trigger('close-dropdown').hide();
    });

    $('.users-dropdown').click(function(event){
        event.stopPropagation();
    });

    // enter press on dropdowns
    $(".users-new-page").on("keypress", ".dropdown-menu", function(event){
        var dropdown = $(this);
        var keycode = (event.keyCode ? event.keyCode : event.which);

        // enter
        if ( keycode == '13' && $(".save-btn", dropdown).length > 0 )
        {
            $(".save-btn", dropdown).click();
        }

        return true;
    });

    // Edit user details // Create new account user
    $(".users-container").on('click contextmenu', '.user-row-username', function(e) {
        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;

        var new_user_mode = false;
        if ( el.closest(".new-user-row").length > 0 ) new_user_mode = true;

        var user_row = el.closest('.user-row');

        if ( new_user_mode )
        {
            // CREATE NEW ACCOUNT USER
            user_row.addClass('edit-mode');

            if ( $("#new-user-details-dropdown").length == 0 ) return false;
            var dropdown = $("#new-user-details-dropdown");

            $('form', dropdown)[0].reset();
            var send_pass_email = $("#account_user_email_password", dropdown);
            var send_pass_email_row = send_pass_email.closest('.dropdown-row');

            send_pass_email_row.addClass('disabled');
            send_pass_email.prop('disabled', 'disabled');

            var loading_placeholder = $(".dropdown-loading", dropdown);
            if ( loading_placeholder.length == 0 ) {
                loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
                $(".dropdown-content", dropdown).append(loading_placeholder);
            }
            loading_placeholder.hide();

            var dropdown_x = el.offset().left + 38,
                dropdown_y = el.offset().top + el.height() - 10;

            dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});

            $(':input', dropdown).not(':button, :submit, :reset, :hidden').val('').removeAttr('checked').removeAttr('selected');

            dropdown.show();

            var menu_out = isElementOutViewport(dropdown, $(".users-container") );
            if ( menu_out == 'h' )
            {
                dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()) + 'px' });
                dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
            }
            else
            {
                dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
            }

        }
        else
        {
            // EDIT ACCOUNT USER
            if ( $("#user-details-dropdown").length == 0 ) return false;
            var dropdown = $("#user-details-dropdown");

            var loading_placeholder = $(".dropdown-loading", dropdown);
            if ( loading_placeholder.length == 0 ) {
                loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
                $(".dropdown-content", dropdown).append(loading_placeholder);
            }
            loading_placeholder.show();

            var dropdown_x = el.offset().left + 38,
                dropdown_y = el.offset().top + el.height() - 10;

            dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});


            $(':input', dropdown).not(':button, :submit, :reset, :hidden').val('').removeAttr('checked').removeAttr('selected');

            dropdown.show();

            var menu_out = isElementOutViewport(dropdown, $(".users-container") );
            if ( menu_out == 'h' )
            {
                dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()) + 'px' });
                dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
            }
            else
            {
                dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
            }

            var access_email = user_row.attr('data-user-email');

            OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function( response ) {
                    $('.js-account_user_first_name', dropdown).val(response.FirstName);
                    $('.js-account_user_last_name', dropdown).val(response.LastName);
                    $('.js-account_user_email', dropdown).val(response.Email);
                    $('.js-account_user_position', dropdown).val(response.AccessPosition);
                    $('#access-email', dropdown).val(response.Email);
                    if( response.AccessPasswordChange == true ) $("#account_user_change_password", dropdown).prop( "checked", true );
                    else $("#account_user_change_password", dropdown).prop( "checked", false );

                    loading_placeholder.hide();
            });
        }
        return false;
    });

    $(".dropdown-menu #account_user_send_email_invitation").click(function(){

        var dropdown = $(this).closest('.dropdown-menu');
        var send_pass_checkbox = $("#account_user_email_password", dropdown);
        var send_pass_row = send_pass_checkbox.closest(".dropdown-row");

        send_pass_row.toggleClass('disabled');
        send_pass_checkbox.prop('disabled', function(i, v) { return !v; });

        return true;
    });

    // Create new account user
    $("#save-new-user-btn").click(function() {
        var dropdown = $(this).closest('.users-dropdown');
        var loading = $(".dropdown-loading", dropdown);
        var user_row = $(".user-row.new-user-row.edit-mode");

        loading.show();

        var group_id = $("#group_id").val();

        var access_first_name = $('.js-account_user_first_name', dropdown).val();
        var access_last_name = $('.js-account_user_last_name', dropdown).val();
        var access_email = $('.js-account_user_email', dropdown).val();
        var access_position = $('.js-account_user_position', dropdown).val();
        var access_password = $('.js-account_user_password', dropdown).val();
        var access_password_change = 0;
        if ( $('#account_user_change_password_new', dropdown).is(':checked') ) access_password_change = 1;
        var access_email_invitation = 0;
        if ( $('#account_user_send_email_invitation', dropdown).is(':checked') ) access_email_invitation = 1;
        var access_email_password = 0;
        if ( $('#account_user_email_password', dropdown).is(':checked') && access_email_invitation ) access_email_password = 1;

        var data = {
            access_first_name: access_first_name,
            access_last_name: access_last_name,
            access_password: access_password,
            access_email: access_email,
            access_admin_mode: 0,
            access_notification: 0,
            access_max_storage: 1024,
            access_bw_max: 1024,
            group_id: group_id,
            access_phone: '',
            access_password_change: access_password_change,
            access_position: access_position,
            access_send_password: access_email_password
        };

        if(access_email_invitation) data.access_notification = 1;
        OpenDrive.ajax.do('create-accessuser', data, function( response ) {
            if ( response && response.result )
            {
                if ( $("#account-users-counter-value").length > 0 )
                {
                    $("#account-users-counter-value").html(response.UsedUsers)
                }

                user_row.addClass('draggable');
                user_row.removeClass('user-color-default new-user-row edit-mode');
                user_row.attr('data-user-email', access_email);
                $(".user-row-username span", user_row).text(access_first_name+' '+access_last_name);
                $(".user-row-position span", user_row).text(access_position);
                $(".user-row-avatar .avatar-container", user_row).text(access_first_name.charAt(0).toUpperCase()+access_last_name.charAt(0).toUpperCase());
                $(".user-row-email", user_row).html('');
                $(".user-row-email", user_row).append( $("<a>").attr('href', 'mailto:'+access_email).text(access_email) );
                if (data.access_notification) {
                    $(".user-row-email", user_row).append(OpenDrive.helpers.applyTemplate(null, 'ActivityNotificationsON'));
                } else {
                    $(".user-row-email", user_row).append(OpenDrive.helpers.applyTemplate(null, 'ActivityNotificationsOFF'));
                }
                initTooltips();
                loading.hide();
                dropdown.hide();
            }
        }, function () {
            loading.hide();
        });

        return false;
    });

    function initTooltips() {
        $('[data-toggle="tooltip"]').tooltip({html: true, placement: 'auto', delay: {show: 300, hide: 300}, viewport: $('.js-tabs-container')[0]});
    }

    initTooltips();

    // Save User Details
    $("#save-user-details-btn").click(function(){
        var dropdown = $(this).closest('.users-dropdown');
        var loading = $(".dropdown-loading", dropdown);

        loading.show();

        var access_first_name = $('.js-account_user_first_name', dropdown).val();
        var access_last_name = $('.js-account_user_last_name', dropdown).val();
        var access_password = $('.js-account_user_password', dropdown).val();
        var new_access_email = $('.js-account_user_email', dropdown).val();
        var access_email = $("#access-email", dropdown).val();
        var access_position = $('.js-account_user_position', dropdown).val();
        var access_password_change = 0;
        if ( $('#account_user_change_password', dropdown).is(':checked') ) access_password_change = 1;

        var data = {
            access_first_name: access_first_name,
            access_last_name: access_last_name,
            access_password: access_password,
            access_email: access_email,
            new_access_email: new_access_email,
            access_position: access_position,
            access_password_change: access_password_change
        };

        OpenDrive.ajax.do('edit-accessuser', data, function( response ) {
            if ( response.result )
            {
                var user_row = $(".user-row[data-user-email='" + access_email +"']");
                // user_row.attr('data-user-email', new_access_email);
                user_row.attr('data-user-email', new_access_email);
                $(".user-row-username span", user_row).text(access_first_name+' '+access_last_name);
                $(".user-row-position span", user_row).text(access_position);
                $(".user-row-email-link", user_row).text(new_access_email).attr('href', 'mailto:'+new_access_email);
                $(".avatar-default", user_row).text((access_first_name.substring(0,1)+access_last_name.substring(0,1)).toUpperCase());

                loading.remove();
                dropdown.hide();
            }
        }, function(){
            loading.remove();
        });
        return false;
    });


    $(document).on('group-rename', '.group-item', function(){
        var this_menu_item = $(this).closest('li.item');
        var group_name_el = $(".js-group-name", this_menu_item);
        var old_group_name = group_name_el.html();
        var group_rename_el = $("<input>").attr({'type': 'text', 'value': old_group_name, 'placeholder': 'Group Name...'}).addClass('group-rename');

        group_rename_el.on('keypress blur', function(e){
            if ( (e.type == 'keypress' && e.which == 13) || e.type == 'blur' )
            {
                this_menu_item.addClass('loading');
                var this_input = $(this);
                var new_group_name = this_input.val();

                if ( new_group_name != '' && old_group_name != new_group_name )
                {
                    this_input.remove();
                    group_name_el.text(new_group_name);

                    var group_id = this_menu_item.attr('id').replace('group-', '');
                    OpenDrive.ajax.do('edit-usergroup', {group_id: group_id, group_name: new_group_name}, function () {
                        this_menu_item.removeClass('loading');
                        $(".users .alert").remove();
                        window.location = '/users/' + group_id;
                    });
                }
                else
                {
                    this_input.remove();
                    group_name_el.text(old_group_name);
                    this_menu_item.removeClass('loading');
                }
                return false;
            }
        });

        this_menu_item.removeClass('open');
        group_name_el.html('');
        $(".folder-name", this_menu_item).prepend(group_rename_el);
        group_rename_el.focus().select();

        return false;

    });

    function removeAlerts() {
        $('.js-alerts').remove();
    }

    function createNewGroup(doRename, callbackGroupCreated){
        var new_group_name = OpenDrive._('New_Group');
        var data = {group_name: new_group_name, group_description: '', group_category: '', group_max_storage: 0, group_bw_max:0} ;
        OpenDrive.ajax.do('create-usergroup', data, function( response ) {
                var group_id = response.GroupID;
                $("#group_id").val(group_id);
                var new_group_li = $(OpenDrive.helpers.applyTemplate({group_id : group_id, new_group_name: new_group_name}, 'NewGroup'));

                _rootMenuItems.append(new_group_li);
                RootMenu.scrollToElement(new_group_li);

                if(doRename) new_group_li.trigger( "group-rename" );
                removeAlerts();
                if(callbackGroupCreated) callbackGroupCreated(group_id);
        });

        return false;
    }

    $(".users-new-page .create-group-btn").click(createNewGroup);

    $(".usergroups").on('click', '.context-group-delete-link', function(e) {
        if ( confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
        {
            var this_menu_item = $(this).closest('li.item');
            var group_id = this_menu_item.attr('id').replace('group-', '');

            this_menu_item.remove();

            OpenDrive.ajax.do('delete-usergroup', {group_id: group_id}, function () {
                if($('#group_id').val() == group_id) window.location = '/users';
            });
        }
        return false;
    });

    $(".users-container").on('click', '.email-notification-btn', function(e) {
        var btn = $(this);
        var user_row = btn.closest('.user-row');
        var access_email = user_row.attr('data-user-email');

        var notification = 1;
        if ( btn.hasClass('notifications-on') ) notification = 0;

        var data = {
            access_email: access_email,
            new_access_email: access_email,
            access_notification: notification
        };

        OpenDrive.ajax.do('edit-accessuser', data, function () {
            btn.toggleClass("notifications-on notifications-off");
        });

        return false;
    });

    $(".users-container").on('click contextmenu', '.access-permissions', function(e) {
        if ( $("#access-permissions-dropdown").length == 0 ) return false;

        var dropdown = $("#access-permissions-dropdown");
        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;
        if ( el.closest(".new-user-row").length > 0 ) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.attr('data-user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height();

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        $("#access-email", dropdown).val(access_email);
        loading_placeholder.show();

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});

        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function (response) {
            var access_permissions = response.AdminMode;
            $("input[name=user_access_permissions]", dropdown).val([access_permissions]);
            loading_placeholder.hide();
        });

        return false;
    });

    $(".users-container").on('click contextmenu', '.admin-permissions', function(e) {
        var dropdown = $("#admin-permissions-dropdown");
        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;
        if ( el.closest(".new-user-row").length > 0 ) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.attr('data-user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height();

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        $("#access-email", dropdown).val(access_email);
        loading_placeholder.show();

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});

        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function (response) {
            $("#admin_plan", dropdown).val(response.AccessAdminLevel);
            loading_placeholder.hide();
        });

        return false;
    });

    $("#admin_plan", "#admin-permissions-dropdown").change(function () {
        var dropdown = $("#admin-permissions-dropdown");

        var access_email = $("#access-email", dropdown).val();
        var new_access_admin_level = this.options[this.selectedIndex].innerText;

        var user_row = $(".user-row[data-user-email='" + access_email +"']");
        var loading = $(".dropdown-loading", dropdown);
        loading.show();

        var data = {
            access_email: access_email,
            access_admin_level: this.value
        };

        OpenDrive.ajax.do('edit-accessuser', data, function () {
            $(".admin-permissions", user_row).text(new_access_admin_level);
            dropdown.hide();
            loading.hide();
        }, function () {
            loading.hide();
        })
    });

    $("#access-permissions-dropdown input[type=radio]").change(function() {
        var dropdown = $("#access-permissions-dropdown");

        var access_email = $("#access-email", dropdown).val();
        var new_access_perm = $("input[type=radio]:checked", dropdown).val();
        var new_access_perm_name = $("input[type=radio]:checked", dropdown).data('perm-name');

        var user_row = $(".user-row[data-user-email='" + access_email +"']");
        var loading = $(".dropdown-loading", dropdown);
        loading.show();

        var data = {
            access_email: access_email,
            new_access_email: access_email,
            access_admin_mode: new_access_perm
        };

        OpenDrive.ajax.do('edit-accessuser', data, function(){
            loading.hide();
            $(".access-permissions", user_row).text(new_access_perm_name);
            dropdown.hide();
        }, function () {
            loading.hide();
        });

    });

    // LOAD PERMISSIONS DROPDOWN CONTENT
    $(".users-container").on('click contextmenu', '.projects-permissions', function(e) {
        if ( $("#projects-permissions-dropdown").length == 0 ) return false;

        var dropdown = $("#projects-permissions-dropdown");
        var el = $(this);
        if (el.closest(".heading-row").length > 0) return false;
        if (el.closest(".new-user-row").length > 0) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.attr('data-user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height();

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        loading_placeholder.show();

        $("#access-email", dropdown).val(access_email);

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});
        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        var access_projects = [];

        OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function( user_response ) {
                   access_projects = user_response.AccessProjects;

                    OpenDrive.ajax.do('tasks.projects-list', {with_projects: 1}, function( response ) {
                            if ( response.length > 0 )
                            {
                                var access_projects_ul = $("<ul>").addClass('access-projects expandable-list');
                                $.each( response, function( key, one_project_list ) {

                                    if ( one_project_list.Projects.length > 0 )
                                    {
                                        var access_project_lists_li = $("<li>").addClass('access-project-list').attr('id', 'access-project-list-' + one_project_list.ProjectListId).attr('data-project-list-id', one_project_list.ProjectListId);
                                        access_project_lists_li.text(one_project_list.Name+':');
                                        access_projects_ul.append(access_project_lists_li);

                                        $.each( one_project_list.Projects, function( key, one_project ){
                                            var access_selectbox = $("<select>").addClass('access-dropdown').attr('id', 'access-dropdown-' + one_project.ProjectId);
                                            access_selectbox.append($("<option></option>").attr("value", 0).text('View'));
                                            access_selectbox.append($("<option></option>").attr("value", 1).text('Edit'));
                                            access_selectbox.append($("<option></option>").attr("value", 2).text('None'));
                                            access_selectbox.val(2);

                                            $.each( access_projects, function( key, one_access_project ){
                                                if ( one_access_project.ProjectId == one_project.ProjectId )
                                                {
                                                    access_selectbox.val(one_access_project.AccessMode);

                                                    return true;
                                                }
                                            });

                                            var access_icons = $('<i class="fa fa-refresh fa-spin loading-icon" title="Loading..."></i>');

                                            var access_label = $("<label>").attr('for', 'access-dropdown-' + one_project.ProjectId).text(one_project.ProjectName);

                                            var access_projects_li = $("<li>").addClass('access-project').attr('id', 'access-project-' + one_project.ProjectId).attr('data-project-id', one_project.ProjectId);
                                            access_projects_li.addClass('value-'+access_selectbox.val());

                                            access_projects_li.append(access_selectbox).append(access_label);
                                            access_projects_ul.append(access_projects_li);
                                        });
                                    }

                                });

                                $(".access-projects-content", dropdown).empty().append(access_projects_ul);

                                var menu_out = isElementOutViewport(dropdown, $(".users-container") );
                                if ( menu_out == 'h' )
                                {
                                    dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
                                    dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
                                }
                                else
                                {
                                    dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
                                }
                            }
                            else
                            {
                                var empty_content = $("<div>").addClass('empty').html(OpenDrive._('No_projects_available'));
                                $(".access-projects-content", dropdown).empty().append(empty_content);
                            }

                        loading_placeholder.hide();
                    });

        });

        return false;

    });

    $("#save-projects-permissions-btn").click(function(){
        var dropdown = $(this).closest('.users-dropdown');
        var loading = $(".dropdown-loading", dropdown);

        loading.show();

        var access_email = $("#access-email", dropdown).val();
        var user_row = $(".user-row[data-user-email='" + access_email +"']");
        var update_projects_count = $(".access-dropdown", dropdown).length;
        var saved_projects = 0;

        $(".access-dropdown", dropdown).each(function(i){
            var this_selectbox = $(this);
            var mode = this_selectbox.val();
            var this_li = this_selectbox.closest(".access-project");
            var project_id = this_li.data('project-id');

            var data = {project_id: project_id, access_user_email: access_email, mode: mode};
            OpenDrive.ajax.do('tasks.add-project-permission', data, function( ) {
                    saved_projects++;
                    if (saved_projects == update_projects_count)
                    {
                        OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function( response_user ) {
                            var projects_count = Object.keys(response_user.AccessProjects).length;
                            $(".projects-permissions .counter", user_row).html(projects_count);
                        });

                        loading.remove();
                        dropdown.hide();
                    }
            });

        });
        return false;
    });

    $(".users-dropdown").on('change', '.access-dropdown', function(e) {
        var class_name = 'value-' + $(this).val();
        $(this).closest('li').removeClass('value-0 value-1 value-2').addClass(class_name);
    });


    // LOAD FOLDERS PERMISSIONS LEVEL 0
    $(".users-container").on('click contextmenu', '.folders-permissions', function(e) {
        if ( $("#folders-permissions-dropdown").length == 0 ) return false;
        var dropdown = $("#folders-permissions-dropdown");

        dropdown.on("close-dropdown", function(event) {
           var scrollable = $(".scrollable", $(this));
           var scrollpane = scrollable.data('jsp');
           if ( typeof scrollpane != 'undefined' ) scrollpane.destroy();
           $(".scrollable", $(this)).empty();
        });

        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;
        if ( el.closest(".new-user-row").length > 0 ) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.attr('data-user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height();

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        loading_placeholder.show();

        $(".access-folders-content", dropdown).empty();
        $("#access-email", dropdown).val(access_email);

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});
        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        OpenDrive.ajax.do('account-user-folders-list', {email: access_email, folder_id: 0}, function( response ) {
                if ( response.folders.length > 0 )
                {
                    var access_folders_ul = $("<ul>").addClass('access-folders expandable-list');
                    $.each( response.folders, function( key, one_folder ) {
                        var access_selectbox = $("<select>").addClass('access-dropdown').attr('id', 'access-dropdown-'+one_folder.FolderID);
                        access_selectbox.append($("<option></option>").attr("value",0).text('View'));
                        access_selectbox.append($("<option></option>").attr("value",1).text('Edit'));
                        access_selectbox.append($("<option></option>").attr("value",2).text('None'));
                        access_selectbox.val(one_folder.Access);

                        var access_icons = $('<i class="fa fa-refresh fa-spin loading-icon" title="Loading..."></i><i class="fa fa-caret-down expanded-icon" ></i><i class="fa fa-caret-right expand-icon" title="Expand Folder"></i>');

                        var access_label = $("<label>").attr('for', 'access-dropdown-'+one_folder.FolderID).text(one_folder.Name);

                        var access_folders_li = $("<li>").addClass('access-folder').attr('id', 'access-folder-'+one_folder.FolderID).attr('data-folder-id', one_folder.FolderID);

                        access_folders_li.addClass('value-'+one_folder.Access);

                        access_folders_li.append(access_selectbox).append(access_label);
                        if ( one_folder.ChildFoldersCount > 0 )
                        {
                            access_folders_li.append(access_icons).addClass('has-children');
                        }
                        else
                        {
                            access_folders_li.addClass('no-children');
                        }

                        access_folders_ul.append(access_folders_li);
                    });

                    $(".access-folders-content", dropdown).empty().append(access_folders_ul);

                    var menu_out = isElementOutViewport(dropdown, $(".users-container") );
                    if ( menu_out == 'h' )
                    {
                        dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()+ 8) + 'px' });
                        dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
                    }
                    else
                    {
                        dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
                    }
                }
                else
                {
                    var empty_content = $("<div>").addClass('empty').html('No folders available.');
                    $(".access-folders-content", dropdown).empty().append(empty_content);
                }


                $(".scrollable", dropdown).perfectScrollbar({theme: 'od'});
            loading_placeholder.hide();
        });

        return false;
    });

    // LOAD FOLDER PERMISSIONS LEVEL 1+
    $(".dropdown-content").on('click', '.access-folder .expand-icon, .access-folder label', function(e) {
        var dropdown = $(this).closest('.dropdown-menu');
        var this_folder_li = $(this).closest('.access-folder');
        var is_loading = this_folder_li.hasClass('loading');
        var is_expanded = this_folder_li.hasClass('expanded');

        if ( is_loading || is_expanded || this_folder_li.hasClass('no-children') )
        {
            return false;
        }
        else
        {
            this_folder_li.addClass('loading');

            var access_email = $("#access-email", dropdown).val();
            var folder_id = this_folder_li.data('folder-id');


            OpenDrive.ajax.do( 'account-user-folders-list', { email: access_email, folder_id: folder_id}, function( response ) {
                    if ( response.folders.length > 0 )
                    {
                        var access_folders_ul = $("<ul>").addClass('access-folders expandable-list');
                        $.each( response.folders, function( key, one_folder ) {
                            var access_selectbox = $("<select>").addClass('access-dropdown').attr('id', 'access-dropdown-'+one_folder.FolderID);
                            access_selectbox.append($("<option></option>").attr("value",0).text(OpenDrive._('View')));
                            access_selectbox.append($("<option></option>").attr("value",1).text(OpenDrive._('Edit')));
                            access_selectbox.append($("<option></option>").attr("value",2).text(OpenDrive._('None')));
                            access_selectbox.val(one_folder.Access);

                            var access_icons = $('<i class="fa fa-refresh fa-spin loading-icon" title="' + OpenDrive._('Loading') + '"></i><i class="fa fa-caret-down expanded-icon" ></i><i class="fa fa-caret-right expand-icon" title="' + OpenDrive._('Expand_Folder') + '"></i>');

                            var access_label = $("<label>").attr('for', 'access-dropdown-'+one_folder.FolderID).text(one_folder.Name);

                            var access_folders_li = $("<li>").addClass('access-folder').attr('id', 'access-folder-'+one_folder.FolderID).attr('data-folder-id', one_folder.FolderID);
                            access_folders_li.addClass('value-'+one_folder.Access);

                            if ( one_folder.ChildFoldersCount > 0 ) access_folders_li.addClass('has-children');

                            access_folders_li.append(access_selectbox).append(access_label);
                            if ( one_folder.ChildFoldersCount > 0 )
                            {
                                access_folders_li.append(access_icons).addClass('has-children');
                            }
                            else
                            {
                                access_folders_li.addClass('no-children');
                            }

                            access_folders_ul.append(access_folders_li);

                        });

                        $('ul.access-folders',this).remove();
                        this_folder_li.append(access_folders_ul);

                        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
                        if ( menu_out == 'h' )
                        {
                            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + 10) + 'px' });
                            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
                        }
                        else
                        {
                            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
                        }

                        $(".scrollable", dropdown).perfectScrollbar('update');
                    }

                    this_folder_li.removeClass('loading');
                    this_folder_li.addClass('expanded');

            });
        }

        return false;
    });

    // SAVE FOLDERS PERMISSIONS
    $("#save-folders-permissions-btn").click(function(){
        var dropdown = $(this).closest('.users-dropdown');
        var loading = $(".dropdown-loading", dropdown);

        loading.show();

        var access_email = $("#access-email", dropdown).val();
        var user_row = $(".user-row[data-user-email='" + access_email +"']");

        var folders_access = {};

        $(".access-dropdown", dropdown).each(function(i){
            var this_selectbox = $(this);
            var mode = this_selectbox.val();
            var this_li = this_selectbox.closest(".access-folder");
            var folder_id = this_li.data('folder-id');

            folders_access[folder_id] = mode;
        });

        var data_access = {action: "set-folder-access",  access_email: access_email, foldersObj: folders_access, update: 1} ;
        $.post( "/ajax", data_access, function( response_access ) {
            if ( response_access && response_access.error )
            {
                OpenDrive.popups.showError(response_access.error.message);
                loading.remove();
            }
            else
            {
                var data_user = {action: "get-account-user", access_email: access_email};
                $.post( "/ajax", data_user, function( response_user ) {
                    if (response_user !== null && response_user.error) {
                        OpenDrive.popups.showError(response_user.error.message);
                    }
                    else
                    {
                        var folders_count = Object.keys(response_user.AccessFolders).length;

                        $(".folders-permissions .counter", user_row).html(folders_count);
                    }
                }, "json");

                loading.remove();
                dropdown.hide();
            }
        }, "json");
        
        return false;
    });

    $(".users-container").on('click contextmenu', '.user-row-storage', function(e) {
        e.preventDefault();

        if ( $("#user-storage-dropdown").length == 0 ) return false;

        var dropdown = $("#user-storage-dropdown");
        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;
        if ( el.closest(".new-user-row").length > 0 ) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.data('user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height()-5;

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        loading_placeholder.show();

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});
        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        var data = {action: "get-account-user", access_email: access_email};
        $.post( "/ajax", data, function( response ) {
            if (response !== null && response.error) {
                OpenDrive.popups.showError(response.error.message);
            }
            else
            {
                if ( response.StorageMax > 0 )
                {
                    var human_storage = OpenDrive.helpers.humanFileSizeShort(response.StorageMax * 1024 * 1024);
                    var storage_splitted = human_storage.split(' ');
                    var storage_val = Math.round(storage_splitted[0]);
                    var storage_unit = storage_splitted[1];
                }
                else
                {
                    var storage_val = 0;
                    var storage_unit = 'MB';
                }

                $("#access_email", dropdown).val(access_email);
                $(".spinner-input", dropdown).val(storage_val);
                $(".spinner-dropdown select", dropdown).val(storage_unit);

                loading_placeholder.hide();
            }
        }, "json");

        return false;
    });

    $(".users-container").on('click contextmenu', '.user-row-bandwidth', function(e) {
        e.preventDefault();
        if ( $("#user-bandwidth-dropdown").length == 0 ) return false;
        var dropdown = $("#user-bandwidth-dropdown");
        var el = $(this);
        if ( el.closest(".heading-row").length > 0 ) return false;
        if ( el.closest(".new-user-row").length > 0 ) return false;

        var user_row = el.closest('.user-row');
        var access_email = user_row.data('user-email');

        var dropdown_x = el.offset().left + 18,
            dropdown_y = el.offset().top + el.height()-5;

        var loading_placeholder = $(".dropdown-loading", dropdown);
        if ( loading_placeholder.length == 0 ) {
            loading_placeholder = $('<div>').addClass('dropdown-loading').html('<i class="fa fa-refresh fa-spin"></i>');
            $(".dropdown-content", dropdown).append(loading_placeholder);
        }
        loading_placeholder.show();

        dropdown.css({'left' : dropdown_x+'px', 'top' : dropdown_y+'px', 'right' : 'auto', 'bottom' : 'auto'});
        dropdown.show();

        var menu_out = isElementOutViewport(dropdown, $(".users-container") );
        if ( menu_out == 'h' )
        {
            dropdown.css({'left' : dropdown_x+'px', 'top' : 'auto', 'right' : 'auto', 'bottom' : ($(window).height() - dropdown_y + el.height()) + 'px' });
            dropdown.removeClass('top-left-arrow').addClass('bottom-left-arrow');
        }
        else if ( menu_out == 'w' )
        {
            dropdown.css({'left' : 'auto', 'top' : (dropdown_y) + 'px', 'right' : ($(window).width() - dropdown_x-10+'px'), 'bottom' : 'auto' });
            dropdown.removeClass('top-left-arrow').addClass('top-right-arrow');
        }
        else
        {
            dropdown.addClass('top-left-arrow').removeClass('bottom-left-arrow');
        }

        OpenDrive.ajax.do('get-account-user', {access_email: access_email}, function (response) {
                if ( response.BWMax > 0 )
                {
                    var human_bw = OpenDrive.helpers.humanFileSizeShort(response.BWMax * 1024 * 1024, false).replace('i', '');
                    var bw_splitted = human_bw.split(' ');
                    var bw_val = Math.round(bw_splitted[0]);
                    var bw_unit = bw_splitted[1];
                }
                else
                {
                    var bw_val = 0;
                    var bw_unit = 'MB';
                }

                $("#access_email", dropdown).val(access_email);
                $('input[type="number"]', dropdown).val(bw_val);
                $(".spinner-dropdown select", dropdown).val(bw_unit);

                loading_placeholder.hide();
        });

        return false;
    });

    var bwTimeout;

    $("#user-bandwidth-dropdown #account_user_bandwidth, #user-bandwidth-dropdown #account_user_bandwidth_units").change(function()
    {
        var dropdown = $("#user-bandwidth-dropdown");

        var access_email = $("#access_email", dropdown).val();
        var bw_value = $("#account_user_bandwidth", dropdown).val();
        var bw_units = $("#account_user_bandwidth_units", dropdown).val();

        var user_row = $(".user-row[data-user-email='" + access_email +"']");
        var bw_value_bytes;

        if ( bw_units == 'MB' ) bw_value_bytes = bw_value ;
        else if ( bw_units == 'GB' ) bw_value_bytes = bw_value * 1024;
        else if ( bw_units == 'TB' ) bw_value_bytes = bw_value * 1024 * 1024;

        if(bwTimeout) clearTimeout(bwTimeout);
        bwTimeout = setTimeout(function () {
            var data = {
                access_email: access_email,
                new_access_email: access_email,
                access_bw_max: bw_value_bytes
            };

            OpenDrive.ajax.do('edit-accessuser', data, function (response) {
                if (response.result) {
                    $(".max-bw", user_row).html(bw_value + ' ' + bw_units);
                }
                bwTimeout = null;
            });

        }, 1000);
    });

    var storageTimeout;

    $("#user-storage-dropdown #account_user_storage, #user-storage-dropdown #account_user_storage_units").change(function()
    {
        var dropdown = $("#user-storage-dropdown");

        var access_email = $("#access_email", dropdown).val();
        var storage_value = $('input[type="number"]', dropdown).val();
        var storage_units = $("#account_user_storage_units", dropdown).val();
        var storage_value_bytes;
        var user_row = $(".user-row[data-user-email='" + access_email +"']");

        if ( storage_units == 'MB' ) storage_value_bytes = storage_value ;
        else if ( storage_units == 'GB' ) storage_value_bytes = storage_value * 1024;
        else if ( storage_units == 'TB' ) storage_value_bytes = storage_value * 1024 * 1024;

        if (storageTimeout) clearTimeout(storageTimeout);
        storageTimeout = setTimeout(function(){


            var data = {
                access_email: access_email,
                new_access_email: access_email,
                access_max_storage: storage_value_bytes
            };

            OpenDrive.ajax.do('edit-accessuser', data, function (response) {
                if (response.result) {
                    $(".max-storage", user_row).text(storage_value + ' ' + storage_units);
                }
                storageTimeout = null;
            });

        }, 1000);
    });


    // Block selected users
    $("#users-block-btn").click(function(){
        if ( $(this).hasClass('disabled') ) return false;

        var len = $(".user-row.checked").not(".heading-row").length;
        $(".user-row.checked").not(".heading-row").each(function(index) {

            var user_row = $(this);
            var access_email = user_row.data('user-email');
            var access_active = 2;

            var data = {action: "user-set-access", access_email: access_email, access_active: access_active};
            $.post( "/ajax", data, function( response ) {
                if (response !== null && response.error) {
                    OpenDrive.popups.showError(response.error.message);
                }
                else
                {
                    user_row.addClass('blocked').removeClass('checked');
                }

            }, "json");

            $(".heading-row").removeClass('checked');
        });

        return false;
    });

    // Unblock selected users
    $("#users-unblock-btn").click(function(){
        if ( $(this).hasClass('disabled') ) return false;

        var len = $(".user-row.checked").not(".heading-row").length;
        $(".user-row.checked").not(".heading-row").each(function(index) {

            var user_row = $(this);
            var access_email = user_row.data('user-email');
            var access_active = 1;


            var data = {action: "user-set-access", access_email: access_email, access_active: access_active};
            $.post( "/ajax", data, function( response ) {
                if (response !== null && response.error) {
                    OpenDrive.popups.showError(response.error.message);
                }
                else
                {
                    user_row.removeClass('blocked').removeClass('checked');
                }
            }, "json");
            $(".heading-row").removeClass('checked');
        });

        return false;
    });

    // Delete selected users
    $("#users-delete-btn").click(function(){
        if ( $(this).hasClass('disabled') ) return false;

        var users_counter = $(".breadcrumb-and-buttons #account-users-counter-value");
        var users_max_count = $(".breadcrumb-and-buttons #account-users-max-count");
        var create_new_user_btn = $(".breadcrumb-and-buttons #new-user-btn");

        if (  confirm(OpenDrive._('Do_you_really_want_to_perform_this_action')) )
        {
            $(".user-row.checked").not(".heading-row").each(function(index) {

                var user_row = $(this);
                var access_email = user_row.data('user-email');
                if (access_email) {
                    OpenDrive.ajax.do('user-delete', {access_email: access_email}, function (response) {
                        user_row.remove();
                        var users_counter_value = response.UsedUsers;
                        var users_max_count_value = parseInt(users_max_count.html());

                        if (users_counter_value >= 0) users_counter.html(users_counter_value);

                        if (users_counter_value < users_max_count_value) {
                            create_new_user_btn.removeClass('disabled');
                        }
                    });
                } else {
                    user_row.remove();
                }
                $(".heading-row").removeClass('checked');
            });
        }
        return false;
    });

    function show_lightbox(wrapper)
    {
        wrapper.show();
        var container = $('.lightbox-container', wrapper),
            header = $('.lightbox-header', container),
            buttons = $('.lightbox-buttons', container),
            scrollBody = $('.lightbox-scrollable-content', container);

        function resizeLightbox()
        {
            var api = scrollBody.data('jsp');
            if (api) api.destroy();

            if ( scrollBody.length  ) {
                var bodyHeight = container.height() - buttons.outerHeight(true) - header.outerHeight(true) - (scrollBody.outerHeight(true) - scrollBody.outerHeight());
                bodyHeight -= 159;
                scrollBody.css('height', bodyHeight + 'px');
            }

            scrollBody.jScrollPane({verticalGutter: 10, autoReinitialise: true});
        }

        if(!wrapper.data('on_resize')){
            wrapper.data('on_resize', true);
            $(window).on('resize', resizeLightbox)
        }

        var api = scrollBody.data('jsp');
        if(!api)
        {
            if ( scrollBody.length  )
            {
                var bodyHeight = container.height() - buttons.outerHeight(true) - header.outerHeight(true) - (scrollBody.outerHeight(true) - scrollBody.outerHeight());
                bodyHeight -= 159;
                scrollBody.css('height', bodyHeight + 'px');
            }
            scrollBody.jScrollPane({verticalGutter: 10, autoReinitialise: true});
        }
    }


    function createNewUser(){
        var user_acc_type = $("#user_acc_type").val();
        var user_level = $("#user_level").val();

        var new_user_placeholder = $(OpenDrive.helpers.applyTemplate(null, 'NewAccountUser'));

        $('.js-heading-row').removeClass('hidden');
        removeAlerts();

        new_user_placeholder.insertAfter( $(".users .user-row").last() );
        var scrollContent = $('.js-tabs-container');
        scrollContent[0].scrollTop = scrollContent[0].scrollHeight;
    }
    // create new user
    $("#new-user-btn").click(function(){
        var users_counter = $(".breadcrumb-and-buttons #account-users-counter-value");
        var users_max_count = $(".breadcrumb-and-buttons #account-users-max-count");
        var create_new_user_btn = $(this);

        if ( create_new_user_btn.hasClass('disabled') ) {
            OpenDrive.popups.showNotification(OpenDrive._('You_have_used_all_available_account_users'));
            return false;
        }


        if ( (parseInt(users_counter.html()) + 1) >= parseInt(users_max_count.html()) )
        {
            create_new_user_btn.addClass('disabled');
        }

        if($('> .item.group-item', _rootMenuItems).length) createNewUser();
        else createNewGroup(false, createNewUser);
        return false;
    });

    $(".create-first-account-user").click(function(){
        $("#new-user-btn").click();
    });

    $(".usergroups").on('click', '.contex-group-edit-link', function(e) {

        var this_item = $(this).closest(".group-item");

        $(".group-item.active").removeClass('active');
        this_item.addClass('active');

        var group_lightbox = $("#edit-group");
        var group_id = this_item.attr('id').replace('group-', '');


        OpenDrive.ajax.do('users.get-group', {group_id: group_id}, function (response) {
                this_item.removeClass('open');

                $("#edit_group_id", group_lightbox).val(group_id);
                $("#edit-group-name", group_lightbox).val(response.GroupName);
                $("#edit_group_max_storage", group_lightbox).val(response.GroupMaxStorage);
                $("#edit_group_bw_max", group_lightbox).val(response.GroupMaxBw);


                var max_storage = parseInt($("#edit_max_storage").val());
                var max_bandwidth = parseInt($("#edit_max_bandwidth").val());
                var group_bw_max = parseInt($("#edit_group_bw_max").val());
                var group_max_storage = parseInt($("#edit_group_max_storage").val());

                if ( group_max_storage > max_storage )
                {
                    group_max_storage = max_storage;
                }
                if ( group_bw_max > max_bandwidth )
                {
                    group_bw_max =  max_bandwidth
                }

                group_max_storage = readableFileSize(group_max_storage*1024*1024, 2);
                group_bw_max = readableFileSize(group_bw_max*1024*1024,2);

                var group_max_storage_splitted = group_max_storage.split(' ');
                var group_bw_max_splitted = group_bw_max.split(' ');

                if (group_max_storage_splitted.length == 2) {
                    $('#group_space_spinner', group_lightbox).val(group_max_storage_splitted[0]);
                    $('#group_space_unit', group_lightbox).val(group_max_storage_splitted[1]);
                } else {
                    $('#group_space_spinner', group_lightbox).val(0);
                    $('#group_space_unit', group_lightbox).val('MB');
                }

                if (group_bw_max_splitted.length == 2) {
                    $('#group_bw_spinner', group_lightbox).val(group_bw_max_splitted[0]);
                    $('#group_bw_unit', group_lightbox).val(group_bw_max_splitted[1]);
                } else {
                    $('#group_bw_spinner', group_lightbox).val(0);
                    $('#group_bw_unit', group_lightbox).val('MB');
                }

                show_lightbox(group_lightbox);

        });
        return false;
    });

    // save edited group
    $(".lightbox #save-group-btn").click(function(){
        var group_lightbox = $("#edit-group");

        var group_id = $("#edit_group_id", group_lightbox).val();
        var group_name = $("#edit-group-name", group_lightbox).val();
        var group_max_storage = $('#group_space_spinner', group_lightbox).val();
        var group_bw_max = $('#group_bw_spinner', group_lightbox).val();
        var group_storage_units = $('#group_space_unit', group_lightbox).val();
        var group_bw_units = $('#group_bw_unit', group_lightbox).val();
        var group_settings_enable = $('#group_settings_enable', group_lightbox).prop('checked') ? 1 : 0;

        if ( group_storage_units == 'GB' ) group_max_storage = group_max_storage * 1024;
        if ( group_storage_units == 'TB' ) group_max_storage = group_max_storage * 1024 * 1024;

        if ( group_bw_units == 'GB' ) group_bw_max = group_bw_max * 1024;
        if ( group_bw_units == 'TB' ) group_bw_max = group_bw_max * 1024 * 1024;

        var data = {
            group_id: group_id,
            group_name: group_name,
            group_max_storage: group_max_storage,
            group_bw_max: group_bw_max,
            group_settings_enable: group_settings_enable
        };

        OpenDrive.ajax.do('edit-usergroup', data, function (response) {
            $("#group-" + group_id + " .js-group-name").text(group_name);
            group_lightbox.hide();
            window.location.reload();
        });
        return false;
    });


    $(".lightbox-header .lightbox-close-btn").click(function(){
        var lb = $(this).closest('.lightbox');
        lb.hide();
        var callback = lb.find('.js-cancel-btn').data('callback');
        if(callback instanceof Function) callback.apply(this, arguments);
        return false;
    });

    $(".lightbox").escape(function(){
        $(this).hide();
        var callback = $(this).find('.js-cancel-btn').data('callback');
        if(callback instanceof Function) callback.apply(this, arguments);
    });
    $(".lightbox .js-cancel-btn").click(function(){
        $(".lightbox").hide();
        var callback = $(this).data('callback');
        if(callback instanceof Function) callback.apply(this, arguments);
        return false;
    });

	function resize_users_area()
	{
	}

    $( window ).resize(function() {
        resize_users_area();
		RootMenu.scrollToElement($('>.active.item', _rootMenuItems));
    });
    resize_users_area();

	_rootMenu.on('shown.bs.dropdown', function (e) {
		var target = $(e.target);
		var menu = target.find('> .dropdown-menu');

		menu.removeClass('bottom-aligned-menu');
		if (_rootMenuItems.offset().top + _rootMenuItems.height() <= menu.offset().top + menu.outerHeight()) menu.addClass('bottom-aligned-menu');
		else menu.removeClass('bottom-aligned-menu');
		return false;
	});


    $('.draggable').draggable( {cursorAt: {left: 0, top: 0}, helper: "clone", revert: "invalid", appendTo: "body", containment: "body", addClasses: 'dragging-user-row', delay: 500 } );
    $('.droppable').droppable({accept: ".user-row", tolerance: "pointer", activeClass: "can-drop", hoverClass: "drop-active",
        drop: function( event, ui ) {
            var drop = $(this);
            var drag = ui.draggable;

            var dest_group_id = drop.attr('id').replace('group-', '');
            var src_user_email = drag.data('user-email');

            drag.hide();

            var data = {access_email: src_user_email, dest_group_id: dest_group_id};
            OpenDrive.ajax.do("move-account-user", data, function (response) {
                drag.remove();
                drop.removeClass('empty-group');
                var group_users_count = $(".js-users-count", drop).html().trim().replace('(', '').replace(')', '').replace('&nbsp;', '');
                group_users_count++;
                $(".js-users-count", drop).html('&nbsp;(' + group_users_count + ')');

                var current_group = $(".usergroups .group-item.active ");
                var current_group_users_count = $(".js-users-count", current_group).html().trim().replace('(', '').replace(')', '').replace('&nbsp;', '');
                current_group_users_count--;
                $(".js-users-count", current_group).html('&nbsp;(' + current_group_users_count + ')');

            });
        }
    });
});
