<?php

namespace od_includes;
if (!defined('ABSPATH')) exit;

final class OpenDriveAJAX
{
    protected static $schemes = array();
    protected static $defaultClass;

    static function addScheme($class, $scheme)
    {
        static::$schemes[$scheme] = $class;
    }

    static function removeScheme($scheme)
    {
        unset(static::$schemes[$scheme]);
    }

    static function handleRequest($action)
    {
        $data = explode('.', $action, 1);
        $result = null;
        $error = null;
        if (count($data) == 2 && isset(static::$schemes[$data[0]]) &&
            is_callable(array($data[0], $data[1]))
        ) {
            list($result, $error) = call_user_func(array($data[0], $data[1]));
        } else {
            list($result, $error) = static::defaultHandler($action);
        }
        return array($result, $error);
    }

    static function defaultHandler($action)
    {
        return false;
    }
}