<?php

namespace od_includes;
if (!defined('ABSPATH')) exit;

class OpenDriveTasks
{
    static function formatTaskList(&$taskList)
    {
        $date = new \DateTime();
        $date->setTimezone(new \DateTimeZone('UTC'));
        $date->setTimestamp(strtotime($taskList->DueDate));
        if ($taskList->DueDate == '0000-00-00') {
            $taskList->DueDateText = '...';
            $taskList->DueDateTime = 0;
        } else {
            $taskList->DueDateText = $date->format('j M Y');
            $taskList->DueDateTime = $date->getTimestamp();
        }

        foreach ($taskList->Tasks as &$task) {
            if ($task->DueDate == '0000-00-00') {
                $task->DueDateText = '<span class="empty-date">-</span>';
                $task->DueDateTime = 0;
            } else {
                $date->setTimestamp(strtotime($task->DueDate));
                $task->DueDateText = od_days_diff($date->getTimestamp());
                $task->DueDateTime = $date->getTimestamp();
            }
            $date->setTimestamp(strtotime($task->StartDate));
            $task->StartDateText = od_days_diff($date->getTimestamp());
        }
    }
}