<?php
if ( !defined( 'ABSPATH' ) ) exit;

$parent_slug = 'opendrive';
$capability = 'administrator';

$apiUrl = defined('OD_API_URL') ? OD_API_URL : 'https://web.opendrive.com/api/';

if(!defined('OD_DEBUG_API_PROFILER'))
define('OD_DEBUG_API_PROFILER', true);

return array(
    'api_url' => $apiUrl,
    'api_version' => 'v1/',
	'languages' => array('cs_CZ', 'en_US', 'es_ES', 'fr_FR', 'de_DE', 'hu_HU', 'nl_NL', 'pl_PL',
		'pt_PT', 'ru_RU', 'sk_SK', 'zh_CN', 'zh_TW'),
    'od_wp_options' => array(
        'od_password' => '',
        'od_username' => '',
    ),
    'admin_pages' => array(
        'opendrive',
        'add_user'
    ),
    'login_protected_pages' => array(
    	'files',
    	'notes',
    	'users',
    	'settings',
    ),
    'query_vars' => array(
        'od_page',
        'od_subpage',
        'session_id',
        'folder',
        'folder_id',
        'group',
        'notepad',
		'notepad_id',
        'view',
        'show',
        'searchterm',
        'setting_param',
        'passw',
        'file_id',
        'error', 
        'ref',
        'uid',
        'dl_mode',
        'search',

		//Tasks
        'project_list_id',
        'task_id',
        'project_id',

        //Email verification
        'email',
        'code',
        'user_id',
        'user_id_access',
        'reset_code'
    ),
    'login_errors' => array(
        'session-expired' => __('Session has expired, please log in', 'opendrive'),
        'file-is-not-available-anonymous-user' => __('File is not available for anonymous users', 'opendrive'),
        'file-is-not-available' => __('File is not available', 'opendrive'),
        'folder-does-not-exist' => __('Folder does not exist', 'opendrive'),
        'wrong-session' => __('Session ID is incorrect or does not exist', 'opendrive'),
        'permission-denied' => __( 'You do not have access to this page', 'opendrive' ),
    ),
    'log_type' => array(
        '9000' => 'USER LOGIN',
        '9001' => 'FILE DOWNLOAD',
        '9002' => 'FILE UPLOAD',
        '9003' => 'FILE UPDATED',
        '9004' => 'FILE TRASH',
        '9005' => 'FILE COMMENT',
        '9006' => 'FILE PROPERTIES UPDATE',
        '9007' => 'FILE RENAME',
        '9008' => 'FILE VIEW',
        '9009' => 'NEW FILE VERSION',
        '9010' => 'FOLDER DOWNLOAD',
        '9011' => 'FOLDER TRASHED',
        '9012' => 'FILE DELETE',
        '9013' => 'FOLDER DELETE',
        '9014' => 'FORGOT PASSWORD',
        '9015' => 'PASSWORD CHANGED',
        '9016' => 'FOLDER PROPERTIES UPDATE',
        '9017' => 'NEW FOLDER',
        '9018' => 'FOLDER VIEW',
		'9019' => 'FOLDER SENT BY EMAIL',
		'9020' => 'FILE SENT BY EMAIL',
		'9021' => 'EMPTY TRASH',
		'9022' => 'MOVE FOLDER',
		'9023' => 'COPY FOLDER',
        '9030' => 'CHANGE USERNAME',
        '9031' => 'CHANGE EMAIL',
        '9032' => 'CHANGE FIRST NAME',
        '9033' => 'CHANGE LAST NAME',
        '9034' => 'CHANGE COMPANY NAME',
        '9035' => 'CHANGE PHONE',
        '9036' => 'CHANGE TIME ZONE',
        '9037' => 'CHANGE FILE VERSIONING',
		'9038' => 'FILE CLOSE UPLOAD',
        '9041' => 'FOLDER RENAME'
    ),
    'timezone_array' => array(
	'Kwajalein' => '(GMT-12:00) International Date Line West',
	'Pacific/Midway' => '(GMT-11:00) Midway Island',
	'Pacific/Samoa' => '(GMT-11:00) Samoa',
	'Pacific/Honolulu' => '(GMT-10:00) Hawaii',
	'America/Anchorage' => '(GMT-09:00) Alaska',
	'America/Los_Angeles' => '(GMT-08:00) Pacific Time (US &amp; Canada)',
	'America/Tijuana' => '(GMT-08:00) Tijuana, Baja California',
	'America/Denver' => '(GMT-07:00) Mountain Time (US &amp; Canada)',
	'America/Chihuahua' => '(GMT-07:00) Chihuahua',
	'America/Mazatlan' => '(GMT-07:00) Mazatlan',
	'America/Phoenix' => '(GMT-07:00) Arizona',
	'America/Regina' => '(GMT-06:00) Saskatchewan',
	'America/Tegucigalpa' => '(GMT-06:00) Central America',
	'America/Chicago' => '(GMT-06:00) Central Time (US &amp; Canada)',
	'America/Mexico_City' => '(GMT-06:00) Mexico City',
	'America/Monterrey' => '(GMT-06:00) Monterrey',
	'America/New_York' => '(GMT-05:00) Eastern Time (US &amp; Canada)',
	'America/Bogota' => '(GMT-05:00) Bogota',
	'America/Lima' => '(GMT-05:00) Lima',
	'America/Rio_Branco' => '(GMT-05:00) Rio Branco',
	'America/Indiana/Indianapolis' => '(GMT-05:00) Indiana (East)',
	'America/Caracas' => '(GMT-04:30) Caracas',
	'America/Halifax' => '(GMT-04:00) Atlantic Time (Canada)',
	'America/Manaus' => '(GMT-04:00) Manaus',
	'America/Santiago' => '(GMT-04:00) Santiago',
	'America/La_Paz' => '(GMT-04:00) La Paz',
	'America/St_Johns' => '(GMT-03:30) Newfoundland',
	'America/Argentina/Buenos_Aires' => '(GMT-03:00) Georgetown',
	'America/Sao_Paulo' => '(GMT-03:00) Brasilia',
	'America/Godthab' => '(GMT-03:00) Greenland',
	'America/Montevideo' => '(GMT-03:00) Montevideo',
	'Atlantic/South_Georgia' => '(GMT-02:00) Mid-Atlantic',
	'Atlantic/Azores' => '(GMT-01:00) Azores',
	'Atlantic/Cape_Verde' => '(GMT-01:00) Cape Verde Is.',
	'Europe/Dublin' => '(GMT) Dublin',
	'Europe/Lisbon' => '(GMT) Lisbon',
	'Europe/London' => '(GMT) London',
	'Africa/Monrovia' => '(GMT) Monrovia',
	'Atlantic/Reykjavik' => '(GMT) Reykjavik',
	'Africa/Casablanca' => '(GMT) Casablanca',
	'Europe/Belgrade' => '(GMT+01:00) Belgrade',
	'Europe/Bratislava' => '(GMT+01:00) Bratislava',
	'Europe/Budapest' => '(GMT+01:00) Budapest',
	'Europe/Ljubljana' => '(GMT+01:00) Ljubljana',
	'Europe/Prague' => '(GMT+01:00) Prague',
	'Europe/Sarajevo' => '(GMT+01:00) Sarajevo',
	'Europe/Skopje' => '(GMT+01:00) Skopje',
	'Europe/Warsaw' => '(GMT+01:00) Warsaw',
	'Europe/Zagreb' => '(GMT+01:00) Zagreb',
	'Europe/Brussels' => '(GMT+01:00) Brussels',
	'Europe/Copenhagen' => '(GMT+01:00) Copenhagen',
	'Europe/Madrid' => '(GMT+01:00) Madrid',
	'Europe/Paris' => '(GMT+01:00) Paris',
	'Africa/Algiers' => '(GMT+01:00) West Central Africa',
	'Europe/Amsterdam' => '(GMT+01:00) Amsterdam',
	'Europe/Berlin' => '(GMT+01:00) Berlin',
	'Europe/Rome' => '(GMT+01:00) Rome',
	'Europe/Stockholm' => '(GMT+01:00) Stockholm',
	'Europe/Vienna' => '(GMT+01:00) Vienna',
	'Europe/Minsk' => '(GMT+02:00) Minsk',
	'Africa/Cairo' => '(GMT+02:00) Cairo',
	'Europe/Helsinki' => '(GMT+02:00) Helsinki',
	'Europe/Riga' => '(GMT+02:00) Riga',
	'Europe/Sofia' => '(GMT+02:00) Sofia',
	'Europe/Tallinn' => '(GMT+02:00) Tallinn',
	'Europe/Vilnius' => '(GMT+02:00) Vilnius',
	'Europe/Athens' => '(GMT+02:00) Athens',
	'Europe/Bucharest' => '(GMT+02:00) Bucharest',
	'Europe/Istanbul' => '(GMT+02:00) Istanbul',
	'Asia/Jerusalem' => '(GMT+02:00) Jerusalem',
	'Asia/Amman' => '(GMT+02:00) Amman',
	'Asia/Beirut' => '(GMT+02:00) Beirut',
	'Africa/Windhoek' => '(GMT+02:00) Windhoek',
	'Africa/Harare' => '(GMT+02:00) Harare',
	'Asia/Kuwait' => '(GMT+03:00) Kuwait',
	'Asia/Riyadh' => '(GMT+03:00) Riyadh',
	'Asia/Baghdad' => '(GMT+03:00) Baghdad',
	'Africa/Nairobi' => '(GMT+03:00) Nairobi',
	'Asia/Tbilisi' => '(GMT+03:00) Tbilisi',
	'Europe/Moscow' => '(GMT+03:00) Moscow',
	'Europe/Volgograd' => '(GMT+03:00) Volgograd',
	'Asia/Tehran' => '(GMT+03:30) Tehran',
	'Asia/Muscat' => '(GMT+04:00) Muscat',
	'Asia/Baku' => '(GMT+04:00) Baku',
	'Asia/Yerevan' => '(GMT+04:00) Yerevan',
	'Asia/Kabul' => '(GMT+04:30) Kabul',
	'Asia/Yekaterinburg' => '(GMT+05:00) Ekaterinburg',
	'Asia/Karachi' => '(GMT+05:00) Karachi',
	'Asia/Tashkent' => '(GMT+05:00) Tashkent',
	'Asia/Kolkata' => '(GMT+05:30) Calcutta',
	'Asia/Colombo' => '(GMT+05:30) Sri Jayawardenepura',
	'Asia/Katmandu' => '(GMT+05:45) Kathmandu',
	'Asia/Dhaka' => '(GMT+06:00) Dhaka',
	'Asia/Almaty' => '(GMT+06:00) Almaty',
	'Asia/Novosibirsk' => '(GMT+06:00) Novosibirsk',
	'Asia/Rangoon' => '(GMT+06:30) Yangon (Rangoon)',
	'Asia/Krasnoyarsk' => '(GMT+07:00) Krasnoyarsk',
	'Asia/Bangkok' => '(GMT+07:00) Bangkok',
	'Asia/Jakarta' => '(GMT+07:00) Jakarta',
	'Asia/Brunei' => '(GMT+08:00) Beijing',
	'Asia/Chongqing' => '(GMT+08:00) Chongqing',
	'Asia/Hong_Kong' => '(GMT+08:00) Hong Kong',
	'Asia/Urumqi' => '(GMT+08:00) Urumqi',
	'Asia/Irkutsk' => '(GMT+08:00) Irkutsk',
	'Asia/Ulaanbaatar' => '(GMT+08:00) Ulaan Bataar', 
	'Asia/Kuala_Lumpur' => '(GMT+08:00) Kuala Lumpur',
	'Asia/Singapore' => '(GMT+08:00) Singapore',
	'Asia/Taipei' => '(GMT+08:00) Taipei',
	'Australia/Perth' => '(GMT+08:00) Perth',
	'Asia/Seoul' => '(GMT+09:00) Seoul',
	'Asia/Tokyo' => '(GMT+09:00) Tokyo',
	'Asia/Yakutsk' => '(GMT+09:00) Yakutsk',
	'Australia/Darwin' => '(GMT+09:30) Darwin',
	'Australia/Adelaide' => '(GMT+09:30) Adelaide',
	'Australia/Canberra' => '(GMT+10:00) Canberra',
	'Australia/Melbourne' => '(GMT+10:00) Melbourne',
	'Australia/Sydney' => '(GMT+10:00) Sydney',
	'Australia/Brisbane' => '(GMT+10:00) Brisbane',
	'Australia/Hobart' => '(GMT+10:00) Hobart',
	'Asia/Vladivostok' => '(GMT+10:00) Vladivostok',
	'Pacific/Guam' => '(GMT+10:00) Guam',
	'Pacific/Port_Moresby' => '(GMT+10:00) Port Moresby',
	'Asia/Magadan' => '(GMT+11:00) Magadan',
	'Pacific/Fiji' => '(GMT+12:00) Fiji',
	'Asia/Kamchatka' => '(GMT+12:00) Kamchatka',
	'Pacific/Auckland' => '(GMT+12:00) Auckland',
	'Pacific/Tongatapu' => '(GMT+13:00) Nukualofa'
	),
	
    'account_type_array' => array(
		'1' => __('Personal account', 'opendrive'),
		'2' => __('Business account', 'opendrive')
	),
    'account_type_array_short' => array(
        '1' => __('Personal', 'opendrive'),
        '2' => __('Business', 'opendrive')
    ),
	'plan_name_array' => array(
	    '0' => 'Closed',
	    '1' => 'Basic',
	    '2' => 'Home/Month',
	    '3' => 'Home/Year',
	    '4' => 'Office/Month',
	    '5' => 'Office/Year',
	    '6' => 'Pro/Month',
	    '7' => 'Pro/Year',
	    '8' => 'Custom/Month',
	    '9' => 'Custom/Year',
	    '10' => 'Unlimited/Personal/Month',
	    '11' => 'Unlimited/Personal/Year',
	    '12' => 'Unlimited/Business/Month',
	    '13' => 'Unlimited/Business/Year',
		'14' => 'Unlimited/Enterprise/Month',
		'15' => 'Unlimited/Enterprise/Year',
		'16' => 'Unlimited/Reseller/Month',
		'17' => 'Unlimited/Reseller/Year',
		'18' => 'Custom/Month/C1000',
		'19' => 'Custom/Month/C1500',
		'20' => 'Custom/Month/C2000',
		'21' => 'Custom/Month/C3000',
		'22' => 'Custom/Month/C5000',
		'23' => 'Promo/Yearly/1',
		'24' => 'Promo/Biennial/1',
		'25' => 'Promo/Yearly/2',
		'26' => 'Promo/Biennial/2',
		'27' => 'Custom/Month/C10000',
		'28' => 'Custom/Month/C25000',
		'29' => 'Custom/Month/C50000',
		'30' => 'Custom/Month/C100000',
        '90' => 'Admin/Basic',
        '94' => 'Admin/Support',
        '95' => 'Admin/Accounting',
        '99' => 'Admin/Pro Admin'
	),
	'trans_processor_array' => array(
		"1"	=>  "BankCardUSA",
		"2"	=>  "PayPal",
		"3"	=>  "FlagshipMS",
		"4"	=>  "BofA",
		"5" =>  "NBS", 
		"6" =>  "EPS",
		"7" =>  "ELEVON",
		"8" =>  "BASECOM",
		"9" =>  "EPSOD"
	),
	'currency_array' => array(
		"USD"	=>  "USD"
	),
	'trans_methods' => array(
		'CC' => 'Credit Card', 
		'PP' => 'PayPal',
		'CH' => 'Check'
	),
	'trans_statuses' => array(
        "0" =>  "Declined",
        "1" =>  "Approved",
        "2" =>  "Error",
        "3" =>  "Paused",
        "4" =>  "Removed",
        "5" =>  "Refund",
        "6" =>  "Voided",
        "7" =>  "Chargeback",
        "8" =>  "Deposit",
        "9" =>  "Unknown",
	),
    'closed_reasons' => array(
        1 => 'Other',
        2 => 'Slow transfer speeds',
        3 => 'No longer needs service',
        4 => 'Found better deal/service with other provider',
        5 => 'Problem with app/bug/incompatibility',
        6 => 'Personal reasons/financial',
        7 => 'Refused to give feedback',
        8 => 'Did not know about auto renewal',
        9 => 'DMCA complaint/sharing malware',
        10 => 'Fake/automated registration',
        11 => 'Service does not suit their needs',
        12 => 'Chargeback',
        13 => 'Cancelled PayPal subscription',
        14 => 'Difficult to use',
    ),
    'cc_types_array' => array(
        1 => 'Visa',
        2 => 'MasterCard',
        3 => 'Amex',
        4 => 'Discover'
    ),
    'plan_history_types' => array(
        1  => 'New subscription',
        2  => 'Subscription payment',
        3  => 'Plan upgrade',
        4  => 'New users',
        5  => 'Downgrade',
        6  => 'Account closed',
        7  => 'New trial',
        8  => 'Free space',
        9  => 'Trial upgrade',
        10 => 'Account suspended',
        11 => 'Suspension released'
    ),
);