<?php
if ( !defined( 'ABSPATH' ) ) exit;

return array(
    'tab_od_plugin_options' => array(
        'name' => __('Plugin Options', 'opendrive'),
        'class' => 'od_plugin_options_tab simpleTabsContent',
        'id' => 'od_plugin_options_tab',
        'active' => true,
        'settings' => array(
            array(
                'type' => 'text',
                'id' => 'od_domain',
                'class' => 'od_domain',
                'name' => 'od_domain',
                'title' => __('Domain', 'opendrive'),
                'description' => __('Domain name where files and folders will be accessible', 'opendrive'),
                'i' => '',
                'placeholder' => 'https://www.opendrive.com',
                'default' => 'https://www.opendrive.com',
                'value' => ''
            ),
            array(
                'type' => 'text',
                'id' => 'od_drive',
                'class' => 'od_drive',
                'name' => 'od_drive',
                'title' => __('Drive Name', 'opendrive'),
                'description' => __('Used in path to files and folders', 'opendrive'),
                'i' => '',
                'placeholder' => 'OpenDrive',
                'default' => 'OpenDrive',
                'value' => ''
            ),
            array(
                'type' => 'text',
                'id' => 'od_email',
                'class' => 'od_email',
                'name' => 'od_email',
                'title' => __('Email', 'opendrive'),
                'description' => __('Used as returning address in emails to users', 'opendrive'),
                'i' => '',
                'placeholder' => 'Youremail@mail.com',
                'default' => 'info@opendrive.com',
                'value' => ''
            ),
            array(
                'type' => 'text',
                'id' => 'od_help_link',
                'class' => 'od_help_link',
                'name' => 'od_help_link',
                'title' => __('Help link path', 'opendrive'),
                'description' => __('Path used for Help URL link', 'opendrive'),
                'i' => '',
                'placeholder' => 'http://support.opendrive.com',
                'default' => 'http://support.opendrive.com',
                'value' => ''
            ),
            array(
                'type' => 'text',
                'id' => 'od_google_analytics_id',
                'class' => 'od_google_analytics_id',
                'name' => 'od_google_analytics_id',
                'title' => __('Google analytics tracking ID', 'opendrive'),
                'description' => __('Google analytics tracking identifier and property number', 'opendrive'),
                'i' => '',
                'placeholder' => 'UA-12345678-9',
                'default' => '',
                'value' => ''
            ),
        ),
    ),
    'tab_od_branding_tab' => array(
        'name' => __('Plugin Branding', 'opendrive'),
        'class' => 'od_branding_tab simpleTabsContent',
        'id' => 'od_branding_tab',
        'active' => false,
        'settings' => array(
            array(
                'type' => 'colorpicker_group',
                'title' => __('Color scheme', 'opendrive'),
                'description' => '',
                'inputs' => array(
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_scheme_background',
                        'class' => 'od_scheme_background colorpicker_field',
                        'name' => 'od_scheme_background',
                        'value' => '',
                        'i' => __('Background', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_scheme_menu',
                        'class' => 'od_scheme_menu colorpicker_field',
                        'name' => 'od_scheme_menu',
                        'value' => '',
                        'i' => __('Menu', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_scheme_slider',
                        'class' => 'od_scheme_slider colorpicker_field',
                        'name' => 'od_scheme_slider',
                        'value' => '',
                        'i' => __('Slider', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_scheme_container',
                        'class' => 'od_scheme_container colorpicker_field',
                        'name' => 'od_scheme_container',
                        'value' => '',
                        'i' => __('Files container', 'opendrive'),
                    ),
                ),
            ),
            array(
                'type' => 'colorpicker_group',
                'title' => __('Font color scheme', 'opendrive'),
                'description' => '',
                'inputs' => array(
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_font_color',
                        'class' => 'od_font_color colorpicker_field',
                        'name' => 'od_font_color',
                        'value' => '',
                        'i' => __('Font color', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_font_selected',
                        'class' => 'od_font_selected colorpicker_field',
                        'name' => 'od_font_selected',
                        'value' => '',
                        'i' => __('Selected', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_font_hover',
                        'class' => 'od_font_hover colorpicker_field',
                        'name' => 'od_font_hover',
                        'value' => '',
                        'i' => __('Hover', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_font_link',
                        'class' => 'od_font_link colorpicker_field',
                        'name' => 'od_font_link',
                        'value' => '',
                        'i' => __('Link', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_font_trash',
                        'class' => 'od_font_trash colorpicker_field',
                        'name' => 'od_font_trash',
                        'value' => '',
                        'i' => __('Trash', 'opendrive'),
                    ),
                ),
            ),
            array(
                'type' => 'colorpicker_group',
                'title' => __('Progress bar color', 'opendrive'),
                'description' => '',
                'inputs' => array(
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_progress_loading',
                        'class' => 'od_progress_loading colorpicker_field',
                        'name' => 'od_progress_loading',
                        'value' => '',
                        'i' => __('Loading', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_progress_available',
                        'class' => 'od_progress_available colorpicker_field',
                        'name' => 'od_progress_available',
                        'value' => '',
                        'i' => __('Available', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_progress_font',
                        'class' => 'od_progress_font colorpicker_field',
                        'name' => 'od_progress_font',
                        'value' => '',
                        'i' => __('Font', 'opendrive'),
                    ),
                ),
            ),
            array(
                'type' => 'colorpicker_group',
                'title' => __('Buttons color scheme', 'opendrive'),
                'description' => '',
                'inputs' => array(
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_button_color',
                        'class' => 'od_button_color colorpicker_field',
                        'name' => 'od_button_color',
                        'value' => '',
                        'i' => __('Color', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_button_hover',
                        'class' => 'od_button_hover colorpicker_field',
                        'name' => 'od_button_hover',
                        'value' => '',
                        'i' => __('Hover', 'opendrive'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'id' => 'od_button_font',
                        'class' => 'od_button_font colorpicker_field',
                        'name' => 'od_button_font',
                        'value' => '',
                        'i' => __('Font', 'opendrive'),
                    ),
                ),
            ),
            array(
                'type' => 'file_upload',
                'id' => 'od_favicon_path',
                'class' => 'od_favicon_path',
                'name' => 'od_favicon_path',
                'title' => __('Custom favicon', 'opendrive'),
                'description' => __('Upload a 16px x 16px image that will represent your website\'s favicon.', 'opendrive'),
                'placeholder' => __('Choose file ...', 'opendrive'),
                'default' => '',
                'value' => ''
            ),
            array(
                'type' => 'file_upload',
                'id' => 'od_logo_path',
                'class' => 'od_logo_path',
                'name' => 'od_logo_path',
                'title' => __('Logo', 'opendrive'),
                'description' => __('Upload transparent logo image. Optimal size 160x45px', 'opendrive'),
                'placeholder' => __('Choose file ...', 'opendrive'),
                'default' => '',
                'value' => '',
                'preview' => true,
            ),
        )
    ),
    'tab_od_files_tab' => array(
        'name' => __('Files', 'opendrive'),
        'class' => 'od_files_tab simpleTabsContent',
        'id' => 'od_files_tab',
        'active' => false,
        'settings' => array(
            array(
                'type' => 'checkbox',
                'id' => 'od_enable_upload',
                'class' => 'od_enable_upload',
                'name' => 'od_enable_upload',
                'title' => __('Enable upload', 'opendrive'),
                'description' => __('Let users upload new files', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
            array(
                'type' => 'checkbox',
                'id' => 'od_enable_download',
                'class' => 'od_enable_download',
                'name' => 'od_enable_download',
                'title' => __('Enable download', 'opendrive'),
                'description' => __('Let users download their files', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
            array(
                'type' => 'group',
                'title' => __('New files or folders', 'opendrive'),
                'description' => __('Let users create their files or folders', 'opendrive'),
                'inputs' => array(
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_create_folders',
                        'class' => 'od_create_folders',
                        'name' => 'od_create_folders',
                        'default' => '1',
                        'value' => '',
                        'i' => 'folders',
                    ),
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_create_txt',
                        'class' => 'od_create_txt',
                        'name' => 'od_create_txt',
                        'default' => '1',
                        'value' => '',
                        'i' => '.txt',
                    ),
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_create_doc',
                        'class' => 'od_create_doc',
                        'name' => 'od_create_doc',
                        'default' => '1',
                        'value' => '',
                        'i' => '.doc',
                    ),
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_create_xls',
                        'class' => 'od_create_xls',
                        'name' => 'od_create_xls',
                        'default' => '1',
                        'value' => '',
                        'i' => '.xls',
                    ),
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_create_ppt',
                        'class' => 'od_create_ppt',
                        'name' => 'od_create_ppt',
                        'default' => '1',
                        'value' => '',
                        'i' => '.ppt',
                    ),
                ),
            ),
            array(
                'type' => 'checkbox',
                'id' => 'od_files_sharing',
                'class' => 'od_files_sharing',
                'name' => 'od_files_sharing',
                'title' => __('Files sharing', 'opendrive'),
                'description' => __('Users can access and share file link with others', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
            array(
                'type' => 'checkbox',
                'id' => 'od_files_hotlinking',
                'class' => 'od_files_hotlinking',
                'name' => 'od_files_hotlinking',
                'title' => __('Files hotlinking', 'opendrive'),
                'description' => __('Users can access and use file download and streaming links', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
            array(
                'type' => 'group',
                'title' => __('Files versioning', 'opendrive'),
                'description' => __('Users can create multiple file versions', 'opendrive'),
                'inputs' => array(
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_versioning_enabled',
                        'class' => 'od_versioning_enabled',
                        'name' => 'od_versioning_enabled',
                        'default' => '',
                        'value' => '',
                        'i' => '',
                    ),
                    array(
                        'type' => 'text',
                        'id' => 'od_num_file_versions',
                        'class' => 'od_num_file_versions',
                        'name' => 'od_num_file_versions',
                        'placeholder' => '10',
                        'default' => '10',
                        'value' => '',
                        'i' => __('Maximum 99 versions', 'opendrive'),
                    ),
                ),
            ),
            array(
                'type' => 'group',
                'title' => __('Online file editor', 'opendrive'),
                'description' => __('Use Zoho online editor to edit files online', 'opendrive'),
                'hidden' => 0,
                'inputs' => array(
                    array(
                        'type' => 'checkbox',
                        'id' => 'od_online_editor',
                        'class' => 'od_online_editor',
                        'name' => 'od_online_editor',
                        'default' => '',
                        'value' => '',
                        'i' => '',
                    ),
                    array(
                        'type' => 'text',
                        'id' => 'od_zoho_key',
                        'class' => 'od_zoho_key',
                        'name' => 'od_zoho_key',
                        'placeholder' => __('enter zoho api key here', 'opendrive'),
                        'default' => '',
                        'value' => '',
                        'i' => __('Zoho API key. Separate multiple keys with a semicolon.', 'opendrive'),
                    ),
                    array(
                        'type' => 'text',
                        'id' => 'od_zoho_ext',
                        'class' => 'od_zoho_ext',
                        'name' => 'od_zoho_ext',
                        'placeholder' => 'doc, docx, ...',
                        'default' => implode(', ', array('doc', 'docx', 'rtf', 'odt', 'htm', 'html', 'txt',
                            'xls', 'xlsx', 'sxc', 'ods', 'csv', 'tsv',
                            'ppt', 'pptx', 'pps', 'ppsx', 'odp', 'sxi')),
                        'value' => '',
                        'i' => __('Zoho extensions', 'opendrive'),
                    ),
                ),
            ),
        ),
    ),
    'tab_od_users_tab' => array(
        'name' => __('Users', 'opendrive'),
        'class' => 'od_users_tab simpleTabsContent',
        'id' => 'od_users_tab',
        'active' => false,
        'settings' => array(
            array(
                'type' => 'checkbox',
                'id' => 'od_enable_account_users',
                'class' => 'od_enable_account_users',
                'name' => 'od_enable_account_users',
                'title' => __('Enable account users', 'opendrive'),
                'description' => __('Let users create account users for their account', 'opendrive'),
                'default' => '1',
                'value' => ''
            )
        )
    ),
    'tab_od_notes_tab' => array(
        'name' => __('Notes', 'opendrive'),
        'class' => 'od_notes_tab simpleTabsContent',
        'id' => 'od_notes_tab',
        'active' => false,
        'settings' => array(
            array(
                'type' => 'checkbox',
                'id' => 'od_enable_notes',
                'class' => 'od_enable_notes',
                'name' => 'od_enable_notes',
                'title' => __('Enable Notes', 'opendrive'),
                'description' => __('Let users create Notes and manage them', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
        )
    ),
    'tab_od_tasks_tab' => array(
        'name' => __('Tasks', 'opendrive'),
        'class' => 'od_tasks_tab simpleTabsContent',
        'id' => 'od_notes_tab',
        'active' => false,
        'settings' => array(
            array(
                'type' => 'checkbox',
                'id' => 'od_enable_tasks',
                'class' => 'od_enable_tasks',
                'name' => 'od_enable_tasks',
                'title' => __('Enable Tasks', 'opendrive'),
                'description' => __('Let users create Tasks and manage them', 'opendrive'),
                'default' => '1',
                'value' => ''
            ),
        )
    ),
    'tab_od_SMTP_settings' => array(
	    'name' => __('SMTP settings', 'opendrive'),
	    'class' => 'od_smtp_tab simpleTabsContent',
	    'id' => 'od_smtp_tab',
	    'active' => false,
	    'settings' => array(
		    array(
			    'type' => 'checkbox',
			    'id' => 'od_smtp_enable',
			    'class' => 'od_smtp_enable',
			    'name' => 'od_smtp_enable',
			    'title' => __('Enable SMTP', 'opendrive'),
			    'description' => __('Enable custom mail server', 'opendrive'),
			    'i' => '',
			    'default' => '0',
			    'value' => ''
		    ),
		    array(
			    'type' => 'text',
			    'id' => 'od_smtp_server',
			    'class' => 'od_smtp_server',
			    'name' => 'od_smtp_server',
			    'title' => __('SMTP server', 'opendrive'),
			    'description' => __('Used to deliver emails', 'opendrive'),
			    'i' => '',
			    'placeholder' => '',
			    'default' => '',
			    'value' => ''
		    ),
		    array(
			    'type' => 'text',
			    'id' => 'od_smtp_authentication',
			    'class' => 'od_smtp_authentication',
			    'name' => 'od_smtp_authentication',
			    'title' => __('Authentication', 'opendrive'),
			    'description' => __('Choose between ssl and tls', 'opendrive'),
			    'i' => '',
			    'placeholder' => 'No authentication',
			    'default' => '',
			    'value' => ''
		    ),
		    array(
			    'type' => 'text',
			    'id' => 'od_smtp_port',
			    'class' => 'od_smtp_port',
			    'name' => 'od_smtp_port',
			    'title' => __('Port', 'opendrive'),
			    'description' => __('Port of provided SMTP server', 'opendrive'),
			    'i' => '',
			    'placeholder' => '',
			    'default' => '',
			    'value' => ''
		    ),
		    array(
			    'type' => 'text',
			    'id' => 'od_smtp_email',
			    'class' => 'od_smtp_email',
			    'name' => 'od_smtp_email',
			    'title' => __('Email', 'opendrive'),
			    'description' => __('Used as returning address in emails to users', 'opendrive'),
			    'i' => '',
			    'placeholder' => '',
			    'default' => '',
			    'value' => ''
		    ),
		    array(
			    'type' => 'text',
			    'id' => 'od_smtp_pas',
			    'class' => 'od_smtp_pas',
			    'name' => 'od_smtp_pas',
			    'title' => __('Password', 'opendrive'),
			    'description' => __('Password for provided email address', 'opendrive'),
			    'i' => '',
			    'placeholder' => '',
			    'default' => '',
			    'value' => ''
		    ),

	    ),
    ),
);