<?php
if (!defined('ABSPATH')) exit;
?>
<div class="lightbox lighbox-close-account js-lighbox-close-account">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <div class="lightbox-header">
            <h2><?php _e('Close account', 'opendrive') ?></h2>
            <a href="#" class="lightbox-close-btn fa fa-times" aria-label="<?php _e('Close', 'opendrive') ?>" role="button"></a>
        </div>
        <div class="lightbox-scrollable-content">
            <div class="lightbox-body">
                <h5><?php _e('Close reason', 'opendrive') ?>:</h5>
                <select class="js-close-reason">
                    <?php foreach (OpenDrive::i()->getConfigItem('closed_reasons') as $reasonId => $reasonValue): ?>
                        <option value="<?php esc_attr_e($reasonId) ?>"><?php esc_html_e($reasonValue) ?></option>
                    <?php endforeach; ?>
                </select>

                <h5 class="js-close-reason-title"><?php _e('Please enter a reason', 'opendrive') ?>:</h5>
                <textarea class="js-close-reason-text"></textarea>
                <?php if(OpenDrive::i()->isExtensionPluginActive()):?>
                <h6 class="js-close-reason-title"><?php _e('Please note: all active user PayPal subscriptions will be cancelled.', 'opendrive') ?></h6>
                <?php endif;?>
            </div>
        </div>
        <div class="lightbox-buttons">
            <input type="button" class="save-btn js-save_close_reason" value="<?php _e('OK', 'opendrive')?>">
            <input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive') ?>">
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<div class="lightbox lighbox-close-account js-lighbox-reset-secure-files-password">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <div class="lightbox-header">
            <h2><?php _e('Reset password for "Secure Files"', 'opendrive') ?></h2>
            <a href="#" class="lightbox-close-btn fa fa-times" aria-label="<?php _e('Close', 'opendrive') ?>" role="button"></a>
        </div>
        <div class="lightbox-body" style="color: #777">
            <h5 class="error-color"><?php _e('After this action all files and folders in the user "Secure Files" folder will be deleted and password will be reseted.', 'opendrive')?></h5>
            <label style="line-height: initial"><input id="secure-folders-user-reset-confirmed" type="checkbox"><?php _e('User has confirmed in ticket that all his files and folders will be deleted in the &quot;Secure Files&quot;', 'opendrive')?></label>
            <label><input  id="secure-folders-admin-reset-confirmed" type="checkbox"><?php _e('I agree that this action cannot be undone', 'opendrive')?></label>
            <div class="clearfix"></div>
        </div>
        <div class="lightbox-buttons">
            <input disabled type="button" class="save-btn js-reset-password" value="<?php _e('RESET', 'opendrive')?>">
            <input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive') ?>">
            <div class="clearfix"></div>
        </div>
    </div>
</div>
<div class="lightbox lighbox-close-account js-lighbox-blacklist-user">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <div class="lightbox-header">
            <h2><?php _e('Add user to blacklist', 'opendrive') ?></h2>
            <a href="#" class="lightbox-close-btn fa fa-times" aria-label="<?php _e('Close', 'opendrive') ?>" role="button"></a>
        </div>
        <div class="lightbox-body">
            <label>
                <input name="user_email" type="checkbox"><?php _e('User email', 'opendrive')?>
            </label>
            <label>
                <input name="user_registration_ip" type="checkbox"><?php _e('IP-address from which an account was created', 'opendrive')?>
            </label>
            <label>
                <input name="user_last_login_ip" type="checkbox"><?php _e('IP-address of last login', 'opendrive')?>
            </label>
            <label>
                <input name="user_all_transactions_ip" type="checkbox"><?php _e('IP-addresses of the all users transactions', 'opendrive')?>
            </label>
            <div class="clearfix"></div>
            <h6 class="od-black"><?php _e('Another users willn\'t be able to login/sign up from the IP-addresses or emails that was added to blacklist.', 'opendrive') ?></h6>
            <div class="clearfix"></div>
        </div>
        <div class="lightbox-buttons">
            <input type="button" class="save-btn js-blacklist-user" value="<?php _e('OK', 'opendrive')?>">
            <input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive') ?>">
            <div class="clearfix"></div>
        </div>
    </div>
</div>

<div class="lightbox lighbox-close-account js-lighbox-refund-user-transaction">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <div class="lightbox-header">
            <h2><?php _e('Refund user transaction', 'opendrive') ?></h2>
            <a href="#" class="lightbox-close-btn fa fa-times" aria-label="<?php _e('Close', 'opendrive') ?>" role="button"></a>
        </div>
        <div class="lightbox-body" style="color: #777">
            <h5 class="error-color"><?php _e('After this action the transaction amount and status will be altered for the existing transaction.', 'opendrive')?></h5>

                <div class="row">
                    <div class="col-md-4">
                        <label for=""><?php _e('Refund amount', 'opendrive') ?></label>
                    </div>
                    <div class="col-md-4">
                       <input autocomplete="off" type="text" class="js-refund-amount"
                               data-inputmask="'alias': 'numeric', 'groupSeparator': ',', 'autoGroup': true, 'digits': 2, 'digitsOptional': false, 'prefix': '$ ', 'placeholder': '0'">
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <label for=""><?php _e('Refund type', 'opendrive') ?></label>
                    </div>
                    <div class="col-md-4">
                       <select class="js-refund-type">
                            <option value><?php _e('Select', 'opendrive') ?></option>
                            <option value="5"><?php _e('Refund', 'opendrive') ?></option>
                            <option value="6"><?php _e('Voided', 'opendrive') ?></option>
                        </select>
                    </div>
                </div>
            <label><input id="refund-user-transaction-confirmed" type="checkbox"><?php _e('Confirm refund', 'opendrive')?></label>
            <div class="clearfix"></div>
        </div>
        <div class="lightbox-buttons">
            <input disabled type="button" class="save-btn js-refund-user-transaction" value="<?php _e('Refund', 'opendrive')?>">
            <input type="button" class="js-cancel-btn cancel-btn" value="<?php _e('Cancel', 'opendrive') ?>">
            <div class="clearfix"></div>
        </div>
    </div>
</div>