<script type="text/x-handlebars-template" data-name="BreadCrumbMenu">
<div class="js-breadcrumb" data-itemid="{{ItemId}}">
    {{> BreadCrumbMenuContent}}
</div>
</script>

<script type="text/x-handlebars-template" data-name="PaymentFormBreadCrumb">
    <div class="js-breadcrumb" data-itemid="{{ItemId}}">
        {{> PaymentBreadCrumbContent}}
    </div>
</script>

<script type="text/x-handlebars-template" data-name="PaymentBreadCrumbContent" data-partial="1">
    <div class="buttons">
        <i title="<?php _e('Open user details', 'opendrive') ?>" class="fa fa fa-pencil-square-o js-open-user-details"></i>
        <i title="<?php _e('Refresh user information', 'opendrive')?>" class="fa fa-refresh js-reload-user"></i>
    </div>
    <h2><a href="/admin"><?php _e('Admin', 'opendrive') ?></a>
        {{#if UserEmail}}
        <a href="#"><?php _e('New payment for', 'opendrive')?> {{UserFirstName}} {{UserLastName}} ({{UserEmail}})</a>
        {{/if}}
    </h2>
</script>

<script type="text/x-handlebars-template" data-name="UserDetailsBreadCrumb">
    <div class="js-breadcrumb" data-itemid="{{ItemId}}">
        {{> UserDetailsBreadCrumbContent}}
    </div>
</script>

<script type="text/x-handlebars-template" data-name="UserDetailsBreadCrumbContent" data-partial="1">
    <div class="buttons">
        <?php if(\OpenDrive::isExtensionPluginActive()):?>
        <i title="<?php _e('Open payment form', 'opendrive')?>" class="fa fa-credit-card js-open-payment-form"></i>
        <?php endif;?>
        <i title="<?php _e('Refresh user information', 'opendrive')?>" class="fa fa-refresh js-reload-user"></i>
    </div>
    <h2><a href="/admin"><?php _e('Admin', 'opendrive') ?></a>
        {{#if UserEmail}}
        <a href="#"><?php _e('User Profile', 'opendrive') ?> - {{UserFirstName}} {{UserLastName}} ({{UserEmail}})</a>
        {{/if}}
    </h2>
</script>

<script type="text/x-handlebars-template" data-name="BreadCrumbMenuContent" data-partial="1">
    {{#if TotalUsersCount}}
    <div class="buttons">
        <span class="users-count">{{TotalUsersCount}} <?php _e('users', 'opendrive') ?></span>
    </div>
    {{/if}}
    <h2 class="has-menu"><a href="/admin"><?php _e('Admin', 'opendrive') ?></a>
        <a href="/admin/users"><?php _e('Users', 'opendrive') ?></a>
        <?php
        //Support
        if ($adminLevel >= 94): ?>
            <span class="delimiter">/ </span>
            <ul class="dropdown">
                <li data-user-type="{{UserType}}">
                    <span class="text-capitalize">{{#if UserType}}{{UserType}}{{else}}<?php _e('Please select', 'opendrive') ?>{{/if}}</span>
                    <span class="caret"></span>
                    <ul>
                        <li data-user-type="all"><?php _e('All', 'opendrive') ?></li>
                        <?php
                        //Accounting
                        if ($adminLevel >= 95) { ?>
                            <li data-user-type="free"><?php _e('Free', 'opendrive') ?></li>
                            <li data-user-type="premium"><?php _e('Premium', 'opendrive') ?></li>
                            <li data-user-type="suspended"><?php _e('Suspended', 'opendrive') ?></li>
                            <li data-user-type="closed"><?php _e('Closed', 'opendrive') ?></li>
                        <?php } ?>
                        <li data-user-type="trials"><?php _e('Trials', 'opendrive') ?></li>
                    </ul>
                </li>
            </ul>

            {{#if ShowDueFilter}}
            <span class="delimiter">/ </span>
            <ul class="dropdown due-filter">
                <li>
                    {{DueFilterText}}
                    <span class="caret"></span>
                    <ul class="due-datepicker">
                        <li data-due="all"><?php _e('All due', 'opendrive') ?></li>
                        <li data-due="today"><?php _e('Due today', 'opendrive') ?></li>
                        <li data-due="tomorrow"><?php _e('Due tomorrow', 'opendrive') ?></li>
                        <li data-due="past"><?php _e('Past Due', 'opendrive') ?></li>
                        <div class="js-due-datepicker due-datepicker"></div>
                    </ul>
                </li>
            </ul>
            {{/if}}

            {{#if ShowSuspendedFilter}}
            <span class="delimiter">/ </span>
            <ul class="dropdown js-suspended-filter">
                <li>
                    {{SuspendedFilterText}}
                    <span class="caret"></span>
                    <ul>
                        <li><a href="#" data-suspended-filter="all"><?php _e('All', 'opendrive') ?></a></li>
                        <li><a href="#" data-suspended-filter="m90"><?php _e('More than 90 days', 'opendrive') ?></a></li>
                    </ul>
                </li>
            </ul>
            {{/if}}
        <?php endif; ?>
    </h2>
</script>

<script type="text/x-handlebars-template" data-name="UsersList">
{{#if FirstRun}}
<span class="first_run_hint"><?php _e('Please enter search criteria or select user type', 'opendrive') ?>.</span>
{{/if}}
</script>

<script type="text/x-handlebars-template" data-name="PaymentFormUserInfo" data-partial="1">
    <div class="user-col col-md-4">
        <b><?php _e('User', 'opendrive') ?></b>

        <div class="user-info">
            <div><label><?php _e('User', 'opendrive') ?> ID:</label> {{UserID}}</div>
            <div><label><?php _e('Name', 'opendrive') ?>:</label>
                    <span class="ellipsis_overflow"
                          title="{{UserFirstName}} {{UserLastName}}">
                    {{UserFirstName}} {{UserLastName}}</span>
            </div>
            <div><label><?php _e('Since', 'opendrive') ?>:</label> <span class="ellipsis_overflow">{{SinceText}}</span></div>
            <div><label><?php _e('Logged', 'opendrive') ?>:</label> <span class="ellipsis_overflow">{{{LastLoginText}}}</span></div>
        </div>
    </div>

    <div class="user-col col-md-4">
        <b><?php _e('Plan', 'opendrive') ?></b>
        {{#if Suspended}}
            <span class="suspended">({{SuspendedText}})</span>
        {{/if}}
        {{#if Trial}}
            <span class="trial">(<?php _e('Trial', 'opendrive') ?>)</span>
        {{/if}}
        <div class="user-info">
            <div><label><?php _e('Type', 'opendrive') ?>:</label> <span class="ellipsis_overflow"
                                            title="{{AccountTypeText}}">{{AccountTypeText}}</span>
            </div>
            <div>
                <label><?php _e('Plan', 'opendrive') ?>:</label>
                <span class="ellipsis_overflow" title="{{PlanText}}">{{PlanText}}</span>
            </div>
            <div><label><?php _e('Users', 'opendrive') ?>:</label> {{AccountUsers}}</div>
            <div><label><?php _e('Due', 'opendrive') ?>:</label> {{DueDateText}}</div>
        </div>
    </div>

    <div class="user-col no-border col-md-4">
        <b><?php _e('Notes', 'opendrive') ?></b>
        <div class="user-info">
            <div class="notes-list js-notes-list">
                {{> PaymentFormUserNotes}}
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</script>

<script type="text/x-handlebars-template" data-name="PaymentFormUserNotes" data-partial="1">
    {{#each Notes}}
        <div class="ellipsis_overflow" title="{{note_text}}">{{note_date}} | {{note_text}}</div>
    {{/each}}
</script>

<script type="text/x-handlebars-template" data-name="PaymentForm">
<div id="admin-add-payment">
    <form id="new-payment-form">
        <div class="reminder_panel">
            <div class="dropdown js-reminder-dropdown">
                <div class="envelope" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true" role="menu">
                    <i class="fa fa-envelope"></i>
                    <span class="caret"></span>
                </div>
                <div class="clearfix"></div>
                <ul class="dropdown-menu">
                    <li><a href="#" class="js-send-reminder" data-type="admin.send-payment-reminder"><?php _e('Send Payment Reminder', 'opendrive') ?></a></li>
                    <li><a href="#" class="js-send-reminder" data-type="admin.send-trial-reminder"><?php _e('Send Trial Reminder', 'opendrive') ?></a></li>
                </ul>
            </div>
        </div>


        <div class="payment-user-info-bar js-user-info-bar">
            {{> PaymentFormUserInfo}}
        </div>

        <div class="col-md-8 new-payment-form clearfix">
            <div class="row">
                <div class="col-md-4">
                    <label for="payment_trans_date_{{UserID}}"><?php _e('Transaction Date', 'opendrive') ?></label>
                </div>
                <div class="col-md-3 no-right-padding">
                    <div class="datepicker-wrapper">
                        <input type="text"
                               class="js-withdatepicker"
                               autocomplete="off"
                               id="payment_trans_date_{{UserID}}"
                               data-original-value="{{NewTransactionDate}}"
                               value="{{NewTransactionDate}}">
                    </div>
                </div>
                <div class="col-md-3 no-right-padding">
                    <input autocomplete="off" type="text" class="js-new_payment_amount"
                           data-inputmask="'alias': 'numeric', 'groupSeparator': ',', 'autoGroup': true, 'digits': 2, 'digitsOptional': false, 'prefix': '$ ', 'placeholder': '0'">
                </div>
                <div class="col-md-2">
                    <select name="new_payment_currency" id="new_payment_currency">
                        <?php
                        foreach (OpenDrive::i()->getConfigItem('currency_array') as $curr_key => $curr_val) {
                            ?>
                            <option
                            value="<?php esc_attr_e($curr_key) ?>"><?php esc_html_e($curr_val) ?></option><?php
                        }
                        ?>
                    </select>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="new_payment_processor"><?php _e('Processor', 'opendrive') ?></label>
                </div>
                <div class="col-md-3 no-right-padding">
                    <select id="new_payment_processor">
                        <?php
                        foreach (OpenDrive::i()->getConfigItem('trans_processor_array') as $trans_proc_key => $trans_proc_val) {
                            ?>
                            <option <?php echo $trans_proc_key == 9 ? 'selected' : '' ?>
                            value="<?php esc_attr_e($trans_proc_key) ?>"><?php echo $trans_proc_val ?></option><?php
                        }
                        ?>
                    </select>
                </div>
                <div class="col-md-5">
                    <select class="js-new_payment_cc">
                        <option value=""><?php _e('Please select credit card to charge', 'opendrive') ?></option>
                        {{#each UserCC}}
                        <option value={{card_id}}>{{card_id}} {{card_type}} *{{card_no4}} {{cc_exp_date}}
                            {{#if_gt card_primary 0}} (Primary){{/if_gt}}
                        </option>
                        {{/each}}
                    </select>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="new_payment_trans_status"><?php _e('Transaction Status', 'opendrive') ?></label>
                </div>
                <div class="col-md-3 no-right-padding">
                    <select class="js-new_payment_trans_status" id="new_payment_trans_status">
                        <option value=""><?php _e('Please select', 'opendrive') ?></option>
                        <?php
                        foreach (OpenDrive::i()->getConfigItem('trans_statuses') as $trans_status_id => $trans_status) {
                            ?>
                            <option
                            value="<?php esc_attr_e($trans_status_id) ?>"><?php esc_html_e($trans_status) ?></option><?php
                        }
                        ?>
                    </select>
                </div>
                <div class="col-md-5">
                    <input autocomplete="off" type="text" class="js-new_payment_trans_id"
                           placeholder="<?php _e('Transaction ID', 'opendrive') ?>">
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="new_payment_note"><?php _e('Note', 'opendrive') ?></label>
                </div>
                <div class="col-md-8">
                    <textarea placeholder="Note" rows="2" id="new_payment_note" maxlength="255"></textarea>
                </div>
            </div>

            <div class="row">
                <div class="col-md-4">
                    <label for="payment_due_date"><?php _e('Next Payment Due', 'opendrive') ?></label>
                </div>

                <div class="col-md-3 no-right-padding">
                    <div class="datepicker-wrapper">
                        <input
                            autocomplete="off"
                            type="text"
                            class="js-withdatepicker no-margin"
                            id="payment_due_date" value="{{NextDueDate}}">
                    </div>
                </div>
                <div class="col-md-5">
                    <a class="js-admin-add-payment-btn blue-button pull-right no-margin"><?php _e('Submit', 'opendrive') ?></a>
                </div>
            </div>
        </div>

        <div class="clearfix"></div>
        <div class="transactions-list-container">
            <div class="transactions-list clearfix">
                <div class="transaction-row no-padding col-md-12 heading-row">
                    <div class="col-md-2">
                        <h3><?php _e('Transaction', 'opendrive') ?></h3>
                    </div>
                    <div class="col-md-2">
                        <h3><?php _e('Processor', 'opendrive') ?></h3>
                    </div>
                    <div class="col-md-1">
                        <h3><?php _e('CC', 'opendrive') ?></h3>
                    </div>
                    <div class="col-md-2">
                        <h3><?php _e('Amount', 'opendrive') ?></h3>
                    </div>
                    <div class="col-md-2">
                        <h3><?php _e('Status', 'opendrive') ?></h3>
                    </div>
                    <div class="col-md-3">
                        <h3><?php _e('Note', 'opendrive') ?></h3>
                    </div>
                </div>

                {{#if Transactions}}
                {{#each Transactions}}
                <div class="transaction-row clearfix">
                    <div class="col-md-2">
                        <div class="trans-date">{{trans_date}}</div>
                        {{trans_id}}
                    </div>
                    <div class="col-md-2">
                        <div>{{trans_processor_name}}</div>
                        <div class="ellipsis_overflow" title="<?php _e('Transaction processor', 'opendrive') ?> - {{trans_proc_id}}">{{trans_proc_id}}</div>
                    </div>
                    <div class="col-md-1">
                        <div class="ellipsis_overflow" title="{{trans_cc_dd_id}}">{{trans_cc_dd_id}}</div>
                        <div>
                            {{#if card_no4}}
                            *{{card_no4}}
                            {{else}}
                            N/A
                            {{/if}}
                        </div>
                    </div>
                    <div class="col-md-2"
                         {{#if_gt trans_amount 0}}
                         style="color: #333;"
                         {{/if_gt}}
                    >
                    {{trans_amount}} {{trans_currency}}
                    </div>
                    <div class="col-md-2">
                        <div>{{trans_status_name}}</div>
                        <div class="ellipsis_overflow" title="{{trans_processor_result}}">{{trans_processor_result}}</div>
                    </div>
                    <div class="col-md-3">
                        <div class="ellipsis_overflow" title="{{trans_note}}">{{trans_note}}</div>
                    </div>
                </div>
                {{/each}}
                {{else}}
                <div class="col-md-12 no-items-found"><?php _e('No items found', 'opendrive') ?>.</div>
                {{/if}}
            </div>
        </div>
    </form>
</div>
</script>

<script type="text/x-handlebars-template" data-name="UserEditFormTransactions">
{{#if Transactions}}
    <div class="transaction-row col-md-12 heading-row">
        <div class="col-md-2">
            <h3><?php _e('Transaction', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Processor', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1">
            <h3><?php _e('CC', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1">
            <h3><?php _e('Amount', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Status', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Note', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1 text-center">
            <h3><?php _e('Invoice', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1 text-center">
            <h3><?php _e('Action', 'opendrive') ?></h3>
        </div>
    </div>
    {{#each Transactions}}
    <div class="transaction-row clearfix">
        <div class="col-md-2">
            <div class="trans-date">{{trans_timestamp}}</div>
            {{trans_id}}
        </div>
        <div class="col-md-2">
            <div>{{trans_processor}}</div>
            <div>{{trans_proc_id}}</div>
        </div>
        <div class="col-md-1">
            <div>{{trans_cc_dd_id}}</div>
            <div>
                {{#if card_no4}}
                    *{{card_no4}}
                {{else}}
                    N/A
                {{/if}}
            </div>
        </div>
        <div class="col-md-1" {{#if_gt trans_amount 0}}style="color: #333;"{{/if_gt}}>
            {{trans_amount_fmt}} {{trans_currency}}
        </div>
        <div class="col-md-2">
            <div>{{trans_status}}</div>
            <div class="ellipsis_overflow" title="{{trans_processor_result}}">{{trans_processor_result}}</div>
        </div>
        <div class="col-md-2">
            <div class="ellipsis_overflow" title="{{trans_note}}">{{trans_note}}</div>
        </div>
        <div class="col-md-1 inline-block-m-cont text-center">
            {{#if_eq trans_status 'Approved'}}
                <a href="/admin/invoice/{{trans_id}}" title="Download Invoice" class="inline-block-m">
                    <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                </a>
            {{/if_eq}}
        </div>
        <div class="col-md-1">
            {{#if_eq trans_status 'Approved'}}
                <a href="#" class="blue-button blue-button-narrow admin-refund-transaction-btn" data-trans-id="{{trans_id}}" data-trans-amount="{{trans_amount_fmt}}"><?php _e('Refund', 'opendrive') ?></a>
            {{/if_eq}}
            {{#if_ne trans_amount_original_fmt '0.00'}}
                {{#if_eq trans_status 'Refund'}}
                <a href="#" class="blue-button blue-button-narrow admin-refund-transaction-btn" data-trans-id="{{trans_id}}" data-trans-amount="{{trans_amount_fmt}}" data-trans-amount-original="{{trans_amount_original_fmt}}"><?php _e('Edit Refund', 'opendrive') ?></a>
                {{/if_eq}}
                {{#if_eq trans_status 'Voided'}}
                <a href="#" class="blue-button blue-button-narrow admin-refund-transaction-btn" data-trans-id="{{trans_id}}" data-trans-amount="{{trans_amount_fmt}}" data-trans-amount-original="{{trans_amount_original_fmt}}"><?php _e('Edit Refund', 'opendrive') ?></a>
                {{/if_eq}}
            {{/if_ne}}
        </div>
    </div>
    {{/each}}
{{else}}
    <div class="col-md-12 no-items-found"><?php _e('No items found', 'opendrive') ?>.</div>
{{/if}}
</script>

<script type="text/x-handlebars-template" data-name="UserEditFormPlansHistory">
{{#if history}}
    <div class="history-row col-md-12 heading-row">
        <div class="col-md-2">
            <h3><?php _e('Date', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Plan / Account type', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1">
            <h3><?php _e('Space', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Bandwidth', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Users', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Price', 'opendrive') ?></h3>
        </div>
        <div class="col-md-1">
            <h3><?php _e('Type', 'opendrive') ?></h3>
        </div>
    </div>
    {{# each history}}
    <div class="history-row clearfix">
        <div class="col-md-2">
            {{plan_date}}
        </div>
        <div class="col-md-2">
            <div class="ellipsis_overflow">{{plan_name}}</div>
            {{acc_type_name}}
        </div>
        <div class="col-md-1">
            {{od_max_storage}}
        </div>
        <div class="col-md-2">
            {{bw_max}}
        </div>
        <div class="col-md-2">
            {{acc_users}}
        </div>
        <div class="col-md-2">
            {{price}} USD
        </div>
        <div class="col-md-1">
            {{type}}
        </div>
    </div>
    {{/each}}
{{else}}
    <div class="col-md-12 no-items-found"><?php _e('No items found', 'opendrive') ?>.</div>
{{/if}}
</script>

<script type="text/x-handlebars-template" data-name="UserEditForm">
    <div class="inlinebox" id="admin-user-edit">
        <div class="inlinebox-body ">
            <div class="user-info-bar clearfix">
                <div class="user-col col-md-3">
                    <b><?php _e('User', 'opendrive') ?></b><br>
                    <div class="user-info">
                        <div class="pull-left">
                            <div class="user-avatar-wrapper">
                                {{#if Avatar}}
                                    <img src="{{Avatar}}"/>
                                {{else}}
                                    <div class="avatar-container" style="background-color: #{{AvatarColor}}">{{Initials}}</div>
                                {{/if}}
                            </div>
                        </div>
                        <div class="user-info-details">
                            <h3 class="ellipsis_overflow" title="{{UserFirstName}} {{UserLastName}}">{{UserFirstName}} {{UserLastName}}</h3>
                            <div class="ellipsis_overflow" title="{{CompanyName}}">{{CompanyName}}</div>
                            <div class="ellipsis_overflow" title="{{UserEmail}}"><a href="mailto:{{UserEmail}}">{{UserEmail}}</a></div>
                            <span title="Phone">{{Phone}}</span>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="user-col col-md-3 add-left-space">
                    <b><?php _e('Account', 'opendrive') ?></b><br>
                    <table class="panel-table">
                        <tr>
                            <td><?php _e('User ID', 'opendrive') ?>:</td>
                            <td>{{UserID}}</td>
                        </tr>
                        <tr>
                            <td><?php _e('Reg IP', 'opendrive') ?>:</td>
                            <td>{{UserIP}}</td>
                        </tr>
                        <tr>
                            <td><?php _e('Since', 'opendrive') ?>:</td>
                            <td>{{SinceText}}</td>
                        </tr>
                        <tr>
                            <td><?php _e('Last login', 'opendrive') ?>:</td>
                            <td>{{LastLoginText}}, {{LastLoginIP}}</td>
                        </tr>
                    </table>
                    <div class="clearfix"></div>
                </div>
                <div class="user-col col-md-3 add-left-space">
                    <b><?php _e('Plan', 'opendrive') ?></b>
                    {{#if Suspended}}
                    <span class="suspended">({{SuspendedText}})</span>
                    {{/if}}

                    {{#if Trial}}
                    <span class="trial">(<?php _e('Trial', 'opendrive') ?>)</span><br>
                    {{/if}}
                    <div class="user-info">
                        <label><?php _e('Type', 'opendrive') ?>:</label> {{AccountTypeText}}<br>
                        <label><?php _e('Plan', 'opendrive') ?>:</label> <span class="ellipsis_overflow">
                            {{PlanText}}
                            {{#unless Level}}
                                ({{CloseReasonTextStatus}})
                            {{/unless}}
                        </span>
                        <label><?php _e('Users', 'opendrive') ?>:</label> {{AccountUsers}}<br>
                        <label><?php _e('Due', 'opendrive') ?>:</label> {{DueDateText}}<br>
                    </div>
                </div>

                <div class="user-col no-border col-md-3 add-left-space">
                    <b><?php _e('Usage', 'opendrive') ?></b><br>
                    <div class="user-info col-md-12 no-padding clearfix js-user-info">
                        {{> UserEditFormSpaceInfo}}
                    </div>
                </div>

</div>
<ul class="tab-heads">
    <li><a href="#" id="tab-profile" class="active js-userinfo-tab"><?php _e('Profile', 'opendrive') ?></a></li>
    {{#if FileInfo}}<li><a href="#" id="tab-fileinfo" class="js-userinfo-tab"><?php _e('Files', 'opendrive') ?></a></li>{{/if}}
    <li><a href="#" id="tab-users" class="js-userinfo-tab"><?php _e('Users', 'opendrive') ?></a></li>
    <li><a href="#" id="tab-logs" class="js-userinfo-tab"><?php _e('Logs', 'opendrive') ?></a></li>
    <?php do_action('od_extension_insert_item', 'admin_cards_tab')?>
    <?php do_action('od_extension_insert_item', 'admin_paypal_subscriptions_tab')?>
    <li><a href="#" id="tab-transactions" class="js-userinfo-tab"><?php _e('Transactions', 'opendrive') ?></a></li>
    <li><a href="#" id="tab-notes" class="js-userinfo-tab"><?php _e('Notes', 'opendrive') ?></a></li>
    <li><a href="#" id="tab-plans-history" class="js-userinfo-tab"><?php _e('Account history', 'opendrive') ?></a></li>
    <li><a href="#" id="tab-files-stat" class="js-userinfo-tab"><?php _e('Files stat (slow)', 'opendrive') ?></a></li>
</ul>
<div class="tabs_content clearfix">
    <div class="tab active" id="tab-profile-content">
        <form>
            <div class="col-md-6">
                <div class="row">
                    <h3 class="col-xs-12"><?php _e('User Details', 'opendrive') ?></h3>
                    <label for="admin-user-first-name"
                           class="col-md-3 col-sm-6"><?php _e('First Name', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-first-name" name="admin-user-first-name" value="{{UserFirstName}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-last-name" class="col-md-3 col-sm-6"><?php _e('Last Name', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-last-name" name="admin-user-last-name" value="{{UserLastName}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-username" class="col-md-3 col-sm-6"><?php _e('Username', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-username" name="admin-user-username" readonly value="{{UserName}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-company" class="col-md-3 col-sm-6"><?php _e('Company Name', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-company" name="admin-user-company" value="{{CompanyName}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-email" class="col-md-3 col-sm-6"><?php _e('Email', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-email" name="admin-user-email" value="{{UserEmail}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-phone" class="col-md-3 col-sm-6"><?php _e('Phone', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-phone" name="admin-user-phone" value="{{Phone}}">
                    </div>
                </div>


                <div class="row">
                    <label for="admin-user-weblink" class="col-md-3 col-sm-6"><?php _e('Web Link', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-weblink" name="admin-user-weblink" value="{{WebLink}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-password" class="col-md-3 col-sm-6"><?php _e('Password', 'opendrive') ?></label>

                    <div class="col-md-2 col-sm-6 no-padding">
                        <input type="password"
                                                                     autocomplete="off"
                                                                     id="admin-user-password"
                                                                     name="admin-user-password">
                    </div>

                    <label for="admin-user-repeat-password"
                           class="col-md-3 col-sm-6 col-md-offset-1 text-right"><?php _e('Repeat Password', 'opendrive') ?></label>

                    <div class="col-md-2 col-sm-6 no-padding"><input type="password"
                                                                     autocomplete="off"
                                                                     id="admin-user-repeat-password"
                                                                     name="admin-user-repeat-password">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-address-1" class="col-md-3 col-sm-6"><?php _e('Address 1', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-address-1" name="admin-user-address-1" value="{{Address1}}">
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-address-2" class="col-md-3 col-sm-6"><?php _e('Address 2', 'opendrive') ?></label>

                    <div class="col-md-8 col-sm-6 no-padding">
                        <input type="text" id="admin-user-address-2" name="admin-user-address-2" value="{{Address2}}">
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <a id="reset-secure-folders-password" class="blue-button inline-block-m" href="#"><?php _e('Reset Password for "Secure Files"', 'opendrive')?>'</a>
                        <a id="blacklist-user" class="blue-button inline-block-m fa fa-ban" href="#" title="<?php _e('Blacklist user', 'opendrive')?>"></a>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="row">
                    <h3><?php _e('Account Details', 'opendrive') ?></h3>
                    <label for="admin-user-account-type" class="col-md-3 col-sm-6 no-padding"><?php _e('Account type', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <select id="admin-user-account-type" name="admin-user-account-type">
                            <?php
                            if (sizeof(OpenDrive::i()->getConfigItem('account_type_array')) > 0) {
                                foreach (OpenDrive::i()->getConfigItem('account_type_array') as $type_key => $type_name) {
                                    ?>
                                    <option
                                    value="<?php esc_attr_e($type_key) ?>"><?php esc_html_e($type_name) ?></option><?php
                                }
                            }
                            ?>
                        </select>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-plan" class="col-md-3 col-sm-6 no-padding"><?php _e('Plan', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <select id="admin-user-plan" name="admin-user-plan">
                            <?php
                            if (sizeof(OpenDrive::i()->getConfigItem('plan_name_array')) > 0) {
                                foreach (OpenDrive::i()->getConfigItem('plan_name_array') as $plan_key => $plan_name) {
                                    if($plan_key >= $adminLevel) continue;
                                    ?>
                                    <option
                                    value="<?php esc_attr_e($plan_key) ?>"><?php echo $plan_name ?></option><?php
                                }
                            }
                            ?>
                        </select>
                        <span class="js-close_reason_label close-reason-label hidden"></span>
                    </div>
                    <input type="hidden" class="js-close_reason_value" name="close_reason" value="{{ClosedReason}}">
                </div>

                <div class="row">
                    <label class="col-md-3 col-sm-6 no-padding"><?php _e('Suspended', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-4 col-sm-4 no-padding">
                            <input type="radio" name="admin-user-suspended" id="admin-user-suspended-yes" value="1" {{#if Suspended}}checked{{/if}}>
                            <label class="radio-label" for="admin-user-suspended-yes"><?php _e('Yes', 'opendrive') ?></label>
                            <input type="radio" name="admin-user-suspended" id="admin-user-suspended-no" value="0" {{#unless Suspended}}checked{{/unless}}>
                            <label class="radio-label" for="admin-user-suspended-no"><?php _e('No', 'opendrive') ?></label>
                        </div>
                        <div class="col-md-8 col-sm-8 no-padding">
                            <label class="col-md-5"><?php _e('Trial', 'opendrive') ?>:</label>
                            <input type="radio" name="admin-user-trial" id="admin-user-trial-yes" value="1" {{#if Trial}}checked{{/if}}>
                            <label class="radio-label" for="admin-user-trial-yes"><?php _e('Yes', 'opendrive') ?></label>
                            <input type="radio" name="admin-user-trial" id="admin-user-trial-no" value="0" {{#unless Trial}}checked{{/unless}}>
                            <label class="radio-label" for="admin-user-trial-no"><?php _e('No', 'opendrive') ?></label>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label class="col-md-3 col-sm-6 no-padding"><?php _e('File versioning', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-4 col-sm-4 no-padding">
                            <input type="radio" name="admin-user-fversioning" id="admin-user-fversioning-on" value="1" {{#if FVersioning}}checked disabled{{/if}}>
                            <label class="radio-label" for="admin-user-fversioning-on"><?php _e('Yes', 'opendrive') ?></label>
                            <input type="radio" name="admin-user-fversioning" id="admin-user-fversioning-off" value="0" {{#unless FVersioning}}checked{{/unless}} {{#if FVersioning}}disabled{{/if}}>
                            <label class="radio-label" for="admin-user-fversioning-off"><?php _e('No', 'opendrive') ?></label>
                        </div>
                        <div class="col-md-8 col-sm-8 no-padding">
                            <label class="col-sm-5" for="admin-user-file-versions"><?php _e('File versions', 'opendrive') ?>:</label>
                            <div class="col-sm-7 no-padding">
                                <input {{#unless FVersioning}}disabled{{/unless}} type="number" min="0" max="10" step="1" id="admin-user-file-versions" value="{{FVersions}}">
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-space"
                           class="col-md-3 col-sm-6 no-padding"><?php _e('Space', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-6 no-padding">
                            <div class="col-xs-8 no-left-padding">
                                <input id="admin-user-space" name="admin-user-space"
                                       type="number"
                                       min="1" max="1024" step="1" value="{{MaxStorageInfo.value}}" size="5">
                            </div>
                            <div class="col-xs-4 no-padding">
                                <select id="admin-user-space-unit" class="spinner-units">
                                    <option value="MB"><?php _e('MB', 'opendrive') ?></option>
                                    <option value="GB"><?php _e('GB', 'opendrive') ?></option>
                                    <option value="TB"><?php _e('TB', 'opendrive') ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 no-padding">
                            <label for="admin-user-file-size" class="col-xs-6 text-right"><?php _e('Max File Size', 'opendrive') ?>:</label>

                            <div class="col-xs-6 no-padding">
                                <input class="" type="text" id="admin-user-file-size" data-size="" readonly/>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-bw"
                           class="col-md-3 col-sm-6 no-padding"><?php _e('Bandwidth', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-6 no-padding">
                            <div class="col-xs-8 no-left-padding">
                                <input id="admin-user-bw" name="admin-user-bw" type="number"
                                       min="1" max="1024" step="1" value="{{BwInfo.value}}" size="5">
                            </div>
                            <div class="col-xs-4 no-padding">
                                <select id="admin-user-bw-unit" class="spinner-units">
                                    <option value="MB"><?php _e('MB', 'opendrive') ?></option>
                                    <option value="GB"><?php _e('GB', 'opendrive') ?></option>
                                    <option value="TB"><?php _e('TB', 'opendrive') ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-bw-period" class="col-md-3 col-sm-6 no-padding"><?php _e('BW Reset Period', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-6 no-padding">
                            <div class="col-xs-8 no-left-padding">
                                <input id="admin-user-bw-period" name="admin-user-bw-period"
                                       type="number" min="1" max="1024" step="1" value="{{BWResetPeriod}}">
                            </div>
                            <div class="col-xs-4 no-padding">
                                <?php _e('days', 'opendrive') ?>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-account-users" class="col-md-3 col-sm-6 no-padding"><?php _e('Account users', 'opendrive') ?>:</label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-6 no-padding">
                            <input id="admin-user-account-users"
                                   name="admin-user-account-users"
                                   type="number" min="1" max="1024" step="1" value="{{AccountUsers}}"
                                   size="5">
                        </div>
                    </div>
                </div>

                <div class="row">
                    <label for="admin-user-billing-date_{{UserID}}"
                           class="col-md-3 col-sm-6 no-padding"><?php _e('Billing Date', 'opendrive') ?>: </label>

                    <div class="col-md-9 col-sm-6 no-padding">
                        <div class="col-md-6 no-padding">
                            <div class="col-xs-9 no-left-padding">
                                <div class="datepicker-wrapper"><input type="text"
                                                                       id="admin-user-billing-date_{{UserID}}"
                                                                       class="js-withdatepicker"
                                                                       value="{{DueDateText}}"
                                                                       name="admin-user-billing-date">
                                </div>
                            </div>
                            <div class="col-xs-3 no-padding">
                                <a class="btn-inline-box js-reset-billing-date reset-billing-date
														 cancel-btn no-left-padding no-right-padding"><?php _e('Reset', 'opendrive') ?></a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="clearfix"></div>
            <div class="col-md-12">
                <a id="save-admin-user-btn" class="blue-button inline-block-m" href="#"><?php _e('Save Changes', 'opendrive') ?></a>
            </div>
        </form>
    </div>
    {{#if FileInfo}}
        {{> FileInfoTab}}
    {{/if}}
    <div class="tab" id="tab-users-content" data-type="account-users"></div>
    <div class="tab" id="tab-logs-content" data-type="user-logs">
        <div class="container-fluid">
            <?php
            $log_types = OpenDrive::i()->getConfigItem('log_type');
            ?>
            <form method="POST" id="activity-logs-form">
                <label for="activity_start_date_{{UserID}}"><?php _e('Start Date', 'opendrive') ?></label>
                <label for="activity_end_date_{{UserID}}"><?php _e('End Date', 'opendrive') ?></label>
                <label for="activity_log_type"><?php _e('Log Type', 'opendrive') ?></label>

                <div class="clearfix"></div>
                <div class="datepicker-wrapper">
                    <input type="text" class="js-withdatepicker" id="activity_start_date_{{UserID}}" value="<?php esc_attr_e(date('M d, Y', strtotime('-1 day'))) ?>">
                </div>
                <div class="datepicker-wrapper">
                    <input type="text" class="js-withdatepicker" id="activity_end_date_{{UserID}}" value="<?php esc_attr_e(date('M d, Y')) ?>">
                </div>

                <select name="activity_log_type" id="activity_log_type">
                    <option value="0"><?php _e('All', 'opendrive') ?></option>
                    <?php foreach ($log_types as $type_id => $type_name): ?>
                        <option value="<?php esc_attr_e($type_id) ?>"><?php esc_html_e($type_name) ?></option>
                    <?php endforeach ?>
                </select>
                <a href="#" class="blue-button" id="admin-show-logs-btn"><?php _e('Show Logs', 'opendrive') ?></a>
                <div class="clearfix"></div>
            </form>
        </div>
        <div class="clearfix"></div>
        <div id="account-users-logs">
            <div class="container-fluid"><?php _e('Loading', 'opendrive') ?> ...</div>
        </div>
    </div>
    <div class="tab" id="tab-transactions-content" data-type="transactions">
        <div class="transactions-list js-transactions-list col-md-12 col-sm-12">
            <?php _e('Loading', 'opendrive') ?> ...
        </div>
    </div>
    <div class="tab" id="tab-notes-content" data-type="notes">
        <div class="col-md-12">
            <div class="page-buttons">
                <a class="blue-button" href="#" id="admin-add-note-btn"><?php _e('Add New', 'opendrive') ?></a>
                <div class="clearfix"></div>
                <div id="add-new-note">
                    <textarea id="new_note_text" class="col-md-6 col-sm-12"></textarea>
                    <div class="clearfix"></div>
                    <a class="blue-button" href="#" id="admin-save-note-btn"><?php _e('Save Note', 'opendrive') ?></a>
                    <a class="cancel-btn white-button" href="#" id="admin-cancel-note-btn"><?php _e('Cancel', 'opendrive') ?></a>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <div id="account-users-notes">
            <div class="col-md-12"><?php _e('Loading', 'opendrive') ?> ...</div>
        </div>
    </div>
    <div class="tab" id="tab-plans-history-content" data-type="account-history">
        <div id="plans-history-list">
            <div class="history-list col-md-12 col-sm-12 js-plans-history-list">
                <?php _e('Loading', 'opendrive') ?> ...
            </div>
        </div>
    </div>
    <?php do_action('od_extension_insert_item', 'admin_cards_tab_content')?>
    <?php do_action('od_extension_insert_item', 'admin_paypal_list_tab_content')?>
    <div class="tab" id="tab-files-stat-content" data-type="files-stat">
        <div class="history-list col-sm-12 js-list"><?php _e('Loading', 'opendrive') ?> ...</div>
    </div>
</div>
</div>
</div>
</script>

<script type="text/x-handlebars-template" data-name="UserEditFormSpaceInfo" data-partial="1">
<div class="space-bar clearfix">
    <div class="col-md-1 no-padding"><i title="Space" class="fa fa-hdd-o"></i>
    </div>

    <div class="od-profile-bar col-md-9 no-left-padding">
        <div title="{{MaxStorageText}}" class="od-profile-bar-info">{{MaxStorageText}}</div>
        <div title="{{StorageUsedText}}" class="od-profile-bar-container">
            <label>{{StorageUsedText}}</label>
            <span style="width:{{space_width}}%" class="od-profile-bar-fill"></span>
        </div>
    </div>
    <div class="col-md-1 no-padding"><i class="fa fa-refresh usage-btn"
                                        title="<?php _e('Recalculate user space', 'opendrive') ?>"
                                        id="recalc-user-space-btn"></i></div>
    <div class="col-md-1 no-padding"><i class="fa fa-trash-o usage-btn "
                                        title="<?php esc_attr_e(sprintf(__('Remove files and folders trashed more than %u days ago', 'opendrive'), 30)) ?>"
                                        id="remove-trashed-90-files-btn"></i>
    </div>
</div>

<div class="downloads-bar clearfix">
    <div class="col-md-1 no-padding"><i title="<?php _e('Downloads', 'opendrive') ?>"
                                        class="fa fa-download"></i></div>
    <div class="od-profile-bar col-md-9 no-left-padding">
        <div title="{{BwMaxText}}" class="od-profile-bar-info">{{BwMaxText}}</div>
        <div title="{{BwUsedText}}" class="od-profile-bar-container">
            <label>{{BwUsedText}}</label>
            <span style="width:{{downloads_width}}%" class="od-profile-bar-fill"></span>
        </div>
    </div>
    <div class="col-md-1 no-padding"><i class="fa fa-refresh usage-btn"
                                        title="<?php _e('Reset BW', 'opendrive') ?>"
                                        id="reset-user-bw-btn"></i></div>
    <div class="col-md-1 no-padding">&nbsp;</div>
</div>

<div class="row">
    <div class="col-sm-6 no-wrap ellipsis_overflow no-right-padding" title="Files: {{FilesCount}}">
        <i title="Files" class="fa fa-file-o" style="color: #999999;"></i>
        <?php _e('Files', 'opendrive') ?>: {{FilesCount}}
    </div>
    <div class="col-sm-5 ellipsis_overflow text-right no-right-padding" title="Folders: {{FoldersCount}}">
        <i title="Folders" class="fa fa-folder-o" style="color: #999999;"></i>
        <?php _e('Folders', 'opendrive') ?>: {{FoldersCount}}
    </div>
</div>
<div class="row">
    <div class="col-sm-8 ellipsis_overflow no-right-padding no-wrap">
        <label><?php _e('Last BW Reset', 'opendrive') ?>:</label>&nbsp;<span>{{{LastBwResetText}}}</span>
    </div>
    <div class="col-sm-3 ellipsis_overflow text-right no-right-padding">
        <?php _e('Table', 'opendrive') ?>: {{TableNo}}
    </div>
</div>
</script>

<script type="text/x-handlebars-template" data-name="UserEditFormNotes">
<div class="notes settings col-md-12 col-sm-12">
    {{#if Notes}}
    <div class="settings-row col-md-12 heading-row">
        <div class="col-md-3">
            <h3><?php _e('Date', 'opendrive') ?></h3>
        </div>
        <div class="col-md-7">
            <h3><?php _e('Note', 'opendrive') ?></h3>
        </div>
        <div class="col-md-2">
            <h3><?php _e('Admin', 'opendrive') ?></h3>
        </div>
    </div>
    {{#each Notes}}
        <div class="settings-row col-md-12">
            <div class="col-md-3">
                {{note_time}}
            </div>
            <div class="col-md-7 no-text-overflow" title="{{note_text}}">
                <div class="ellipsis_overflow">{{note_text}}</div>
            </div>
            <div class="col-md-2">
                {{admin}}
            </div>
        </div>
    {{/each}}
    {{else}}
        <div class="col-md-12 no-items-found"><?php _e('No items found', 'opendrive') ?>.</div>
    {{/if}}
    <div class="clearfix"></div>
</div><!-- users-->

</script>

<script type="text/x-handlebars-template" data-name="FileInfoTab" data-partial="1">
    {{#with FileInfo}}
    <div class="tab" id="tab-fileinfo-content">
        <div class="container-fluid">
            <table class="table od-table va-middle">
                <thead>
                <tr>
                    <th><?php _e('ID', 'opendrive') ?></th>
                    <th><?php _e('File Name', 'opendrive') ?> / <?php _e('Path', 'opendrive')  ?></th>
                    <th><div><?php _e('File Size [Server, DB]', 'opendrive') ?></div><?php _e('Backup Size', 'opendrive') ?></th>
                    <th><?php _e('Uploaded', 'opendrive') ?> / <?php _e('Modified', 'opendrive') ?></th>
                    <th><?php _e('D/L', 'opendrive') ?></th>
                    <th><?php _e('Permission', 'opendrive') ?></th>
                    <th><div><?php _e('Location', 'opendrive') ?></div><?php _e('Backup Location', 'opendrive') ?></th>
                    <th><?php _e('Trashed', 'opendrive') ?></th>
                    <th><?php _e('Action', 'opendrive') ?></th>
                </tr>
                </thead>
                <tbody>
                <tr {{#if_gt DateDeleted 0}}class="gray-color"{{/if_gt}}>
                    <td>{{ID}}</td>
                    <td class="file-name">
                        <div class="ellipsis_overflow" title="{{Name}}">{{Name}}</div>
                        <div class="ellipsis_overflow" title="{{Path}}">{{Path}}</div>
                    </td>
                    <td>
                        <div>
                            {{#if SrcOnline}}
                            <i style="color: #3c763d" class="fa fa-check-circle-o" title="<?php _e('File is Online and Accessible', 'opendrive') ?>"></i>
                            <span title="<?php _e('Physical size', 'opendrive') ?> {{SrcSize}} B">{{SrcSizeText}}</span>
                            {{else}}
                            <div class="fa fa-minus-circle error-color" title="<?php _e('Unable to access the file', 'opendrive') ?>"></div>
                            {{/if}}
                            &nbsp;&nbsp;
                            <i class="fa fa-database" title="<?php _e('File Size in DB', 'opendrive') ?>"></i>
                            <span title="{{SizeDB}} B">{{SizeDBText}}</span>
                            {{#if Compressed}}&nbsp;<i style="color: #999" class="fa fa-file-archive-o" title="<?php _e('File is compressed', 'opendrive') ?>"></i>{{/if}}
                            {{#if Encrypted}}&nbsp;<i style="color: #999" class="fa fa-lock" title="<?php _e('File is encrypted', 'opendrive') ?>"></i>{{/if}}
                        </div>
                        {{#if BackLocation}}
                            {{#if BackOnline}}
                                <i style="color: #3c763d" class="fa fa-check-circle-o" title="<?php _e('File Backup is Online and Accessible', 'opendrive') ?>"></i>
                            {{else}}
                                <i class="fa fa-minus-circle error-color" title="Unable to access the file backup"></i>
                            {{/if}}
                        <span title="{{BakSize}} B">{{BakSizeText}}</span>
                        {{else}}
                        No Backup
                        {{/if}}
                    </td>
                    <td>
                        <div>{{DateUploadedText}}</div>
                        <div>{{DateModifiedText}}</div>
                        <span title="<?php _e('File Source', 'opendrive') ?> / <?php _e('IP-address', 'opendrive') ?>">{{App}} / {{FileIP}}</span></td>
                    <td>{{Downloads}}</td>
                    <td>{{Public}}</td>
                    <td>
                        <table>
                            <tr>
                                <td>{{SrcLocation}}</td>
                                <td rowspan="2">{{#if_ne References null}}<span style="padding-left: 1em" title="<?php _e('File deduplication references', 'opendrive') ?>">({{References}})</span>{{/if_ne}}</td>
                            </tr>
                            <tr>
                                <td>{{#if BackLocation}}{{BackLocation}}{{else}}-{{/if}}</td>
                                <td></td>
                            </tr>
                            {{#if Hash}}
                            <tr>
                                <td>MD5 = {{Hash}}</td>
                            </tr>
                            {{/if}}
                        </table>
                    </td>
                    <td>
                        {{#if DateDeleted}}
                        {{#if_eq DateDeleted 1}}
                        <?php _e('Permanently (queued to unlink)', 'opendrive') ?>
                        {{else}}
                        {{DateDeletedText}}
                        {{/if_eq}}
                        {{/if}}
                    </td>
                    <td>
                        {{#if Blocked}}
                            <i class="fa fa-eye-slash error-color icon-status small" title="<?php _e('File is blocked from public access', 'opendrive') ?>"></i>
                        {{else}}
                            <a class="fa fa-eye-slash icon-action  small js-block-file" href="#" title="<?php _e('Block for public', 'opendrive') ?>"></a>
                        {{/if}}
                        {{#if Blacklisted}}
                            <i class="fa fa-flag error-color icon-status small" title="<?php _e('File is blacklisted and trashed', 'opendrive') ?>"></i>
                        {{else}}
                            <a class="fa fa-flag icon-action small js-blacklist-file" href="#" title="<?php _e('Blacklist and trash', 'opendrive') ?>"></a>
                        {{/if}}
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
    {{/with}}
</script>
<script type="text/x-handlebars-template" data-name="StatsFileList">
{{#if List}}
    <table class="table od-table va-middle">
        <thead>
        <tr>
            <th style="width: 20ch"><?php _e('Extension', 'opendrive')?></th>
            <th><?php _e('Summary size', 'opendrive')?></th>
        </tr>
        </thead>
        <tbody>
        {{#each List}}
        <tr>
            <td>{{Ext}}</td>
            <td>{{Size}}</td>
        </tr>
        {{/each}}
        </tbody>
    </table>
<p><?php _e('Only top 30 file extensions are displayed', 'opendrive')?></p>
{{else}}
<div class="col-md-12 no-items-found"><?php _e('No files found', 'opendrive')?></div>
{{/if}}
</script>
<?php do_action('od_extension_insert_item', 'admin_cards_tab_template')?>
<?php do_action('od_extension_insert_item', 'admin_paypal_list_tab_template')?>