<?php
if (!defined('ABSPATH')) exit;

$user_info = OpenDrive::i()->getUserInfo();
if ($user_info) {
    $space_used = $user_info->MaxStorage > 0 ? ceil(($user_info->StorageUsed/1024/1024) * 100 / $user_info->MaxStorage) : 0;
    $bw_used = $user_info->BwMax > 0 ? ceil(($user_info->BwUsed/1024/1024) * 100 / $user_info->BwMax) : 0;
    if ( $space_used > 100) $space_used = 100;
    if ( $bw_used > 100) $bw_used = 100;

    $storage_text = od_size_format($user_info->MaxStorage*1024*1024);
    $used_text = od_size_format($user_info->BwMax*1024*1024);

    ?>
    <div class="bar-wrapper ">
        <?php
        if (!isset($bw_used)) $bw_used = 0;
        if (in_array($user_info->Level, array(10, 11, 12, 13))) {
            $bw_used_text = size_format($user_info->BwUsed, 2);
            if (!$bw_used_text) $bw_used_text = '0 ' . __('MB', 'opendrive');
        } else {
            $bw_used_text = $bw_used . '%';
        }
        ?>
        Bandwidth Usage <b><?php echo $bw_used_text ?></b>

        <div class="bar" id="bandwidth-bar"
             title="<?php _e('Downloads per day', 'opendrive') //echo size_format($user_info->BwUsed, 2).' of '.$used_text.' used';?>">
            <div class="bar-inner <?php if ($bw_used == 100) echo 'full-bar'; ?>"
                 style="width: <?php echo $bw_used ?>%"></div>
        </div>
    </div>

    <div class="bar-wrapper">
        <?php
        if (!isset($space_used)) $space_used = 0;
        if (in_array($user_info->Level, array(10, 11, 12, 13))) {
            $space_used_text = size_format($user_info->StorageUsed, 0);
            if (!$space_used_text) $space_used_text = '0 ' . __('MB', 'opendrive');
        } else {
            $space_used_text = $space_used . '%';
        }
        ?>
        Space Usage <b><?php echo $space_used_text ?></b>

        <div class="bar" id="space-bar"
             title="<?php _e('Storage space', 'opendrive') //echo size_format($user_info->StorageUsed, 2).' of '.$storage_text.' used';?>">
            <div class="bar-inner <?php if ($space_used == 100) echo 'full-bar'; ?>"
                 style="width: <?php echo $space_used ?>%"></div>
        </div>
    </div>
<?php } ?>