<?php
if (!defined('ABSPATH')) exit;

if (defined('OD_DEBUG_API_PROFILER')): ?>
    <?php $apiLogs = OpenDrive::i()->apiClient()->get_api_requests();
        if (!is_array($apiLogs)) $apiLogs = array();
        $apiLogsExt = apply_filters('od_extension_get_api_calls', null);
        $apiCallTime = 0;
        if (is_array($apiLogsExt)) $apiLogs = array_merge($apiLogs, $apiLogsExt);
        foreach ($apiLogs as $log) $apiCallTime += $log['time'];
        global $timestart;
        $WPExecTime = round(microtime(true) - $timestart, 3);
    ?>
    <div style="position: fixed;color: #000000; right: 0;bottom: 0;max-height: 50%;max-width:85%;overflow-y: scroll; z-index: 1000">
        <div class="text-right">
            <span class="pull-left js-profile-bar" style="display: none">
                <b>Plugin exec time:</b> <?php echo OpenDrive::i()->getExecTime()?> s
                <b>API Calls:</b> <?php echo $apiCallTime?> s
                <b>WP exec time:</b> <?php echo $WPExecTime?> s
            </span>
            <a href="#" class="js-profiler-window"><i class="fa fa-bug"></i></a>
        </div>
        <?php
        if (!empty($apiLogs)) {
            ?>
            <table class="js-profiler-console table table-condensed" style="background: #eee; display: none">
                <tr>
                    <th>Time (s)</th>
                    <th style="text-align: center">Method</th>
                    <th>Url</th>
                    <th>Code</th>
                </tr>
                <?php
                foreach ($apiLogs as $log) {
                    ?>
                    <tr>
                        <td><?php esc_html_e($log['time']) ?></td>
                        <td><?php esc_html_e(strtoupper($log['method'])) ?></td>
                        <td><a target="_blank" href="<?php esc_attr_e(OpenDrive::i()->getAPIUrl() . $log['url']) ?>"><?php esc_html_e($log['url']) ?></a></td>
                        <td><?php esc_html_e($log['code']) ?></td>
                    </tr>

                    <?php
                }
                ?>
            </table>
            <?php
        }
        ?>
    </div>
    <script>
        (function ($) {
            $(function () {
                $('.js-profiler-window').click(function () {
                    $('.js-profiler-console, .js-profile-bar').toggle();
                    return false;
                });
            })
        })(jQuery)
    </script>
<?php endif; ?>