<?php
if (!defined('ABSPATH')) exit;



$notepads = $params['notepads'];
$selected_notepad = $params['selected_notepad'];
$trashed_notepad_id = ( isset($params['trashed_notepad_id']) ) ? $params['trashed_notepad_id'] : false ;
$archived_notepad_id = ( isset($params['archived_notepad_id']) ) ? $params['archived_notepad_id'] : false ;

if ( sizeof($notepads) > 0 )
{
	foreach ( $notepads as $one_notepad ) {
		if ($is_trash)
		{
			$notepad_link = '/notes/trash/' . $one_notepad->NotepadId;
		}
		elseif ($is_archive)
		{
			$notepad_link = '/notes/archive/' . $one_notepad->NotepadId;
		}
		else
		{
			$notepad_link = '/notes/' . $one_notepad->NotepadId;
		}

		?>
		<li id="notepad-<?php echo $one_notepad->NotepadId;?>" data-notepadid="<?php echo $one_notepad->NotepadId;?>" class="<?php if ( $selected_notepad == $one_notepad->NotepadId || $trashed_notepad_id === $one_notepad->NotepadId || $archived_notepad_id === $one_notepad->NotepadId ) echo 'active';?> item notepad-item dropdown droppable ui-droppable">
			<a title="<?php echo esc_html($one_notepad->Name);?>" class="od_root_notepads" href="<?php echo $notepad_link?>">
				<i class="fa fa-sticky-note"></i>
				<span class="pull-left notepad-name ellipsis_overflow"><?php echo esc_html($one_notepad->Name);?></span>
				<div class="pull-left js-notelists-count">&nbsp;
					<?php if(isset($one_notepad->NotelistCount) && $one_notepad->NotelistCount):?>
					(<?php echo intval($one_notepad->NotelistCount);?>)
					<?php endif;?>
				</div>
				<div class="clearfix"></div>
			</a>
			<i data-toggle="dropdown" class="fa fa-bars js-item-menu-btn dropdown-toggle" aria-label="<?php _e('Open Notepad Menu', 'opendrive') ?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
			<i class="fa fa-refresh fa-spin loading-icon"></i>
				<ul class="notepad-menu dropdown-menu dropdown-menu-right">
					<?php
					if ( $is_trash )
					{
						?>
						<li><a class="contex-notepad-restore-trashed" href="#"><?php _e('Restore', 'opendrive') ?></a></li>
						<li><a class="context-notepad-remove orange-text" href="#"><?php _e('Remove', 'opendrive') ?></a></li>
						<?php
					}
					else if ( $is_archive )
					{
						?>
						<li><a class="contex-notepad-restore-archived" href="#"><?php _e('Restore', 'opendrive') ?></a></li>
						<li><a class="context-notepad-trash orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
						<?php
					}
					else
					{
						?>
						<li><a class="contex-notepad-rename" href="#"><?php _e('Rename', 'opendrive') ?></a></li>
						<li><a class="contex-notepad-achive" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
						<li><a class="context-notepad-trash orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
						<?php
					}
					?>
				</ul>
		</li>
		<?php
	}
}
?>