<?php
if (!defined('ABSPATH')) exit;

$projectLists = $params['project_lists'];
$filter = $params['filter'];
$selectedProjectList = $params['selected_project_list'];
if(is_array($projectLists))
    foreach ($projectLists as $projectsList) {
    ?>
    <li data-projectlistid="<?php echo $projectsList->ProjectListId ?>"
        class="<?php if ($selectedProjectList == $projectsList->ProjectListId) echo 'active'; ?>
        <?php if (!$projectsList->Projects) echo 'without-projects'; ?>
        js-project-list-item item dropdown collapsed-list">
        <a href="#" data-toggle="slidetoggle"
           class="expand-project-list fa fa-caret-right od-font-color od-font-color-hover"
           data-target=".js-project-list-collapse-<?php echo $projectsList->ProjectListId ?>"
           data-parent-item=".js-project-list-item">
        </a>
        <a href="#" data-toggle="slidetoggle" class="expand-project-list fa fa-caret-down od-font-color od-font-color-hover"
           data-target=".js-project-list-collapse-<?php echo $projectsList->ProjectListId ?>"
           data-parent-item=".js-project-list-item">
        </a>

        <a title="<?php esc_attr_e($projectsList->Name); ?>"
           class="ellipsis_overflow project-list-name js-project-list-name with-placeholder"
           href="/tasks/project-list/<?php esc_attr_e($projectsList->ProjectListId); ?>" data-toggle="slidetoggle"
           data-target=".js-project-list-collapse-<?php echo $projectsList->ProjectListId ?>"
           data-parent-item=".js-project-list-item"
           placeholder="<?php _e('Project list Name', 'opendrive') ?>"
           data-maxlength="255"><?php esc_html_e($projectsList->Name); ?></a>

        <?php if($user_info && !$user_info->AccessUserID):?>
            <i data-toggle="dropdown" class="fa fa-bars js-item-menu-btn dropdown-toggle" aria-label="<?php _e('Open Project List Menu', 'opendrive') ?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
            <ul class="dropdown-menu dropdown-menu-right">
                <?php if(!$filter):?>
                    <li><a class="js-add-project" href="#"><?php _e('Add project', 'opendrive') ?></a></li>
                    <li><a class="js-rename-project-list" href="#"><?php _e('Rename', 'opendrive') ?></a></li>
                    <li><a class="js-archive-project-list" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
                    <li><a class="js-trash-project-list orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
                <?php endif;?>

                <?php if($filter == 'trash'):?>
                    <li><a class="js-archive-project-list" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
                <?php endif;?>

                <?php if($filter == 'archive'):?>
                    <li><a class="js-trash-project-list orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
                <?php endif;?>
            </ul>
        <?php endif;?>

        <div
            class="project-list-collapse js-project-list-collapse js-project-list-collapse-<?php echo $projectsList->ProjectListId ?>">
            <?php foreach ($projectsList->Projects as $project): ?>
                <div class="project-name-container js-project-name-container">
                    <a class="od-font-color od-font-color-hover ellipsis_overflow project-name js-project with-placeholder"
                       title="<?php esc_attr_e($project->ProjectName); ?>"
                       data-projectid="<?php echo $project->ProjectId ?>"
                       <?php if(isset($project->Trashed)): ?>data-trashed="<?php echo $project->Trashed?>"<?php endif;?>
                       <?php if(isset($project->Archived)): ?>data-archived="<?php echo $project->Archived?>"<?php endif;?>
                       placeholder="<?php _e('Project Name', 'opendrive') ?>"
                       href="/tasks/project/<?php echo $project->ProjectId ?>"><?php esc_html_e($project->ProjectName) ?>
                    </a>
                    <i data-toggle="dropdown" class="fa fa-bars js-item-menu-btn dropdown-toggle" aria-label="<?php _e('Open Project Menu', 'opendrive') ?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
                    <ul class="dropdown-menu dropdown-menu-right">
                        <?php if (!$filter && !isset($project->Trashed) && !isset($project->Archived) ||
                            isset($project->Trashed) && !$project->Trashed &&
                            isset($project->Archived) && !$project->Archived
                         ): ?>
                            <li><a class="js-rename-project" href="#"><?php _e('Rename', 'opendrive') ?></a></li>
                        <?php endif; ?>
                        <?php if ( $filter != 'archive' && (!isset($project->Archived) || !$project->Archived)): ?>
                            <li><a class="js-archive-project" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
                        <?php endif; ?>
                        <?php if ( $filter != 'trash' && (!isset($project->Trashed) || !$project->Trashed)): ?>
                            <li><a class="js-trash-project orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            <?php endforeach; ?>
        </div>
    </li>
    <?php
}