<script type="text/x-handlebars-template" data-name="BreadCrumbs">
    <a href="/tasks"><?php _e('Tasks', 'opendrive') ?></a>
    {{#if ProjectListId}}
        <a href="/tasks/project-list/{{ProjectListId}}">{{ProjectList}}</a>
    {{/if}}

    {{#if ProjectId}}
        <a href="/tasks/project/{{ProjectId}}">{{Project}}</a>
    {{/if}}

    {{#if TaskId}}
        <a href="/tasks/{{TaskId}}">{{Task}}</a>
    {{/if}}
    {{#if Overview}}
        <a href="/tasks"><?php _e('Overview', 'opendrive') ?></a>
    {{/if}}
</script>

<script type="text/x-handlebars-template" data-name="NewProjectList">
<li data-projectlistid="{{ProjectListId}}" class="js-project-list-item without-projects item dropdown">
    <a href="#" data-toggle="slidetoggle"
           class="expand-project-list fa fa-caret-right od-font-color od-font-color-hover"
           data-target=".js-project-list-collapse-{{ProjectListId}}"
           data-parent-item=".js-project-list-item">
        </a>
    <a href="#" data-toggle="slidetoggle" class="expand-project-list fa fa-caret-down od-font-color od-font-color-hover"
       data-target=".js-project-list-collapse-{{ProjectListId}}"
       data-parent-item=".js-project-list-item">
    </a>
    <a title="{{Name}}"
       class="ellipsis_overflow project-list-name js-project-list-name with-placeholder"
       href="/tasks/project-list/{{ProjectListId}}" data-toggle="slidetoggle"
       data-target=".js-project-list-collapse-{{ProjectListId}}"
       data-parent-item=".js-project-list-item"
       placeholder="<?php _e('Project list Name', 'opendrive') ?>"
       data-maxlength="255">{{Name}}</a>
    <i data-toggle="dropdown" class="fa fa-bars js-item-menu-btn dropdown-toggle" aria-label="Open Project List Menu" role="button" aria-haspopup="true" aria-expanded="false"></i>
    <ul class="dropdown-menu dropdown-menu-right">
        <li><a class="js-add-project" href="#"><?php _e('Add project', 'opendrive') ?></a></li>
        <li><a class="js-rename-project-list" href="#"><?php _e('Rename', 'opendrive') ?></a></li>
        <li><a class="js-archive-project-list" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
        <li><a class="js-trash-project-list orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
    </ul>
    <div class="project-list-collapse js-project-list-collapse js-project-list-collapse-{{ProjectListId}}">
    </div>
</li>

</script>

<script type="text/x-handlebars-template" data-name="TaskListHeader">
    {{#if TasksCount}}<div class="items-count">{{TasksCount}} <?php echo _n('task', 'tasks', 'opendrive') ?></div>{{/if}}
</script>

<script type="text/x-handlebars-template" id="new-project-template" data-name="NewProject">
    <div class="project-name-container js-project-name-container">
        <a class="od-font-color od-font-color-hover ellipsis_overflow project-name js-project with-placeholder" data-projectid="{{ProjectId}}" title="{{Name}}" href="/tasks/project/{{ProjectId}}" data-maxlength="255" placeholder="<?php _e('Project Name', 'opendrive') ?>">{{Name}}</a>
        <i data-toggle="dropdown" class="fa fa-bars js-item-menu-btn dropdown-toggle" aria-label="<?php _e('Open Project Menu', 'opendrive') ?>" role="button" aria-haspopup="true" aria-expanded="false"></i>
        <ul class="dropdown-menu dropdown-menu-right">
            <li><a class="js-rename-project" href="#"><?php _e('Rename', 'opendrive') ?></a></li>
            <li><a class="js-archive-project" href="#"><?php _e('Archive', 'opendrive') ?></a></li>
            <li><a class="js-trash-project orange-text" href="#"><?php _e('Trash', 'opendrive') ?></a></li>
        </ul>
    </div>
</script>

<script type="text/x-handlebars-template" data-partial="1" data-name="Task">
    <div class="task clearfix js-task
            {{#if_eq Status 'completed'}}completed-item{{/if_eq}}"
         style="background-color: #{{Color}}" data-bgcolor="{{Color}}" data-taskid="{{TaskId}}" data-link="{{Link}}" data-private="{{Private}}">
        <div class="task-completed-line"></div>
        <div class="col-md-7 col-sm-7">
            <div class="task-info">
                <tr>

                    <span class="task-name-container js-task-name-container">

                        <span class="task-actions">
                            <div class="font-checkbox not-selectable">
                                <input id="task-{{TaskId}}" type="checkbox"
                                       {{#if_eq Status 'completed'}}checked{{/if_eq}}
                                class="js-task-complete-checkbox nice-checkbox" value="">
                                <label for="task-{{TaskId}}" title="<?php _e('Complete this Task', 'opendrive') ?>">
                                    <i class="fa" role="checkbox" aria-checked="false" aria-label="<?php _e('Complete this Task', 'opendrive') ?>"></i>
                                </label>
                            </div>
                            <span class="task-number">[{{Number}}]</span>
                            <!--a class="fa fa-arrows js-move-task icon-color inline-block-m draggable-hidden move-task" title="<?php _e('Move this Task', 'opendrive') ?>" href="#" role="link" aria-label="<?php _e('Move this Task', 'opendrive') ?>"></a-->
                        </span>

                            <div class="task-name" title="{{Name}}">
                                <span href="/tasks/{{TaskId}}" class="ellipsis_overflow js-task-name with-placeholder" placeholder="<?php _e('Task Name', 'opendrive') ?>" data-maxlength="255">{{Name}}</span>
                            </div>
                            <div class="draggable-hidden" style="clear: both">

                                <div class="task-manage-actions">
                                    {{#if_eq AccessMode 1}}
                                        {{#if_or Archived Trashed}}
                                            <a class="fa fa-undo js-restore-task icon-color" title="<?php _e('Restore the Task', 'opendrive') ?>" href="#"></a>
                                        {{/if_or}}

                                        {{#unless Archived}}
                                            {{#unless Trashed}}
                                                <a class="fa fa-pencil js-edit-task-name icon-color" title="<?php _e('Edit Task Name', 'opendrive') ?>" href="#" role="button" aria-label="<?php _e('Edit Task Name', 'opendrive') ?>"></a>
                                                <a class="fa fa-paint-brush js-set-task-color icon-color" title="<?php _e('Set Task color', 'opendrive') ?>" href="#" role="button" aria-label="<?php _e('Set Task color', 'opendrive') ?>"></a>
                                                <a class="fa fa-share-alt js-get-share-link icon-color" title="<?php _e('Share the Task', 'opendrive') ?>" href="#" role="button" aria-label="<?php _e('Share this Task', 'opendrive') ?>"></a>
                                            {{/unless}}

                                            <a class="fa fa-archive js-archive-task archive-task icon-color" title="<?php _e('Archive the Task', 'opendrive') ?>" href="#" role="button" aria-label="<?php _e('Archive the Task', 'opendrive') ?>"></a>
                                        {{/unless}}
                                        {{#unless Trashed}}
                                        <a class="fa fa-trash js-trash-task icon-color" title="<?php _e('Trash the Task', 'opendrive') ?>" href="#" role="button" aria-label="<?php _e('Trash the Task', 'opendrive') ?>"></a>
                                        {{/unless}}
                                    {{/if_eq}}
                                </div>


                                <div class="task-properties">
                                    {{#if Private}}
                                    <i title="<?php _e('This Task is Private', 'opendrive') ?>" class="fa fa-eye-slash task-privacy private-task js-set-task-privacy"></i>
                                    {{else}}
                                    <i title="<?php _e('This Task is Public', 'opendrive') ?>" class="fa fa-eye task-privacy js-set-task-privacy"></i>
                                    {{/if}}

                                    <select value="{{Priority}}" class="show-menu-arrow js-select js-select-priority" data-width="2ch" data-style="btn-select no-caret">
                                        <option {{#if_eq Priority 0}}selected{{/if_eq}} value="0" data-icon="fa fa-exclamation-circle priority-none"><?php _e('None', 'opendrive') ?></option>
                                        <option {{#if_eq Priority 1}}selected{{/if_eq}} value="1" data-icon="fa fa-exclamation-circle priority-low"><?php _e('Low', 'opendrive') ?></option>
                                        <option {{#if_eq Priority 2}}selected{{/if_eq}} value="2" data-icon="fa fa-exclamation-circle priority-medium"><?php _e('Medium', 'opendrive') ?></option>
                                        <option {{#if_eq Priority 3}}selected{{/if_eq}} value="3" data-icon="fa fa-exclamation-circle priority-high"><?php _e('High', 'opendrive') ?></option>
                                    </select>


                                    <select value="{{Progress}}" class="show-menu-arrow select-progress js-select js-select-progress" data-width="7ch" data-style="btn-select no-caret">
                                        {{> TaskProgressOptions}}
                                    </select>
                                </div>

                            </div>
                    </span>
                    <div class="with-min-width">
                        {{#if CommentsCount}}
                        <span title="<?php _e('Number of comments', 'opendrive') ?>" class="comments-count draggable-hidden">{{CommentsCount}} comments</span>
                        {{/if}}
                    </div>
                </tr>
            </div>
        </div>
        <div class="col-md-1 col-sm-1 hidden-xs">
            <?php _e('Tag', 'opendrive') ?>: 
            <select class="js-select show-menu-arrow js-set-task-tag fit-content" data-width="100%" data-style="btn-select with-caret">
                <option {{#if_eq TagId 0}}selected{{/if_eq}} value="0">-</option>
                {{#each ColorTags}}
                    <option {{#if_eq TagId ../TagId}}selected{{/if_eq}} data-color="{{Color}}" style="color: #{{Color}};" value="{{TagId}}">{{Name}}</option>
                {{/each}}
            </select>
        </div>
        <div class="col-md-1 col-sm-1 hidden-xs">
            <?php _e('Due', 'opendrive') ?>: 
            <div class="js-open-datepicker active-element datepicker-widget">
                    <span data-action="tasks.update-task"
                          data-item-id="{{TaskId}}"
                          data-item-type="task_id"
                          data-param="due_date"
                          data-response-value="DueDate"
                          data-response-value-text="DueDateText"
                          class="js-date date-text">{{{DueDateText}}}</span>
                    <span class="bs-caret"><span class="caret"></span></span>
            </div>
        </div>
        <div class="col-md-1 col-sm-1 hidden-xs">
            <?php _e('Assigned To', 'opendrive') ?>: 
            <select class="js-select show-menu-arrow js-assign-user-task assign-user-task fit-content" data-width="100%" data-style="btn-select with-caret">
                <option
                    {{#if_eq ../AssignedToAccessUserId 0}}{{#if_eq ../AssignedToUserId 0}}selected{{/if_eq}}{{/if_eq}} value="none" data-userid="null" style="color: #777777"><?php _e('Anyone', 'opendrive') ?></option>
                {{#each AccountUsers}}
                <option data-subtext="<?php _e('Admin', 'opendrive') ?>" {{#if_eq ../AssignedToAccessUserId AccessUserId}}{{#if_gt ../AssignedToUserId 0}}selected{{/if_gt}}{{/if_eq}} data-userid="" value="{{AccessUserId}}">{{FirstName}} {{LastName}}</option>
                {{/each}}
            </select>
        </div>
        <div class="col-md-1 col-sm-1 ellipsis_overflow no-wrap hidden-xs" title="{{OwnerFirstName}} {{OwnerLastName}}"><?php _e('Assigned By', 'opendrive') ?>: {{OwnerFirstName}} {{OwnerLastName}}</div>
        <div class="col-md-1 col-sm-1 draggable-hidden no-wrap hidden-xs">
            <?php _e('Created', 'opendrive') ?>: {{{StartDateText}}}
        </div>
    </div>
</script>


<script type="text/x-handlebars-template" data-partial="1" data-name="SingleTaskList">
<div class="clearfix task-list js-tasklist" data-tasklistid="{{TaskListId}}">
    <div class="task-list-header clearfix">
        <div class="col-md-11 col-sm-11">
            <div class="task-list-table">
                <tr>
                    <div class="task-list-actions">
                        <div class="not-selectable">
                            <input id="task-list-{{TaskListId}}"
                                   type="checkbox" class="js-tasklist-complete-checkbox nice-checkbox" value="" {{#if_eq Status 'completed'}}checked{{/if_eq}}>
                            <label for="task-list-{{TaskListId}}" title="Complete this Task List">
                                <i class="fa" role="checkbox" aria-checked="false" aria-label="<?php _e('Complete the Task', 'opendrive') ?>"></i>
                            </label>

                            <i title="<?php _e('Add new Task to the Task List', 'opendrive') ?>" class="fa fa-plus btn-add-new-task js-add-new-task"></i>
                            <i title="<?php _e('Collpase the Task List', 'opendrive') ?>" class="fa fa-compress js-slidetoggle-tasklist"></i>
                            <i title="<?php _e('Expand the Task List', 'opendrive') ?>" class="fa fa-expand js-slidetoggle-tasklist"></i>


                            {{#if_or Archived Trashed}}
                                <i class="fa fa-undo js-restore-tasklist icon-color" title="<?php _e('Restore the Task List', 'opendrive') ?>"></i>
                            {{/if_or}}
                            {{#unless Archived}}
                                {{#unless Trashed}}
                                <i class="fa fa-pencil js-edit-tasklist-name icon-color" title="<?php _e('Edit the Task List name', 'opendrive') ?>"></i>
                                {{/unless}}
                            <i class="fa fa-archive js-archive-tasklist icon-color" title="<?php _e('Archive the Task List', 'opendrive') ?>"></i>
                            {{/unless}}
                            {{#unless Trashed}}
                            <i class="fa fa-trash js-trash-tasklist icon-color" title="<?php _e('Trash the Task List', 'opendrive') ?>"></i>
                            {{/unless}}
                        </div>
                    </div>
                    <td>
                        <div class="clearfix od-font-color">
                                {{#if Overview}}
                                <span class="ellipsis_overflow truncate-name has-separator">{{ProjectListName}}</span>
                                <span class="ellipsis_overflow truncate-name has-separator">{{ProjectName}}</span>
                                {{/if}}
                                <span class="js-tasklist-name with-placeholder break-all-word truncate-tasklist-name ellipsis_overflow {{#if Overview}}in-overview{{/if}}" placeholder="<?php _e('Task list Name', 'opendrive') ?>" data-maxlength="255">{{Name}}</span>

                            <span class="header-item inline-block-m js-open-datepicker"><?php _e('Due', 'opendrive') ?>:
                                <span
                                    data-action="tasks.update-task-list"
                                    data-item-id="{{TaskListId}}"
                                    data-item-type="list_id"
                                    data-param="due_date"
                                    data-response-value="DueDate"
                                    data-response-value-text="DueDateText"
                                    data-date="{{DueDate}}"
                                    class="js-date">{{#if DueDateText}}{{DueDateText}}{{else}}...{{/if}}</span>
                            </span>
                        </div>
                    </td>
                </tr>
            </div>
        </div>
    </div>
    <div class="js-tasklist-tasks">
        {{#each Tasks}}
        {{> Task ColorTags=../ColorTags}}
        {{/each}}
    </div>
</div>
</script>

<script type="text/x-handlebars-template" data-name="TasksList">
{{#if TaskLists}}
    {{#TaskLists}}
    {{> SingleTaskList Overview=../Overview ColorTags=../ColorTags}}
    {{/TaskLists}}
{{/if}}
</script>

<script type="text/x-handlebars-template" data-name="ProjectDates">
    <a href="#" class="date-btn js-open-datepicker" data-dt-y-pad="10"><?php _e('Start Date', 'opendrive') ?>:
            <span
                data-action="tasks.update-project"
                data-item-id="{{ProjectId}}"
                data-item-type="project_id"
                data-param="start_date"
                data-response-value="StartDate"
                data-response-value-text="StartDateText"
                class="date js-date">{{StartDateText}}</span><i class="fa fa-caret-down"></i>
    </a>|
    <a href="#" class="date-btn js-open-datepicker" data-dt-y-pad="10"><?php _e('Due Date', 'opendrive') ?>:
        <span
            data-action="tasks.update-project"
            data-item-id="{{ProjectId}}"
            data-item-type="project_id"
            data-param="due_date"
            data-response-value="DueDate"
            data-response-value-text="DueDateText"
            class="date js-date">{{DueDateText}}</span><i class="fa fa-caret-down"></i>
    </a>
</script>

<script type="text/x-handlebars-template" data-partial="1" data-name="TaskWindowHeader">
    <div class="task-title js-task-window-header clearfix {{#if_eq Status 'completed'}}completed-item{{/if_eq}}">
        <div class="task-completed-line"></div>
        <div class="col-md-10 col-sm-10 no-left-padding">
            <div class="font-checkbox not-selectable hidden-anonymous pull-left">
                <input id="task-window-{{TaskId}}" type="checkbox" class="nice-checkbox js-task-window-complete-checkbox" value="" {{#if_eq Status 'completed'}}checked{{/if_eq}}>
                <label for="task-window-{{TaskId}}" title="Complete this Task">
                    <i class="fa" role="checkbox" aria-checked="false" aria-label="<?php _e('Complete the Task', 'opendrive') ?>"></i>
                </label>
            </div>
            <span class="ellipsis_overflow">[{{Number}}] {{Name}}</span>
        </div>
        <div class="col-md-2 col-sm-2 no-right-padding no-wrap">
            <div class="pull-right">
                <span class="progress-item"><?php _e('Progress', 'opendrive') ?>:</span>
                <select class="js-select js-task-window-select-progress fit-content show-menu-arrow task-header-progress" data-style="btn-select" data-width="7ch" value="{{Progress}}"
                        {{#unless CurrentUser.UserId}}disabled{{/unless}}
                    >
                    {{> TaskProgressOptions}}
                </select>
            </div>
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="TaskWindow">
    <div class="task-window js-task-window" data-taskid="{{TaskId}}">

        {{> TaskWindowHeader}}

        <div class="comment-header clearfix">
            <div class="pull-left">
                <div class="user-avatar">
                    <div style="background-color: #{{OwnerAvatarColor}}">{{substr OwnerFirstName 0 1}}{{substr OwnerLastName 0 1}}</div>
                    <img class="invisible js-avatar" src="{{OwnerAvatar}}">
                </div>
                <div class="task-author">
                    <b>{{OwnerFirstName}} {{OwnerLastName}}</b> <?php _e('created task', 'opendrive') ?> {{{StartDateText}}} {{StartTimeText}}
                </div>
            </div>
            <div class="pull-right attributes no-right-padding bold-column">
                <div class="no-wrap">
                    <div class="inline-block-m no-wrap"><?php _e('Assigned To', 'opendrive') ?>:</div>
                    <select class="js-select show-menu-arrow assign-user-task-window js-assign-user-task-window fit-content"
                            data-width="8em" data-style="btn-select with-caret"
                            {{#unless CurrentUser.UserId}}disabled{{/unless}}
                        >
                        <option
                            {{#if_eq ../AssignedToAccessUserId 0}}{{#if_eq ../AssignedToUserId 0}}selected{{/if_eq}}{{/if_eq}}
                        value="none" data-userid="null" style="color: #777777"><?php _e('Anyone', 'opendrive') ?></option>
                        {{#each AccountUsers}}
                        <option {{#if_eq ../AssignedToAccessUserId AccessUserId}}{{#if_gt ../AssignedToUserId 0}}selected{{/if_gt}}{{/if_eq}}
                        value="{{AccessUserId}}">{{FirstName}} {{LastName}}</option>
                        {{/each}}
                    </select>
                </div>
                <div class="js-open-datepicker active-element datepicker-widget" {{#unless CurrentUser.UserId}}disabled{{/unless}}><?php _e('Due', 'opendrive') ?>:
                    <span data-action="tasks.update-task"
                          data-item-id="{{TaskId}}"
                          data-item-type="task_id"
                          data-param="due_date"
                          data-response-value="DueDate"
                          data-response-value-text="DueDateText"
                          class="js-date">{{{DueDateText}}}</span>
                    <span class="bs-caret"><span class="caret"></span></span>
                </div>
                <div class="no-wrap">
                    <div class="inline-block-m"><?php _e('Tag', 'opendrive') ?>:</div>
                    <select class="js-select show-menu-arrow js-task-window-set-tag fit-content" data-width="100%" data-style="btn-select"
                            {{#unless CurrentUser.UserId}}disabled{{/unless}}>
                        <option {{#if_eq TagId 0}}selected{{/if_eq}} value="0">-</option>
                        {{#each ColorTags}}
                            <option {{#if_eq TagId ../TagId}}selected{{/if_eq}} data-color="{{Color}}" style="color: #{{Color}};" value="{{TagId}}">{{Name}}</option>
                        {{/each}}
                    </select>
                </div>
            </div>
        </div>

        <div class="task-comment clearfix js-comment js-task-description">
            <div class="comment-input">
                {{#if DescriptionEditable}}
                    <div class="description js-description-input" placeholder="<?php _e('Task description', 'opendrive') ?>"></div>
                    <div class="comment-attachments od-font-color clearfix">
                        <div class="js-comment-attachments attachements-container"></div>
                        <a class="attach-file js-attach-file-task" href="#"><i class="fa fa-paperclip" aria-hidden="true"></i>
                            <div class="inline-block-m" title="<?php _e('Press Ctrl-V, Command-V or Shift-Ins', 'opendrive') ?>"><?php _e('Attach files or paste image from clipboard', 'opendrive') ?>...</div></a>
                        <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-task-description"><?php _e('Save', 'opendrive') ?></a>
                    </div>
                {{else}}
                    <div class="comment-content clearfix">
                        <div class="js-description editable-description break-all-word">{{{Description}}}</div>
                        <div class="clearfix edit-buttons">
                            <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-editable-task-description"><?php _e('Save', 'opendrive') ?></a>
                            <a href="#" class="button cancel-btn js-cancel-comment-edit"><?php _e('Cancel', 'opendrive') ?></a>
                        </div>
                        <div class="js-comment-attachments files-grid">
                            {{#each Attachments}}
                            <div class="attachment-row">
                                <a href="{{DownloadLink}}" class="od-font-color js-attachment attachment" data-fileid="{{FileId}}" title="{{FileName}} ({{Size}})">
                                    <div class="file {{FileType}} js-file" style="background-image: url('{{ThumbLink}}');"></div>
                                    <div class="file-props">
                                        <div class="ellipsis_overflow">{{FileName}}</div>
                                        <div class="filesize">{{Size}}</div>
                                    </div>
                                </a>
                                <a class="fa fa-trash-o od-font-color delete-attachment js-delete-task-attachment" href="#" title="<?php _e('Delete the attachment', 'opendrive') ?>"></a>
                            </div>
                            {{/each}}
                        </div>
                        {{#if_and CurrentUser.UserId AccessMode}}
                        <div class="comment-buttons">
                            <a class="fa fa-pencil js-edit-comment icon-color" href="#" title="<?php _e('Edit the task description', 'opendrive') ?>"></a>
                        </div>
                        {{/if_and}}
                    </div>
                {{/if}}
            </div>
        </div>

        {{#each Comments}}
        {{> TaskComment ColorTags=../ColorTags CurrentUser=../CurrentUser}}
        {{/each}}

        {{#if CanAddComment}}
            <div class="comment-new js-comment">
                <div class="user-avatar">
                    <div style="background-color: #{{CurrentUser.AvatarColor}}">{{CurrentUser.Initials}}</div>
                    <img class="invisible js-avatar" src="{{CurrentUser.Avatar}}">
                </div>
                <div class="comment-input">
                    <div class="new-comment-input js-comment-input" placeholder="<?php _e('New comment', 'opendrive') ?>"></div>
                    <div class="comment-attachments od-font-color clearfix">
                        <div class="js-comment-attachments attachements-container"></div>
                        <a class="attach-file js-attach-file-comment" href="#"><i class="fa fa-paperclip" aria-hidden="true"></i>
                            <div class="inline-block-m" title="<?php _e('Press Ctrl-V, Command-V or Shift-Ins', 'opendrive') ?>"><?php _e('Attach files or paste image from clipboard', 'opendrive') ?>...</div></a>
                        <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-comment"><?php _e('Save', 'opendrive') ?></a>
                        <a href="#" class="button cancel-btn js-cancel-newcomment-edit" style="display: none"><?php _e('Cancel', 'opendrive') ?></a>
                    </div>
                </div>
            </div>
        {{/if}}
    </div>
</script>

<script type="text/x-handlebars-template" data-partial="1" data-name="TaskComment">
    <div class="js-comment task-comment-container" data-commentid="{{CommentId}}">
        <div class="comment-header clearfix">
            <div class="user-avatar">
                <div style="background-color: #{{OwnerAvatarColor}}">{{substr OwnerFirstName 0 1}}{{substr OwnerLastName 0 1}}</div>
                <img class="invisible js-avatar" src="{{OwnerAvatar}}">
            </div>
            <div class="task-author">
                {{Number}}. <b>{{OwnerFirstName}} {{OwnerLastName}}</b> {{{CommentDate}}} {{CommentTime}}
                <select class="js-select js-task-window-set-comment-tag task-window-set-comment-tag show-menu-arrow" data-width="auto" data-style="btn-select no-caret">
                    <option title="<i class='fa fa-tag' title='<?php _e('Add Tag to the comment', 'opendrive') ?>'></i>" {{#if_eq TagId 0}}selected{{/if_eq}} value="0">-</option>
                    {{#each ColorTags}}
                    <option {{#if_eq TagId ../TagId}}selected{{/if_eq}} data-color="{{Color}}" style="color: #{{Color}};" value="{{TagId}}">{{Name}}</option>
                    {{/each}}
                </select>
            </div>
        </div>
        <div class="task-comment">
            <div class="comment-content clearfix
                    {{#if_ne UserId CurrentUser.UserId}}other-user{{/if_ne}}
                    {{#if_ne AccessUserId CurrentUser.AccessUserId}}other-user{{/if_ne}}
                    ">
                <div class="js-description editable-description break-all-word">{{{Comment}}}</div>
                <div class="clearfix edit-buttons">
                    <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-editing-comment"><?php _e('Save', 'opendrive') ?></a>
                    <a href="#" class="button cancel-btn js-cancel-comment-edit"><?php _e('Cancel', 'opendrive') ?></a>
                </div>
                <div class="js-comment-attachments files-grid">
                    {{#each Attachments}}
                    <div class="attachment-row">
                        <a href="{{DownloadLink}}" class="od-font-color js-attachment attachment" data-fileid="{{FileId}}" title="{{FileName}} ({{Size}})">
                            <div class="file {{FileType}} js-file" style="background-image: url('{{ThumbLink}}');"></div>
                            <div class="file-props">
                                <div>{{FileName}}</div>
                                <div class="filesize">{{Size}}</div>
                            </div>
                        </a>
                        <a class="fa fa-trash-o od-font-color delete-attachment js-delete-comment-attachment" href="#" title="<?php _e('Delete the attachment', 'opendrive') ?>"></a>
                    </div>
                    {{/each}}
                </div>
                {{#if CurrentUser.UserId}}
                <div class="comment-buttons">
                    <a class="fa fa-commenting js-write-subcomment icon-color" href="#" title="<?php _e('Add subcomment', 'opendrive') ?>"></a>
                    {{#if_eq UserId CurrentUser.UserId}}{{#if_eq AccessUserId CurrentUser.AccessUserId}}
                    <a class="fa fa-pencil js-edit-comment icon-color" href="#" title="<?php _e('Edit the comment', 'opendrive') ?>"></a>
                    <a class="fa fa-trash js-trash-comment icon-color" href="#" title="<?php _e('Trash the comment', 'opendrive') ?>"></a>
                    {{/if_eq}}{{/if_eq}}
                </div>
                {{/if}}
            </div>

            <div class="js-subcomments">
                {{#each SubComments}}
                {{> SubComment CurrentUser=../CurrentUser}}
                {{/each}}
            </div>
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="UploadingFile">
    <div class="uploading-file js-uploading-file" data-fileid="{{File.uniqueIdentifier}}">
        <a class="fa fa-trash od-font-color js-remove-uploading-file" href="#" title="<?php _e('Delete the attached file', 'opendrive') ?>"></a>
        {{#if EmbedImageUrl}}
            <img class="thumb" src="{{EmbedImageUrl}}"/>
        {{else}}
        <b>{{File.fileName}}</b>
        {{/if}}
        ({{Size}})
        <span class="hidden progress js-progress"></span>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="NewSubComment">
    <div class="subcomment-new js-newsubcomment js-subcomment">
        <div class="user-avatar">
            <div style="background-color: #{{CurrentUser.AvatarColor}}">{{CurrentUser.Initials}}</div>
            <img class="invisible js-avatar" src="{{CurrentUser.Avatar}}">
        </div>
        <div class="subcomment-input">
            <div class="new-subcomment-input js-subcomment-input" placeholder="<?php _e('New subcomment', 'opendrive') ?>"></div>
            <div class="clearfix edit-buttons">
                <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-subcomment"><?php _e('Save', 'opendrive') ?></a>
                <a href="#" class="button cancel-btn js-cancel-subcomment-edit"><?php _e('Cancel', 'opendrive') ?></a>
            </div>
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-partial="1" data-name="SubComment">
    <div class="js-subcomment task-subcomment-container" data-subcommentid="{{SubCommentId}}">
        <div class="subcomment-header clearfix">
            <div class="user-avatar">
                <div style="background-color: #{{OwnerAvatarColor}}">{{substr OwnerFirstName 0 1}}{{substr OwnerLastName 0 1}}</div>
                <img class="invisible js-avatar" src="{{OwnerAvatar}}">
            </div>
            <div class="subcomment-author">
                <b>{{OwnerFirstName}} {{OwnerLastName}}</b> {{{SubCommentDate}}} {{SubCommentTime}}
            </div>
        </div>

        <div class="subcomment-content clearfix">
            <div class="js-subcomment-input editable-description break-all-word">{{{SubComment}}}</div>

            <div class="clearfix edit-buttons">
                <a href="#" class="od-button-color od-button-hover od-font-color button save-btn js-save-editing-subcomment">Save</a>
                <a href="#" class="button cancel-btn js-cancel-subcomment-edit">Cancel</a>
            </div>
            {{#if_eq UserId CurrentUser.UserId}}{{#if_eq AccessUserId CurrentUser.AccessUserId}}
            <div class="subcomment-buttons">
                <a class="fa fa fa-pencil js-edit-subcomment icon-color" href="#" title="<?php _e('Edit the subcomment', 'opendrive') ?>"></a>
                <a class="fa fa-trash js-trash-subcomment icon-color" href="#" title="<?php _e('Trash the comment', 'opendrive') ?>"></a>
            </div>
            {{/if_eq}}{{/if_eq}}
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-partial="1" data-name="TaskProgressOptions">
    <option {{#if_eq Progress 0}}selected{{/if_eq}} value="0">0%</option>
    <option {{#if_eq Progress 10}}selected{{/if_eq}} value="10">10%</option>
    <option {{#if_eq Progress 20}}selected{{/if_eq}} value="20">20%</option>
    <option {{#if_eq Progress 30}}selected{{/if_eq}} value="30">30%</option>
    <option {{#if_eq Progress 40}}selected{{/if_eq}} value="40">40%</option>
    <option {{#if_eq Progress 50}}selected{{/if_eq}} value="50">50%</option>
    <option {{#if_eq Progress 60}}selected{{/if_eq}} value="60">60%</option>
    <option {{#if_eq Progress 70}}selected{{/if_eq}} value="70">70%</option>
    <option {{#if_eq Progress 80}}selected{{/if_eq}} value="80">80%</option>
    <option {{#if_eq Progress 90}}selected{{/if_eq}} value="90">90%</option>
    <option {{#if_eq Progress 100}}selected{{/if_eq}} value="100">100%</option>
</script>

<script type="text/x-handlebars-template" data-name="SearchResults">
    <ul class="od-font-color">
        {{#if NoResults}}
            <li><?php _e('No results found', 'opendrive') ?></li>
        {{else}}
            {{#each Comments}}
            <li class="clearfix">
                <a href="/tasks/{{TaskId}}">
                    <div class="item-icon"><i class="fa fa-commenting"></i></div>
                    {{#if Comment}}
                        <div title="{{Comment}}" class="ellipsis_overflow search-result">{{Comment}}</div>
                    {{else}}
                        <div title="{{Subcomment}}" class="ellipsis_overflow search-result">{{Subcomment}}</div>
                    {{/if}}
                </a>
            </li>
            {{/each}}
            {{#each Tasks}}
            <li class="clearfix">
                <a href="/tasks/{{TaskId}}">
                    <div class="item-icon"><i class="fa fa-tasks"></i></div>
                    <div class="ellipsis_overflow search-result" title="{{Name}}">{{Name}}</div>
                </a>
            </li>
            {{/each}}
            {{#each Projects}}
            <li class="clearfix">
                <a href="/tasks/project/{{ProjectId}}">
                    <div class="item-icon"><i class="fa fa-list-alt"></i></div>
                    <div class="ellipsis_overflow search-result" title="{{Name}}">{{Name}}</div>
                </a>
            </li>
            {{/each}}
            {{#each ProjectLists}}
            <li class="clearfix">
                <a href="/tasks/project-list/{{ProjectListId}}">
                    <div class="item-icon"><i class="fa fa-list"></i></div>
                    <div class="ellipsis_overflow search-result" title="{{Name}}">{{Name}}</div>
                </a>
            </li>
            {{/each}}
        {{/if}}
    </ul>
</script>

<script type="text/x-handlebars-template" data-name="ImagePopup">
    <div class="mfp-figure">
        <div class="mfp-close"></div>
        <div class="mfp-img"></div>
        <div class="mfp-bottom-bar">
            <div class="mfp-title pull-left"></div>
            <a class="pull-right fa fa-download download-icon" href="{{Url}}"></a>
        </div>
    </div>
</script>

<script type="text/x-handlebars-template" data-name="BreadCrumbItem">
<h2 class="js-breadcrumb" data-itemid="{{ItemId}}">
    <a href="/tasks"><?php _e('Tasks', 'opendrive') ?></a>
    {{#if ProjectListId}}
    <a href="/tasks/project-list/{{ProjectListId}}" title="{{ProjectList}}">{{ProjectList}}</a>
    {{/if}}

    {{#if ProjectId}}
    <a href="/tasks/project/{{ProjectId}}" title="{{Project}}">{{Project}}</a>
    {{/if}}

    {{#if TaskId}}
    <a href="/tasks/{{TaskId}}" title="{{Task}}">{{Task}}</a>
    {{/if}}
    {{#if Overview}}
    <a href="/tasks"><?php _e('Overview', 'opendrive') ?></a>
    {{/if}}
</h2>
</script>

<div class="lightbox" id="task-link-dialog">
    <div class="lightbox-overlay"></div>
    <div class="lightbox-container">
        <div class="lightbox-header">
            <h2 class="clearfix">
                <span class="pull-left header-prefix"><?php _e('Link', 'opendrive') ?></span>
                <div class="js-lightbox-title"></div>
            </h2>
            <a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive') ?>"></a>
        </div>
        <div class="lightbox-body">

            <label><?php _e('Task Link (URL)', 'opendrive') ?>:</label>
            <input type="text" id="task-url" value="" class="js-select-all-input" readonly><br>
        </div>
    </div>
</div>
