<?php if (!defined('ABSPATH')) exit; ?>

<div class="lightbox" id="edit-group">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2><?php _e('Edit Group', 'opendrive') ?></h2>
			<a class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive') ?>" href="#"></a>
		</div>
		<div class="lightbox-body">
		
			<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
			
			<label><?php _e('Group Name', 'opendrive') ?>:</label><input type="text" id="edit-group-name">
			
			<br>
			<div class="h-spacer"></div>
			<label><?php _e('Space', 'opendrive') ?>:</label>
			<div class="spinner-cell" id="space-spinner-cell">
				<?php
				$space_formatted = size_format($user_info->MaxStorage*1024*1024, 0);
				$space_exploded = explode(' ', $space_formatted);

				$space_value = $space_exploded[0];
				$space_unit = $space_exploded[1];
				?>
				<input id="user_space_spinner" type="number" min="1" max="1024" step="1" value="<?php echo $space_value?>" size="5" class="spinner-input">
				<select id="user_space_unit" class="spinner-units">
					<option value="MB" <?php if ($space_unit == 'MB') echo 'selected'?>><?php _e('MB', 'opendrive') ?></option>
					<option value="GB" <?php if ($space_unit == 'GB') echo 'selected'?>><?php _e('GB', 'opendrive') ?></option>
					<option value="TB" <?php if ($space_unit == 'TB') echo 'selected'?>><?php _e('TB', 'opendrive') ?></option>
				</select>
				<div class="clearfix"></div>
			</div>
			<label><?php _e('Bandwidth', 'opendrive') ?>:</label>
			<div class="spinner-cell" id="bw-spinner-cell">
				<?php
				$bw_formatted = size_format($user_info->BwMax*1024*1024, 0);
				$bw_exploded = explode(' ', $bw_formatted);

				$bw_value = $bw_exploded[0];
				$bw_unit = $bw_exploded[1];
				?>
				<input id="user_bw_spinner" type="number" min="1" max="1024" step="1" value="<?php echo $bw_value?>" size="5" class="spinner-input">
				<select id="user_bw_unit" class="spinner-units">
					<option value="MB" <?php if ($bw_unit == 'MB') echo 'selected'?>><?php _e('MB', 'opendrive') ?></option>
					<option value="GB" <?php if ($bw_unit == 'GB') echo 'selected'?>><?php _e('GB', 'opendrive') ?></option>
					<option value="TB" <?php if ($bw_unit == 'TB') echo 'selected'?>><?php _e('TB', 'opendrive') ?></option>
				</select>
				<div class="clearfix"></div>
			</div>
			<input type="hidden" id="edit_max_storage" value="<?php echo  $user_info->MaxStorage?>">
			<input type="hidden" id="edit_max_bandwidth" value="<?php echo  $user_info->BwMax?>">
			<input type="hidden" id="edit_group_bw_max" value="<?php echo  $user_info->BwMax?>">
			<input type="hidden" id="edit_group_max_storage" value="<?php echo  $user_info->MaxStorage?>">
			<input type="hidden" id="edit_group_id" value="">
		</div>
		<div class="lightbox-buttons">
			<input id="save-group-btn" class="save-btn" type="button" value="<?php _e('Save Group', 'opendrive') ?>">
			<input class="js-cancel-btn cancel-btn" type="button" value="<?php _e('Cancel', 'opendrive') ?>">
			<div class="clearfix"></div>
		</div>
	</div>
</div>

<?php if (!empty($this_group)): ?>
<div class="lightbox" id="new-account-user">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<form id="new-user-form" autocomplete="off">
			<div class="lightbox-header">
				<h2><?php _e('New User', 'opendrive') ?></h2>
				<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive') ?>"></a>
			</div>
			<div class="lightbox-body with-scrollable-content">
				<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
				
				<div class="lightbox-scrollable-content col-md-12">
					<div class="user-info-details">
						<div class="user-info-form">
										<input type="text" id="new-user-first-name" placeholder="<?php _e('First Name', 'opendrive') ?>">
										<input type="text" id="new-user-last-name" placeholder="<?php _e('Last Name', 'opendrive') ?>">
										<input type="text" id="new-user-position" placeholder="<?php _e('Position', 'opendrive') ?>">
										<input type="text" id="new-user-email" placeholder="<?php _e('Email', 'opendrive') ?>">
										<input type="text" id="new-user-phone" placeholder="<?php _e('Phone', 'opendrive') ?>">
										<input type="password" id="new-user-password" placeholder="<?php _e('Password', 'opendrive') ?>">
										<input type="checkbox" id="new-user-enable-password-change">
										<label for="new-user-enable-password-change"><?php _e('Enable account user to change password', 'opendrive') ?></label><br>
										<input type="checkbox" id="new-user-send-password">
										<label for="new-user-send-password"><?php _e('Send password by email', 'opendrive') ?></label>
										<div class="clearfix"></div>
										<h3><?php _e('Account Settings', 'opendrive') ?></h3>
										<div class="col-md-3 lightbox-field-cell spinner-cell no-padding"><label><?php _e('Space', 'opendrive') ?>:</label></div>
										<div class="col-md-9 lightbox-field-cell spinner-cell">
											<?php
											$space_formatted = size_format($this_group->GroupMaxStorage*1024*1024, 0);
											$space_exploded = explode(' ', $space_formatted);

											$space_value = $space_exploded[0];
											$space_unit = $space_exploded[1];
											?>
											<input id="user_space_spinner" type="number" min="1" max="1024" step="1" value="<?php echo $space_value?>" size="5" class="spinner-input">
											<select id="user_space_unit" class="spinner-units">
												<option value="MB" <?php if ($space_unit == 'MB') echo 'selected'?>><?php _e('MB', 'opendrive') ?></option>
												<option value="GB" <?php if ($space_unit == 'GB') echo 'selected'?>><?php _e('GB', 'opendrive') ?></option>
												<option value="TB" <?php if ($space_unit == 'TB') echo 'selected'?>><?php _e('TB', 'opendrive') ?></option>
											</select>
										</div>
										<div class="clearfix"></div>
										
										<div class="col-md-3 lightbox-field-cell spinner-cell no-padding"><label><?php _e('Bandwidth', 'opendrive') ?>:</label></div>
										<div class="col-md-9 lightbox-field-cell spinner-cell">
											<?php
											$bw_formatted = size_format($this_group->GroupMaxBw*1024*1024, 0);
											$bw_exploded = explode(' ', $bw_formatted);

											$bw_value = $bw_exploded[0];
											$bw_unit = $bw_exploded[1];
											?>
											<input id="user_bw_spinner" type="number" min="1" max="1024" step="1" value="<?php echo $bw_value?>" size="5" class="spinner-input">
											<select id="user_bw_unit" class="spinner-units">
												<option value="MB" <?php if ($bw_unit == 'MB') echo 'selected'?>><?php _e('MB', 'opendrive') ?></option>
												<option value="GB" <?php if ($bw_unit == 'GB') echo 'selected'?>><?php _e('GB', 'opendrive') ?></option>
												<option value="TB" <?php if ($bw_unit == 'TB') echo 'selected'?>><?php _e('TB', 'opendrive') ?></option>
											</select>
										</div>
										<div class="clearfix"></div>
										

										<div class="col-md-3 no-padding"><label><?php _e('Admin permission', 'opendrive') ?>:</label></div>
										<div class="col-md-9 checkboxes">
											<input type="radio" id="new-user-access_admin_mode_files" checked name="new_user_access_admin_mode" value="2">
											<label for="new-user-access_admin_mode_files" class="has-notice prop-value"  title="<?php _e('Account user can access permitted files', 'opendrive') ?>"><?php _e('Basic', 'opendrive') ?></label>
											<input type="radio" id="new-user-access_admin_mode_users" name="new_user_access_admin_mode" value="0">
											<label for="new-user-access_admin_mode_users" class="has-notice prop-value" title="<?php _e('Account user can access permitted files and see other account users in their group', 'opendrive') ?>"><?php _e('Users', 'opendrive') ?></label>
											<input type="radio" id="new-user-access_admin_mode_admin" name="new_user_access_admin_mode" value="1"><label for="new-user-access_admin_mode_admin" class="has-notice prop-value" title="<?php _e('Account user can access permitted files and create or administrate all account users and groups', 'opendrive') ?>"><?php _e('Admin', 'opendrive') ?></label>
										</div>
										
										<div class="col-md-3 no-padding"><label><?php _e('Activity Notification', 'opendrive') ?>:</label></div>
										<div class="col-md-9 checkboxes">
											<input type="checkbox" name="new-user-access_notification" id="new-user-access_notification">
											<label for="new-user-access_notification" class="prop-value">
												<i><?php _e('Email notifications when a file is uploaded, edited or deleted', 'opendrive') ?></i></label>
										</div>
										
										<div class="col-md-3 no-padding"><label><?php _e('Email Invitation', 'opendrive') ?>:</label></div>
										<div class="col-md-9 checkboxes">
	<!--										<input type="radio" id="new-user-invitation_html" name="new-user-invitation_content_type" value="1"><label for="new-user-invitation_html">HTML</label>-->
											<input type="radio" id="new-user-invitation_text" checked name="new-user-invitation_content_type" value="2">
											<label for="new-user-invitation_text" class="has-notice prop-value" title="<?php _e('Send email with login information to your user after this form is saved', 'opendrive') ?>"><?php _e('Text', 'opendrive') ?></label>
											<input type="radio" id="new-user-invitation_none" name="new-user-invitation_content_type" value="0"><label for="new-user-invitation_none" class="has-notice prop-value" title="<?php _e('No invitation', 'opendrive') ?>"><?php _e('None', 'opendrive') ?></label>
										</div>
										<div class="clearfix"></div>
										
										<h3 class="lightbox-subheader"><?php _e('Select folders this user can access', 'opendrive') ?></h3>
										<div class="user-access-folders-list"></div>
								</div>
						</div>
				</div>
				<div class="clearfix"></div>
			</div>
			<div class="lightbox-buttons">
				<input id="user_group_id" type="hidden" value="<?php echo $this_group->GroupID?>">
				<input id="user_max_storage" type="hidden" value="<?php echo $user_info->MaxStorage?>">
				<input id="user_max_bandwidth" type="hidden" value="<?php echo $user_info->BwMax?>">
				<input id="user_access_max_storage" type="hidden" value="<?php echo $this_group->GroupMaxStorage?>">
				<input id="user_access_bw_max" type="hidden" value="<?php echo $this_group->GroupMaxBw?>">
	
				<input id="save-user-btn" class="save-btn" type="button" value="<?php _e('Create User', 'opendrive') ?>">
				<input class="js-cancel-btn cancel-btn" type="button" value="<?php _e('Cancel', 'opendrive') ?>">
				
				<div class="clearfix"></div>
			</div>
		</form>
	</div>
</div>



<div class="lightbox" id="edit-account-user">
	<div class="lightbox-overlay"></div>
	<div class="lightbox-container">
		<div class="lightbox-header">
			<h2><?php _e('Edit User', 'opendrive') ?></h2>
			<a href="#" class="lightbox-close-btn fa fa-times" role="button" aria-label="<?php _e('Close', 'opendrive') ?>"></a>
		</div>
		<div class="lightbox-body with-scrollable-content">
		
			<div class="tip"><div class="text"><h3 class="head"></h3><span class="body"></span></div><div class="corner"></div></div>
			
			<div class="lightbox-scrollable-content col-md-12">
				<div class="user-info-head">
                            <div class="avatar">
                                <i class="fa fa-user default-user-icon"></i>
                            </div>
							<h1></h1>
							<label class="position"><?php _e('Position', 'opendrive') ?></label>&nbsp;|&nbsp;<a href="#" class="mail-link"></a>
							<br>
							<label><?php _e('Role', 'opendrive') ?>:</label>&nbsp;<span class="role"></span>
							<div class="user-info-buttons clearfix">
								<i class="fa fa-unlock-alt" id="user-action-block" title="<?php _e('Block User', 'opendrive') ?>"></i>
								<i class="fa fa-lock" id="user-action-unblock" title="<?php _e('Unblock User', 'opendrive')?>"></i>
								<i class="fa fa-user-times orange-btn user-action-delete" title="<?php _e('Delete User', 'opendrive')?>"></i>
							</div>
						</div>
						<div class="user-info-details">
							<div class="scrollable user-info-form" id="edit-account-user">
									<h3><?php _e('User Details', 'opendrive')?></h3>
									<input type="text" id="edit-user-first-name" placeholder="<?php _e('First Name', 'opendrive')?>">
									<input type="text" id="edit-user-last-name" placeholder="<?php _e('Last Name', 'opendrive')?>">
									<input type="text" id="edit-user-position" placeholder="<?php _e('Position', 'opendrive')?>">
									<input type="text" id="edit-user-email" placeholder="<?php _e('Email Address', 'opendrive')?>">
									<input type="text" id="edit-user-phone" placeholder="<?php _e('Phone', 'opendrive')?>">
									<input type="password" id="edit-user-password" placeholder="<?php _e('Password', 'opendrive')?>">
									<input type="checkbox" id="edit-user-enable-password-change"> <label for="edit-user-enable-password-change"><?php _e('Enable account user to change password', 'opendrive')?></label><br>
<!--									<input type="checkbox" id="edit-user-enable-password-change"> <label for="edit-user-enable-password-change"><?php _e('Send password by email', 'opendrive')?></label>-->

									<h3><?php _e('Account Settings', 'opendrive')?></h3>
									<div class="col-md-3 lightbox-field-cell spinner-cell no-padding"><label><?php _e('Space', 'opendrive')?>:</label></div>
									<div class="col-md-9 lightbox-field-cell spinner-cell">
										<input id="edit_user_space_spinner" type="number" min="1" max="1024" step="1" value="" size="5" class="spinner-input">
										<select id="edit_user_space_unit" class="spinner-units">
											<option value="MB"><?php _e('MB', 'opendrive')?></option>
											<option value="GB"><?php _e('GB', 'opendrive')?></option>
											<option value="TB"><?php _e('TB', 'opendrive')?></option>
										</select>
									</div>
									<div class="clearfix"></div>
									
									<div class="col-md-3 lightbox-field-cell spinner-cell no-padding"><label><?php _e('Bandwidth', 'opendrive')?>:</label></div>
									<div class="col-md-9 lightbox-field-cell spinner-cell">
										<input id="edit_user_bw_spinner" type="number" min="1" max="1024" step="1" value="" size="5" class="spinner-input">
										<select id="edit_user_bw_unit" class="spinner-units">
											<option value="MB"><?php _e('MB', 'opendrive')?></option>
											<option value="GB"><?php _e('GB', 'opendrive')?></option>
											<option value="TB"><?php _e('TB', 'opendrive')?></option>
										</select>
									</div>
									<div class="clearfix"></div>


								<div class="col-md-3  no-padding"><label><?php _e('Admin permission', 'opendrive')?>:</label></div>
								<div class="col-md-9 checkboxes">
									<input type="radio" id="edit-user-access_admin_mode_files" checked
										   name="edit_user_access_admin_mode" value="2">
									<label
										for="edit-user-access_admin_mode_files" class="has-notice prop-value"
										title="<?php _e('Account user can access permitted files', 'opendrive')?>"><?php _e('Basic', 'opendrive')?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="radio" id="edit-user-access_admin_mode_users"
										   name="edit_user_access_admin_mode" value="0"><label
										for="edit-user-access_admin_mode_users" class="has-notice prop-value"
										title="<?php _e('Account user can access permitted files and see other account users in their group', 'opendrive')?>"><?php _e('Users', 'opendrive')?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="radio" id="edit-user-access_admin_mode_admin"
										   name="edit_user_access_admin_mode" value="1"><label
										for="edit-user-access_admin_mode_admin" class="has-notice prop-value"
										title="<?php _e('Account user can access permitted files and create or administrate all account users and groups', 'opendrive')?>"><?php _e('Admin', 'opendrive')?></label>
								</div>

								<div class="col-md-3 no-padding"><label><?php _e('Activity Notification', 'opendrive')?>:</label></div>
								<div class="col-md-9 checkboxes">
									<input type="checkbox" name="edit-user-access_notification"
										   id="edit-user-access_notification"><label for="edit-user-access_notification"
																					 class="prop-value">
										<i><?php _e('Email notifications when a file is uploaded, edited or deleted', 'opendrive')?></i></label>
								</div>

								<div class="col-md-3 no-padding"><label><?php _e('Email Invitation', 'opendrive')?>:</label></div>
								<div class="col-md-9 checkboxes">
									<input type="radio" id="edit-user-invitation_text" checked
										   name="edit-user-invitation_content_type" value="2"><label
										for="edit-user-invitation_text" class="has-notice prop-value"
										title="<?php _e('Text emails', 'opendrive')?>"><?php _e('Text', 'opendrive')?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
									<input type="radio" id="edit-user-invitation_none"
										   name="edit-user-invitation_content_type" value="0"><label
										for="edit-user-invitation_none" class="has-notice prop-value" title="<?php _e('No emails', 'opendrive')?>"><?php _e('None', 'opendrive')?></label>
								</div>
								<div class="clearfix"></div>

								<h3 class="lightbox-subheader"><?php _e('Select folders this user can access', 'opendrive')?></h3>

								<div class="user-access-folders-list"></div>
							</div><!--user-info-form-->
						</div><!--user-info-details-->
						
			</div> 
			<div class="clearfix"></div>
		</div>
		<div class="lightbox-buttons">
			<input id="user_access_email" type="hidden" value="">
			<input id="user_group_id" type="hidden" value="<?php echo $this_group->GroupID?>">
			<input id="user_max_storage" type="hidden" value="<?php echo $user_info->MaxStorage?>">
			<input id="user_max_bandwidth" type="hidden" value="<?php echo $user_info->BwMax?>">
			<input id="user_access_max_storage" type="hidden" value="<?php echo $this_group->GroupMaxStorage?>">
			<input id="user_access_bw_max" type="hidden" value="<?php echo $this_group->GroupMaxBw?>">
								
			<input id="edit-user-btn" class="save-btn" type="button" value="<?php _e('Save Changes', 'opendrive')?>">
			<input class="js-cancel-btn cancel-btn" type="button" value="<?php _e('Cancel', 'opendrive')?>">
			
			<div class="clearfix"></div>
		</div>
	</div>
</div>
<?php endif; ?>