<?php
/*
*Template Name: Settings My Profile New
*/
if (!defined('ABSPATH')) exit;
$user_info = OpenDrive::i()->getUserInfo();
if ( $user_info->AccessUserID != 0 ){
    wp_redirect('/settings');
    exit;
}
require_once('template-functions.php');

$error = false;
$message = false;

$formAction = postValue('form_action', null, false);


OpenDrive::enqueueStyle('od_profile.css');
OpenDrive::enqueueScript('od_settings.js');
$page_title = __('Profile', 'opendrive');
require_once('template-header.php');

?>
<div class="fill">

    <?php echo od_get_sidebar(); ?>


		<div class="breadcrumb-and-buttons">
			<h2><span><a href="/settings"><?php _e('Settings', 'opendrive')?></a> / </span><a href="/settings/2FA"><?php _e('2FA', 'opendrive')?></a></h2>
		</div>
    <form method="POST" autocomplete="off" style="<?php if ($user_info->Enable2FA) echo "display:none;"; ?>" id="2FA-form">
		<div class="tabs-container">
			<div class="js-tab-content tab-content scrollable">
				<div class="2FA">
                    <select id="authy-countries" name="authy-countries"></select>

                    <input id="authy-cellphone" placeholder="Your Cellphone" type="text" name="authy-cellphone" value="">
                    <input type="hidden" name="email" value="<?php echo esc_attr($user_info->Email)?>">
                    <input type="hidden" name="id" value="<?php echo esc_attr($user_info->UserID)?>">
                    <input type="hidden" name="action" value="settings.2FA">
                    <button class="blue-button" type="submit"><?php _e('Enable', 'opendrive')?></button>
			</div>
		</div>
        </div>
    </form>

    <form method="POST" autocomplete="off" style="<?php if (!$user_info->Enable2FA) echo "display:none;"; ?>" id="2FA-form-disable">
        <div class="tabs-container">
            <div class="js-tab-content tab-content scrollable">
                <div class="2FA">
                    <input type="hidden" name="action" value="settings.2FA-disable">
                    <button class="blue-button" type="submit"><?php _e('Disable', 'opendrive')?></button>
                </div>
            </div>
        </div>
    </form>
</div>
<link href="https://www.authy.com/form.authy.min.css" media="screen" rel="stylesheet" type="text/css">
<script src="https://www.authy.com/form.authy.min.js" type="text/javascript"></script>

<?php require_once('template-footer.php')?>