<link href="https://www.authy.com/form.authy.min.css" media="screen" rel="stylesheet" type="text/css">
<script src="https://www.authy.com/form.authy.min.js" type="text/javascript"></script>
<?php
OpenDrive::enqueueScript(array(
    'od/files/od_common.js',
));
/*
*Template Name: Settings My Profile New
*/
if (!defined('ABSPATH')) exit;

require_once('template-functions.php');

$error = false;
$error_array = [];

$formAction = postValue('form_action', null, false);

$user_info = OpenDrive::i()->getUserInfo();
if ($user_info) {
    $existingSession = OpenDrive::i()->apiClient()->session_info(OpenDrive::i()->apiClient()->get_od_session_id());

    if (!is_object($existingSession) || !isset($existingSession->Active2FA) || !$existingSession->Active2FA == 1) {
        wp_redirect(site_url('/files'));
    }

} else {
    OpenDrive::redirectToLoginPage();
}
OpenDrive::enqueueStyle('od_profile.css');
OpenDrive::enqueueScript('od_settings.js');
$page_title = __('Profile', 'opendrive');
if (postValue('action', null, false) == 'settings.2FA-auth') {
    if (isset($_POST['authorize_button'])) {
        //action for update here
        $user_token = intval(postValue('authy-tokens'));
        $result = OpenDrive::i()->apiClient()->authy_login($user_token);


            if ($result === true) {
                wp_redirect(site_url('/files'));
            }

        else {
            $error = true;
            $error_array[] = OpenDrive::i()->apiClient()->error_message;
        }
    }
    if (isset($_POST['send-sms_button'])) {
        $result = OpenDrive::i()->apiClient()->authy_token_via_message();
    }
}
$partner_settings = OpenDrive::i()->partnerSettings();
?>

<?php require_once('template-header-simple.php') ?>
<script type="text/javascript">
    var onloadCallback = function() {
        grecaptcha.render('g-recaptcha');
        document.getElementById('g-recaptcha-response').setAttribute('name', 'captcha_response')
    }
</script>

<div id="login-content">
    <div class="col-md-4 col-sm-0">&nbsp;</div>
    <div class="col-md-4 col-md-12 form-col">
        <div id="login-form-container">
            <form aria-label="Login Form" autocomplete="off" action="" id="login-form" method="POST" class="<?php if (!empty($error_array)) echo 'error-form'?>">
                <?php
                if (!empty($error_array))
                {
                    $error_array = array_map('esc_attr', $error_array);
                    $errorMessage = implode('<br>', $error_array);
                    OpenDrive::showPopupMessage('error', $errorMessage, '', true);
                }
                ?>
                <div class="row">
                    <div class="col-md-2 col-sm-1 col-xs-1">&nbsp;</div>
                    <div class="col-md-8 col-sm-10 col-xs-10">
                        <a href="/"><img src="<?php esc_attr_e($logo_url)?>" alt="<?php esc_attr_e($drive_name); ?>"></a>

                        <input type="text" name="authy-tokens" id="authy-tokens">
                        <input type="hidden" name="action" value="settings.2FA-auth">
                        <button class="btn btn-primary col-md-6 col-sm-12 col-xs-10 centered" name="authorize_button"
                                type="submit"><?php _e('Authorize', 'opendrive') ?></button><br>
                        <button class="btn btn-primary col-md-6 col-sm-12 col-xs-10 centered" name="send-sms_button"
                                type="submit"><?php _e('Send auth token via sms', 'opendrive') ?></button>
                        <br>
                    </div>
                    <div class="col-md-2 col-sm-1 col-xs-1">&nbsp;</div>
                </div>
            </form>
        </div>
    </div>
    <div class="col-md-4 col-sm-0">&nbsp;</div>
</div>
<?php require_once('template-footer.php')?>

