<?php 
namespace od_includes;
if (!defined('ABSPATH')) exit;

class FileCSVExporter
{
	private $buffer;

	function __construct()
	{
		$this->buffer = @fopen('php://output', 'w');
		if (!$this->buffer) die('Error opening stream');
		header('Content-type: text/csv');
		$file_name = \OpenDrive::i()->getDriveName() . '-files_list.csv';
		header('Content-Disposition: attachment' . "; filename*=UTF-8''" . rawurlencode($file_name));
		header('Pragma: no-cache');
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Expires: 0');
		$this->print_folder(0);
	}

	private function print_folder($folder_id)
	{
		$folder_content = \OpenDrive::i()->apiClient()->get_folder_content($folder_id);
		if (\OpenDrive::i()->apiClient()->error) {
			fwrite($this->buffer, \OpenDrive::i()->apiClient()->error_message);
			return;
		}

		if (isset($folder_content->Folders) && sizeof($folder_content->Folders) > 0) {
			foreach ($folder_content->Folders as $one_folder) {
				$this->print_folder($one_folder->FolderID);
			}
		}

		if (isset($folder_content->Files) && sizeof($folder_content->Files) > 0) {
			fputcsv($this->buffer, array(__('Folder ID', 'opendrive'), __('Folder Name', 'opendrive'),
				__('File Name', 'opendrive'), __('File Size', 'opendrive'), __('File Link', 'opendrive'), __('D/L', 'opendrive')));
			foreach ($folder_content->Files as $one_file) {
				fputcsv($this->buffer, array(
					$folder_id, $folder_content->Name, $one_file->Name, $one_file->Size, str_replace('http://', 'https://', $one_file->Link), $one_file->Downloads
				));
			}
		}
	}

	function __destruct()
	{
		fclose($this->buffer);
	}
}

new FileCSVExporter();





