<?php
/*
*Template Name: File Download
*/
if (!defined('ABSPATH')) exit;

require_once('template-functions.php');
$file_id = ( get_query_var( 'file_id' ) ) ? get_query_var( 'file_id' ) : false;
$file_pass = ( get_query_var( 'passw' ) ) ? get_query_var( 'passw' ) : false;
$isDlMode = get_query_var( 'dl_mode', null ) === null; //come from /s/ or /d/
$inlineMode = get_query_var( 'dl_mode' ) == 's';

$folder_id = OpenDrive::getQueryValue('folder_id');
$sharing_id = '';
if (strpos($folder_id, '-') > 0) list($folder_id, $sharing_id) = explode('-', $folder_id);

if ( !$file_id || $file_id == '' )
{
    OpenDrive::redirectToLoginPage('file-is-not-available-anonymous-user');
}

$fileInfo = OpenDrive::i()->apiClient()->get_file($file_id, $sharing_id);
$fileInfoError = OpenDrive::i()->apiClient()->error;
$userInfo = OpenDrive::i()->getUserInfo();
if(empty($fileInfo) || $fileInfoError)
{
    if($fileInfoError && isset($fileInfo->error->message))
        header("Location: /f/$file_id?file_error=" . $fileInfo->error->message);
    else
        header("Location: /f/$file_id");
    exit;
}

if(property_exists($fileInfo, 'force_download') && $fileInfo->force_download == true)
{
    $inlineMode = false;
}
if( $fileInfo->Password != '' && (!$userInfo || $userInfo->UserID != $fileInfo->Owner) )
{
    $response = OpenDrive::i()->apiClient()->verify_file_password($file_id, base64_decode(rawurldecode($file_pass)));
    if (!isset($response->result) || !$response->result) {
        wp_redirect('/f/' . $fileInfo->FileId);
        die;
    }
}
$downloadInfo = OpenDrive::i()->apiClient()->check_file_download($file_id, $sharing_id, $inlineMode);
if (is_object($downloadInfo) && isset($downloadInfo->result) && $downloadInfo->result) {
    $dl_stream_status = isset($downloadInfo->dl_stream_status) ? $downloadInfo->dl_stream_status : true;
    if($dl_stream_status || $isDlMode){
        $previewMode = OpenDrive::getQueryValue('preview');
        $file_download_link = OpenDrive::i()->apiClient()->download_file($file_id, $inlineMode, $previewMode ? 1 : 0, $sharing_id);

        if ('HEAD' === $_SERVER['REQUEST_METHOD']) {
            //send content-type for some apps that wants mime-type for HEAD request

            $mimeTypes = array(
                'mpga mpega mp2 mp3 m4a' => 'audio/mpeg',
                'oga ogg opus spx' => 'audio/ogg',
                'gif' => 'image/gif',
                'jp2 jpg2' => 'image/jp2',
                'jpeg jpg jpe' => 'image/jpeg',
                'jpm' => 'image/jpm',
                'tiff tif' => 'image/tiff',
                'mp4' => 'video/mp4',
                'ogv' => 'video/ogg',
                'webm' => 'video/webm'
            );

            $mimeType = 'application/octet-stream';

            foreach($mimeTypes as $type => $value) {
                $types = explode(' ', $type);
                if(in_array($fileInfo->Extension, $types)) {
                    $mimeType = $value;
                    break;
                }
            }

            header('Content-Length: ' . $fileInfo->Size, true);
            header('Content-Type: ' . $mimeType, true);
            die;
        }
        wp_redirect($file_download_link);
    } else {
        wp_redirect('/f/' . $fileInfo->FileId . '?' . http_build_query(array('file_error' => __('Not supported operation for your account type.', 'opendrive'))));
    }
} else {
    $error = (is_object($downloadInfo) && isset($downloadInfo->error)) ? $downloadInfo->error->message : __('Unknown file error. Please contact support', 'opendrive');
    wp_redirect('/f/' . $fileInfo->FileId . '?' . http_build_query(array('file_error' => $error)));
}


die;



