<?php
/*
*Template Name: File Zoho Edit Form
*/
if (!defined('ABSPATH')) exit;

require_once('template-functions.php');
$hide_header = OpenDrive::getQueryValue('previewmode', false, false);
$file_id = (get_query_var('file_id')) ? get_query_var('file_id') : false;
if (!$file_id) {
    wp_redirect(site_url('/user_account'));
    exit;
}
$folder_id = OpenDrive::getQueryValue('folder_id');

$fileInfo = OpenDrive::i()->apiClient()->get_file($file_id);
if (empty($fileInfo) || OpenDrive::i()->apiClient()->error) {
    OpenDrive::redirectToLoginPage('file-is-not-available');
}
$error = false;
$result = false;
$zoho_api_key = OpenDrive::i()->getPluginSetting('od_zoho_key');
$user_info = OpenDrive::i()->getUserInfo();
$is_password_protected = false;

if ( $fileInfo->Password != '' && (!$user_info || $user_info->UserID != $fileInfo->Owner) )
{
    $file_password = isset($_COOKIE['File-pwd-' . $file_id]) ? $_COOKIE['File-pwd-' . $file_id] : '';
    if ( $file_password != '' )
    {
        setcookie('File-pwd-' . $file_id, '', -1, '/');
        $response = OpenDrive::i()->apiClient()->verify_file_password($file_id, $file_password);
        if (isset($response->result) && $response->result) {

        } else {
            $is_password_protected = true;
        }
    }
    else
    {
        $is_password_protected = true;
    }
}
if ($is_password_protected) {
    wp_redirect('/f/' . $file_id . '?' . http_build_query(array('from_editor' => 1)));
    exit;
}

if (!$zoho_api_key) $error = true;
else
    $result = OpenDrive::i()->apiClient()->open_file_in_zoho_editor($file_id, $zoho_api_key);

if($error || OpenDrive::i()->apiClient()->error) {
    $params = array(
        'view_error' => OpenDrive::i()->apiClient()->error_message,
        'editor_error' => 1,
        'es' => md5(OpenDrive::i()->apiClient()->error_message . ':' . wp_get_session_token())
    );
    if($hide_header) $params['previewmode'] = 1;

    wp_redirect('/f/' . $file_id . '?' . http_build_query($params));
    exit;
}

?>
<!DOCTYPE html>
<body>
<script>
window.location = '<?php echo $result->Url; ?>';
</script>
</body>

