<?php
/*
*Template Name: Dashboard New
*/
if (!defined('ABSPATH')) exit;

$sidebar_visible = isset($_COOKIE['od_sidebar_visible']) ? intval($_COOKIE['od_sidebar_visible']) : 1;

require_once('template-functions.php');

$view_mode = ( isset($_COOKIE['view_mode']) && $_COOKIE['view_mode'] != '' ) ? trim($_COOKIE['view_mode']) : 'grid';


$selectedFolderId = get_query_var( 'folder_id' );
if(!$selectedFolderId) OpenDrive::redirectToFiles();
$sharedFolder = OpenDrive::i()->apiClient()->get_shared_folder_info($selectedFolderId);
if(!OpenDrive::i()->apiClient()->error) {
    $branding_user_id = $sharedFolder->Owner;
    $BrandingMenuBgColor = '';
    $BrandingMenuFontColor = '';
    if (Opendrive::checkColor($sharedFolder->BrandingMenuBgColor)) $BrandingMenuBgColor = $sharedFolder->BrandingMenuBgColor;
    if (Opendrive::checkColor($sharedFolder->BrandingMenuFontColor)) $BrandingMenuFontColor = $sharedFolder->BrandingMenuFontColor;
}
// OD options
$od_enable_upload = OpenDrive::i()->getPluginSetting('od_enable_upload');
$od_enable_download = OpenDrive::i()->getPluginSetting('od_enable_download');
$od_files_versioning = OpenDrive::i()->getPluginSetting('od_versioning_enabled');

$SelectedFolderName = '';

$initData = array(
    'SelectedFolder' => $selectedFolderId,
    'SelectedFolderName' => $SelectedFolderName,
    'UploadEnabled' => (bool)$od_enable_upload,
    'DownloadEnabled' => (bool)$od_enable_download,
    'CreateFolders' => false,
    'CreateTXT' => false,
    'CreateDOC' => false,
    'CreateXLS' => false,
    'CreatePPT' => false,
    'ViewMode' => $view_mode,
    'FileVersioning' => (bool)$od_files_versioning,
    'DriveName' => OpenDrive::i()->getDriveName(),
    'SessionToken' => OpenDrive::i()->sessionToken(),
    'SessionId' => OpenDrive::i()->apiClient()->get_od_session_id(),
    'Public' => 1,
    'EndPoint' => OpenDrive::i()->apiClient()->resumable_upload_url(),
    'ZipEndPoint' => OpenDrive::i()->apiClient()->zipDownloadUrl()
);

OpenDrive::enqueueScript(array(
    'od/files/lightboxes.js',
    'od/files/files.js' => '1.0.0',
    'jquery.lazyload.od.js',
));

OpenDrive::enqueueStyle(array(
    'od_files_tabs.css'
));

require_once('template-header.php');
?>

<?php require_once('template-lightboxes.php'); ?>

    <script id="js-init-data" type="x-text/plain"><?php echo json_encode($initData) ?></script>
    <div class="fill">

        <div class="breadcrumb-and-buttons js-breadcrumbs-container"></div>

        <div class="tabs-container">
            <div class="scroll-content js-scroll-content"></div>
        </div>
    </div>
<?php
require_once 'items/upload.php';
require_once 'items/files/file-templates.php';
require_once 'template-footer.php';
