<?php
/*
*Template Name: Forgot
*/
if (!defined('ABSPATH')) exit;

$new_password_set = false;
$error = false;
$error_message = '';
if ( OpenDrive::postValue('action') == 'od_forgot' )
{
	if (wp_verify_nonce(OpenDrive::postValue('_wpnonce', null, false), 'forgot_pass_csrf') !== 1) {
		wp_redirect(site_url('/forgot'));
		exit;
	}
	$forgot_username = OpenDrive::postValue('login_username', null, false);
	OpenDrive::i()->apiClient()->password_restore($forgot_username);
	if ( OpenDrive::i()->apiClient()->error )
	{
		$error = true;
		$error_message = OpenDrive::i()->apiClient()->error_message;
		if ( $error_message == '') $error_message = __('Invalid username.', 'opendrive');
	}
	else
	{
		$new_password_set = true;
		$notification_message = __("Check your inbox for new password.\nIf you do not receive an email, please check your junk or spam folder.", 'opendrive');
	}
}

?>
<?php require_once('template-header-simple.php')?>
	<div id="login-content">
				<div class="col-md-4 col-sm-0">&nbsp;</div>
				<div class="col-md-4 col-md-12 form-col">
					<div id="login-form-container">
						<form autocomplete="off" action="" id="login-form" method="POST" class="<?php if (!empty($error_array)) echo 'error-form'?>">
							<?php
							wp_nonce_field('forgot_pass_csrf', '_wpnonce', false);

							if ($error )
							{
								OpenDrive::showPopupMessage('error', $error_message);
							}
							elseif ( $new_password_set )
							{
								OpenDrive::showPopupMessage('notification', $notification_message);
							}
							?>
							<div class="row">
								<div class="col-md-2 col-sm-1 col-xs-1">&nbsp;</div>
								<div class="col-md-8 col-sm-10 col-xs-10">
									<a href="/"><img src="<?php echo $logo_url?>" alt="<?php esc_attr_e($drive_name) ?>"></a>
								
									<input type="text" name="login_username" id="login_username" placeholder="<?php _e('Email', 'opendrive')?>"><br>
		                            <input type="hidden" name="action" value="od_forgot">
		                            <span class="note"><?php _e('A new password will be sent to your email address.', 'opendrive')?></span>
		                            <br>
		                            <input type="submit" value="Email Password" class="btn btn-primary col-md-7 col-sm-12">
		                            <a href="/login" class="btn btn-secondary col-md-4 col-sm-12 pull-right"><?php _e('Login', 'opendrive')?></a>
								</div>
								<div class="col-md-3 col-sm-1 col-xs-1">&nbsp;</div>
							</div>
						</form>
					</div>
				</div>
				<div class="col-md-4 col-sm-0">&nbsp;</div>
	</div>

<?php require_once('template-footer.php')?>