<?php
if (!defined('ABSPATH')) exit;

$fav_icon = OpenDrive::i()->getPluginSetting('od_favicon_path');
if(empty($fav_icon)){
	$fav_icon = wp_make_link_relative(plugins_url('/opendrive/images/favicon.ico'));
}

$logo_url = OpenDrive::i()->getPluginSetting('od_logo_path');
if ( $logo_url == '' ) $logo_url = wp_make_link_relative(plugins_url('/opendrive/images/dark-od-logo.png'));

$drive_name = OpenDrive::i()->getDriveName();

$brandingColors = null;
$brandingColorsVars = array();

$subdomainBranding = OpenDrive::i()->loadSubdomainBranding();
if ($subdomainBranding) {
	if ($subdomainBranding->FavIcon != '') $fav_icon = 'data:image/x-icon;base64,' . $subdomainBranding->FavIcon;
	if ($subdomainBranding->DriveName != '') $drive_name = $subdomainBranding->DriveName;
	if (Opendrive::checkColor($subdomainBranding->MenuColor)) $brandingColorsVars['menu_color'] = $subdomainBranding->MenuColor;
	if (Opendrive::checkColor($subdomainBranding->FontColor)) $brandingColorsVars['font_color'] = $subdomainBranding->FontColor;
	if ($subdomainBranding->Logo != '') $logo_url = $subdomainBranding->Logo;
}

if($brandingColorsVars) $brandingColors = '?' . http_build_query($brandingColorsVars);
OpenDrive::enqueueStyle('od_load_styles_login.php' . $brandingColors, true);
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<title><?php esc_html_e($drive_name); ?> - <?php _e('Login', 'opendrive')?></title>
	<meta name="author" content="OpenDrive">
	<link rel="icon" href="<?php echo esc_attr($fav_icon)?>" type="image/x-icon"/>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<?php wp_print_styles()?>
	<?php wp_print_head_scripts()?>
</head>

<body data-csrftoken="<?php echo OpenDrive::i()->createCSRFToken()?>">
	<div id="container" class="page-<?php echo esc_attr(OpenDrive::i()->getODPage())?>">
