<?php
/*
*Template Name: Invoice
*/
if (!defined('ABSPATH')) exit;

if(!$invoice || isset($invoice['error'])) {
   OpenDrive::redirectToFiles();
}
ob_clean();
ob_start(); ?>
<!doctype html>
<head>
    <style type="text/css">
        body {
            background-color: #ffffff;
            font-size: 16px;
        }
    </style>
</head>
<body>
<table width="100%" border="0" cellpadding="10" cellspacing="0"
       style="color:#333; font-size: 11px; font-family: Helvetica; margin: 0 auto; line-height: 15px;">
    <tr>
        <td width="50%" align="left" valign="top"><font size="20"><b>OpenDrive, Inc.</b></font></td>
        <td>
            <?php _e('Invoice No', 'opendrive')?>:<br/>
            <?php _e('Invoice Date', 'opendrive')?>:<br/>
            <?php _e('Due Date', 'opendrive')?>:
        </td>
        <td align="right">
            <b><?php echo esc_html($invoice['trans_id']); ?></b><br/>
            <b><?php echo date('M j, Y', ($invoice['trans_timestamp'])); ?></b><br/>
            <b><?php echo date('M j, Y', ($invoice['trans_timestamp'])); ?></b><br/>
        </td>
    </tr>
    <tr>
        <td colspan="3">
            <hr>
        </td>
    </tr>
    <tr>
        <td valign="top">
            <b>FROM</b><br/>
            OpenDrive, Inc.<br/>
            228 Hamilton Avenue<br/>
            Palo Alto, 94301 CA<br/>
            UNITED STATES
        </td>
        <td colspan="2" valign="top">
            <b>TO</b><br>
            <?php echo esc_html($invoice['company_name']); ?><br/>
            <?php echo esc_html($invoice['first_name']); ?> <?php echo esc_html($invoice['last_name']); ?><br/>
            <?php echo esc_html($invoice['adr_address']); ?><br/>
            <?php echo esc_html($invoice['adr_city']); ?>, <?php echo esc_html($invoice['adr_zip']); ?> <?php echo esc_html($invoice['adr_state']); ?><br/>
            <?php echo esc_html($invoice['country_name']); ?>
        </td>
    </tr>
    <tr>
        <td colspan="3">&nbsp;</td>
    </tr>
</table>
<table width="100%" border="0" cellpadding="10" cellspacing="0"
       style="color:#333; font-size: 11px; font-family: Helvetica; margin: 0 auto; line-height: 15px;">
    <tr>
        <td width="50%">
            <b><?php _e('Service', 'opendrive')?></b>
        </td>
        <td align="right">
            <b><?php _e('Qty', 'opendrive')?></b>
        </td>
        <td align="right">
            <b><?php _e('Price', 'opendrive')?></b>
        </td>
        <td align="right">
            <b><?php _e('Subtotal', 'opendrive')?></b>
        </td>
    </tr>
    <tr>
        <td colspan="4" style="line-height: 5px;">
            <hr>
        </td>
    </tr>
    <tr>
        <td>OpenDrive - <?php echo $invoice['plan'] ?></td>
        <td align="right">1</td>
        <td align="right">
            <nobr>$<?php echo number_format($invoice['trans_amount'], 2) ?> </nobr>
        </td>
        <td align="right">
            <nobr>$<?php echo number_format($invoice['trans_amount'], 2) ?> </nobr>
        </td>
    </tr>
    <tr>
        <td colspan="4" style="line-height: 5px; color:#999999;">
            <hr>
        </td>
    </tr>
    <tr>
        <td colspan="3" align="right">
            <b><?php _e('Subtotal', 'opendrive')?>:</b><br>
            <b><?php _e('TAX', 'opendrive')?> (0%):</b><br>
            <b><?php _e('TOTAL', 'opendrive')?>:</b>
        </td>
        <td align="right">
            $<?php echo number_format($invoice['trans_amount'], 2) ?>
            <br>
            $0.00
            <br>
            $<?php echo number_format($invoice['trans_amount'], 2) ?>
        </td>
    </tr>
    <tr>
        <td colspan="4" style="">
            <br>
            <br>
            <br>
            <br>
            <br>
            <b style="font-size: 10px">
                <nobr><?php _e('Thank you for your payment', 'opendrive')?>.</nobr>
            </b>
            <br/>

            <div style="font-size: 10px">
                <?php _e('You may cancel your Paid Account at any time, and cancellation will be effective immediately. You must cancel your Paid account before it renews each month or year in order to avoid billing of the next month\'s or year\'s fees to your credit card. Please note that you will not be issued a refund for the most recently (or any previously) charged fees.', 'opendrive')?>
            </div>
            <br/>
            <hr>
        </td>
    </tr>
</table>

<table width="100%" border="0" cellpadding="10" cellspacing="0"
       style="color:#333; font-size: 10px; font-family: Helvetica; margin: 0 auto; line-height: 15px;">
    <tr>
        <td valign="top"><b>OpenDrive, Inc</b><br>
            228 Hamilton Avenue, 3rd Floor<br>
            94301, Palo Alto, California<br>
            <a href="mailto:support@opendrive.com">support@opendrive.com</a>
        </td>
        <td valign="top">
            <b>Organization number</b><br>
            Tax ID: 27-1204620
        </td>
        <td valign="top" width="25%">
            <b>Contact</b><br>
            <a href="mailto:support@opendrive.com">support@opendrive.com</a><br>
            1 (888) 418-1108 (US)<br>
            1 (415) 295-1570 (Int'l)
        </td>
    </tr>
</table>
</body>
<?php
$html = ob_get_clean();

require_once(ABSPATH . 'wp-content/plugins/opendrive/libs/dompdf/dompdf_config.inc.php');
$dompdf = new DOMPDF();
$dompdf->load_html($html);
$dompdf->render();
$dompdf->stream($invoice['trans_id'] . '_invoice.pdf');
die;