<?php if (!defined('ABSPATH')) exit; ?>
<div class="wrap">
	<h2><?php echo get_admin_page_title(); ?></h2>


	<?php
	$errorMessage = OpenDrive::getValue('error');
	$updateMessage = OpenDrive::getValue('update');
	if ($errorMessage != '') {
		?>
		<div id="message" class="error"><?php echo esc_html($errorMessage); ?></div><?php
	} else if ($updateMessage != '') {
		?>
		<div id="message" class="updated"><?php echo esc_html($updateMessage) ?></div><?php
	}

	if (!$this->od_plugin_active) {
		?>
		<p><?php _e('Activate OpenDrive Plugin', 'opendrive')?></p>

		<form method="post" action="<?php echo admin_url(); ?>admin-post.php" autocomplete="off">
			<input type="hidden" name="action" value="od_do_activate"/>
			<?php wp_nonce_field('od_op_verify'); ?>
			<table class="form-table">
				<tr>
					<th><label for="od_username"><?php _e('Username or E-mail', 'opendrive')?> <span class="description">(<?php _e('required', 'opendrive')?>)</span></label></th>
					<td><input type="text" name="od_username" id="od_username" value="" size="30"/></td>
				</tr>
				<tr>
					<th><label for="od_password">Password <span class="description">(<?php _e('required', 'opendrive')?>)</span></label></th>
					<td><input type="password" name="od_password" id="od_password" value="" size="30"/></td>
				</tr>
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e('Activate Plugin', 'opendrive')?>"/>
			</p>

		</form>
	<?php
	}
	?>

</div>